	
 /* gecerli kredi kartlari icin cust_card_info tablosu*/

DROP TABLE IF EXISTS risk.cust_card_info;

CREATE TABLE risk.Cust_card_Info DISTRIBUTE BY HASH(cust_id) COMPRESS AS
SELECT kart.*,
	   actdate.DT_OF_ACTV,
	   kk_dty.krk_kart_kapama_nedeni AS CC_Close_Reason,
	   kk_dty.krk_kart_kapama_alt_ndn  AS CC_Close_Subreason,
	   kk_dty.krk_kanuni_takip_flag AS Legal_Followup,
	   kk_dty.krk_son_od_kanal AS Last_Payment_Channel,
	   kk_dty.krk_ilk_edinim_kanal AS Acq_Channel,
	   kk_dty.krk_urun AS Product,
	   kk_dty.krk_marka AS Brand
    FROM
(SELECT CAST(tarih_id AS DATE) AS "Date",
	   d_cmusno AS Cust_ID,
	   kartno AS Card_ID,
    CASE
        WHEN bin IN ('489494','510221','549998') THEN 'VIRT'
        WHEN kartturu = 'A' THEN 'PRIM'
        WHEN kartturu = 'E' THEN 'SUPP'
    END::varchar(20) AS PrimSuppVirt_Type,
	   bin,
    CASE
        WHEN bin IN ('427308','427707','459026','479227','489496','519780','524346','547985','553090','404350','469188','542259','549998','455645') THEN 'B'
        WHEN bin IN ('406015','440247','440293','450918','489494','510138','510221','512803','530853','534538','979223','416350') THEN 'C'
        WHEN bin IN ('402458','440273','440294','510139','512753','524839','550449') THEN 'G'
        WHEN bin IN ('402459','438040','489495','524346','524840','525314','528920','531531','552207') THEN 'P'
        WHEN bin IN ('545124','545148') THEN 'S'
			ELSE 'other'
    END::varchar(20) AS Card_Segment,
		
	   CAST(kartgiristarih AS DATE) AS DT_OF_ISSUE,
	   CAST(d_kartkapatarih as date) as DT_OF_CLSR,
	   "LIMIT" AS Curr_Limit,
    CASE
        WHEN bin = '979223' THEN 'TROY'
        WHEN d_brandowner = 'V' THEN 'VISA'
        WHEN d_brandowner = 'E' THEN 'MASTERCARD'
    END::varchar(20) AS Card_Type,
		    
	   CAST(son_islem_tar AS DATE) AS Last_Trx_Date,
	   CAST(EKSTRETARIHI_SON AS DATE) AS Statement_Date,
	   nakit_limiti AS Cash_Limit,
	   Yearly_Nonpayment_Count, 
	   Full_Payment_Stat,
	   gecikme_gun_sayisi AS DaysPastDue,
	   d_gecerli_eh as valid_EH,
	   kayitgecerli as registered_YN,
	   KARTSTATUSU as cc_status,
	   TAKIPSTATU as followup_status,
	   KARTALTSTATU as cc_substatus,
	   case when d_gecerli_eh = 'E' and kayitgecerli = 'Y' AND 
	   			 KARTSTATUSU='N' AND TAKIPSTATU='N' AND KARTALTSTATU is null then 1
	   			 else 0 end :: integer as valid_f
    FROM "dw_out"."dwd_kart"
    WHERE d_kredidebit = 'C' 
    AND	  d_cmusno IS NOT NULL 
    and   kartbastarih IS NOT NULL AND kartbastarih != '1900-01-01' 
    AND   is_expired = 'N' 
    and   tarih_id != '2018-07-30' 
	) kart

LEFT JOIN (SELECT kartno,
				   min(islemtarih) AS DT_OF_ACTV
    FROM "staging"."pov_dwf_kart_harbilgi"
/*    WHERE ((ISLEMKODU ='BI' AND ISLEMSUBKODU ='IN') OR
				  (ISLEMKODU ='BK' AND ISLEMSUBKODU IN ('EW','MW','SA','WS')) OR
				  ISLEMKODU IN ('SA','NA'))*/
    GROUP BY kartno
		   ) actdate ON kart.Card_ID = actdate.kartno

LEFT JOIN (SELECT DISTINCT tarih,
				  kartno,
				  krk_kart_kapama_nedeni,
				  krk_kart_kapama_alt_ndn,
				  krk_kanuni_takip_flag,
				  krk_son_od_kanal,
				  krk_ilk_edinim_kanal,
				  krk_urun,
				  krk_marka
		   FROM "staging"."pov_dwf_kk_detay"
		  ) kk_dty ON kk_dty.kartno=kart.Card_ID AND 
						kart."Date"=kk_dty.tarih
;

GRANT ALL ON risk.cust_card_info TO public;
analyze risk.cust_card_info ;