


DROP TABLE IF EXISTS risk.supp_cc_rlt;

CREATE TABLE risk.supp_cc_rlt DISTRIBUTE BY HASH(cust_id) compress AS

select kart.tarih_id as "Date",
	   d_cmusno as cust_id,
	   asilkartno as card_id,
	   ekkart_cmusno as supp_card_cust_id,
	   kartno as supp_card_id,
	   d_gecerli_eh as valid_EH,
	   kayitgecerli as registered_YN,
	   KARTSTATUSU as cc_status,
	   TAKIPSTATU as followup_status,
	   KARTALTSTATU as cc_substatus,
	   case when d_gecerli_eh = 'E' and kayitgecerli = 'Y' AND 
	   			 KARTSTATUSU='N' AND TAKIPSTATU='N' AND KARTALTSTATU is null then 1
	   			 else 0 end :: integer as valid_f
from "dw_out"."dwd_kart" kart
where /*kart.tarih_id = '2018-07-31' and*/ 
	  kart.d_kredidebit = 'C' 
	  and kartturu='E'
	  and   kartbastarih IS NOT NULL AND kartbastarih != '1900-01-01'
	  and is_expired = 'N' 
      and tarih_id != '2018-07-30'

;

GRANT ALL ON risk.supp_cc_rlt to public;

analyze risk.supp_cc_rlt ;