/*
 * CREATED BY KAZIM ANIL EREN
 * CREATED ON 2018-08-27 
 * ref_bankaurunid is uploaded via an excel file from 20_PreDefaultRisk/01_Metadata folder
 * Then Gizem runs >> GRANT ALL ON risk.ref_bankaurunid TO public; << code 
 */

DROP TABLE IF EXISTS risk.prep_statinfo; -- created by zeren
CREATE ANALYTIC TABLE risk.prep_statinfo
DISTRIBUTE BY REPLICATION
AS
SELECT	cmusno as cust_id, hesno, sube, bankaurunid, i2.label 
FROM 	staging.pov_ybs_hesap_ortak_musteri as i1
JOIN	risk.ref_bankaurunid i2
	ON	i1.bankaurunid = i2.level0
WHERE	cmusno IN (SELECT cmusno FROM risk.prep_accnt_sts GROUP BY cmusno);
GRANT ALL ON risk.prep_statinfo TO public;  

/* Prep Table without the "statement-date" filter 
is done via Statement_Info_Preparation.sql
end result table is risk.kesit_fil
*/

/* Reference Table for Customer Type (Portfolio)
 -- Includes "statement-date" filter --
 */
DROP	TABLE IF EXISTS risk.statinfo; -- created by zeren, statement info.
CREATE	TABLE risk.ref_statinfo()
DISTRIBUTE	BY HASH(cust_id)
AS (
);
GRANT ALL ON risk.statinfo to public;
