
DROP TABLE IF EXISTS risk.money_transfer;

create table risk.money_transfer DISTRIBUTE BY hash (cust_id) compress as 

select (case when hvl.HVL_TUR = 1 then gon.cmusno
	   		 else alc.cmusno end) as cust_id,
	   		 
	   hvl.havaleno as trn_no,
	   hvl.hvl_tar as dt,
	   
	   (case when hvl.HVL_TUR = 1 and hvl.TRANSFER_SEKLI = 1 then 'outgoing_havale'
	   		 when hvl.HVL_TUR = 2 and hvl.TRANSFER_SEKLI = 1 then 'incoming_havale'
	   		 when hvl.HVL_TUR = 1 and hvl.TRANSFER_SEKLI = 3 then 'outgoing_eft'
	   		 when hvl.HVL_TUR = 2 and hvl.TRANSFER_SEKLI = 3 then 'incoming_eft'
	   		 when hvl.HVL_TUR = 1 and hvl.TRANSFER_SEKLI = 4 then 'outgoing_swift'
	   		 when hvl.HVL_TUR = 2 and hvl.TRANSFER_SEKLI = 4 then 'incoming_swift'
	   		 else '' end) as TYPE_OF_PMT_KEY,	  
	   
	   (case when hvl.REF_TRN_ODM_TUR = '05' then 'SUBSCRIPTION_PAY'
	   		 when hvl.REF_TRN_ODM_TUR = '04' then 'SCHOOL_PAY'
	   		 when hvl.REF_TRN_ODM_TUR in ('01','02','03') then 'RENT_PAY'
	   		 else 'OTHER' end) as TYPE_OF_TRNSFR_KEY,

	   hvl.tut as amt,
	   hvl.parakod as currency_code,
	   hvl.karsi_banka_ad as counter_bankname,
	   hvl.alici_hesno as rec_acc_no,
	   hvl.gon_hesno as sndr_acc_no,
	   	   (case when hvl.krd_kart_no is not null then 'cc_trn'
	   		 else 'acc_trn' end) :: VARCHAR(16) as trn_product,
	   hvl.duz_odm_eh as periodic_payment_yn,
	   hvl.maas_odm_eh as salary_payment_yn,
	   hvl.kacan_eft_eh as lost_eft_yn,
	   hvl.toplu_odm_eh as coll_payment_yn

from "staging"."pov_dwf_havale" hvl
left join "staging"."pov_ybs_hesap_ortak_musteri" gon on hvl.SUBE=gon.sube and hvl.GON_HESNO=gon.HESNO
left join "staging"."pov_ybs_hesap_ortak_musteri" alc on hvl.SUBE=alc.sube and hvl.ALICI_HESNO=alc.HESNO
where hvl.HVL_TUR in (1,2) and 
	  hvl.TRANSFER_SEKLI in (1,3,4) 
;


GRANT ALL ON risk.money_transfer to public;

analyze risk.money_transfer ;