DROP	TABLE IF EXISTS risk.cust_info_monthly; -- created by gizem
CREATE	TABLE risk.cust_info_monthly()
DISTRIBUTE	BY HASH(CUST_ID)
COMPRESS LOW
AS (
	SELECT	cmusno as CUST_ID,
			tarih_id as dt,
			d_ilk_edinim_tar as CUST_ACQ_DT,
			maas_anlasmali_eh as SALARY_CUST_FLG,-- E as Yes, H as No
			ana_sube as MN_BRNCH_KEY,
			portfoy_tip as CUST_TYPE_KEY_P, -- portfolio
			ref_oz_bank_mus as CUST_TYPE_KEY_I -- job branch		 
	FROM	staging.pov_dwd_kon_musteri
	WHERE	(portfoy_tip IN ('4','8') -- confirms that the customer has an individual account or an affluent account.
		AND	 mus_tip = 2
		AND  d_ref_mus_drm = '1') 
); 

grant all on risk.cust_info_monthly to public;
analyze risk.cust_info_monthly;

