/* ACCNT_STS TABLE IS CREATED */
DROP TABLE IF EXISTS risk.ACCNT_STS;
CREATE TABLE risk.ACCNT_STS
(
CUST_ID  NUMERIC,
PROD_NAME  VARCHAR(100), 
TARIH_ID DATE,
OWNERSHIP INTEGER,
ACTIVITY INTEGER
)
DISTRIBUTE BY HASH(CUST_ID);
GRANT ALL ON risk.ACCNT_STS TO public;

/* PREP TABLE FOR ACCNT_STS WHICH INCLUDES FILTERS AND FASTENS THE PROCESS */
DROP 	TABLE IF EXISTS risk.prep_accnt_sts;
CREATE 	TABLE  risk.prep_accnt_sts()
DISTRIBUTE BY HASH(cmusno)
AS (
SELECT	D_REF_MUS_DRM, cmusno, tarih_id, ref_oz_bank_mus, portfoy_tip, 
		VDSIZ_TL_AKTIF, VDSIZ_YP_AKTIF, VDLI_TL_AKTIF, VDLI_YP_AKTIF, HISSE_AKTIF, KRD_IHTIYAC_AKTIF, KRD_KONUT_AKTIF, KRD_TASIT_AKTIF, KRD_KAYNAK_HES_AKTIF, KK_KREDI_AKTIF, KK_BONUS_AKTIF, KK_KREDI_EK_AKTIF, KK_BONUS_EK_AKTIF, OTOMATIK_ODEME_AKTIF, SIG_YANGIN_AKTIF, SIG_NAKLIYAT_AKTIF, SIG_KAZAOTO_AKTIF, SIG_MUHENDISLIK_AKTIF, SIG_FERDIKAZA_AKTIF, SIG_HUK_KORUMA_AKTIF, SIG_TEKNE_AKTIF, SIG_TRAFIK_AKTIF, SIG_SAGLIK_AKTIF, DEBITKART_AKTIF, GRP_KK_AKTIF, SIG_BES_AKTIF, MOBIL_BANK_AKTIF, SIG_ALACAK_AKTIF, SIG_SORUMLULUK_AKTIF, KK_WORLD_AKTIF, KK_WORLD_EK_AKTIF, YILDIZ_PRIORITY_KART_AKTIF, SIG_KONUT_AKTIF, SIG_ISYERI_AKTIF, SIG_HAYAT_AKTIF, SIG_DIGER_AKTIF, GRP_SIG_AKTIF, FORWARD_AKTIF, FON_DIGER_AKTIF, FON_B_LIK_AKTIF, FON_ANA_KRM_AKTIF, 
		MARIFETLI_HES_AKTIF, INTERNET_SUBE_AKTIF, CEPTETEB_KK_AKTIF, CEPTETEB_KK_EK_AKTIF, SHE_KART_AKTIF, SIG_KREDI_KORUMA_CAR_AKTIF, SIG_DASK_AKTIF, VDSIZ_ALTN_AKTIF, VDSIZ_GMS_AKTIF, VDLI_ALTN_AKTIF, FIRSAT_HES_AKTIF, KRD_BIRFIN_AKTIF, KRD_ISYERI_AKTIF,
ALTIN_KRD_AKTIF, PARA_TRANS_KENDI_AKTIF, PARA_TRANS_BASKA_AKTIF, PARA_TRANS_GELEN_AKTIF, MAN_FAT_KRM_THS_AKTIF, MAN_FAT_ODEME_AKTIF, FAT_OTO_MAN_AKTIF, DUZENLI_ODEME_AKTIF, SIG_TARSIM_AKTIF, SIG_KREDI_AKTIF, YILDIZ_PRIORITY_KART_AKTIF, CEPTETEB_DEBIT_AKTIF,
CEPTETEB_HSP_TL_AKTIF, CEPTETEB_HSP_YP_AKTIF, CEPTETEB_IHTYC_KRD_AKTIF, CEPTETEB_VDL_TL_AKTIF, CEPTETEB_VDL_YP_AKTIF, CEPTETEB_VDL_ALTIN_AKTIF, GRP_ADK_AKTIF, GRP_DIGER_AKTIF, GRP_VDLI_AKTIF, GRP_VDSZ_AKTIF, GRP_YAT_AKTIF, GRP_NAKDI_KRD_AKTIF, GRP_GNAKDI_KRD_AKTIF, GRP_NYB_AKTIF, GRP_CEPTETEB_AKTIF

		VDSIZ_TL_VY, VDSIZ_YP_VY, VDLI_TL_VY, VDLI_YP_VY, HISSE_VY, KRD_IHTIYAC_VY, KRD_KONUT_VY, KRD_TASIT_VY, KRD_KAYNAK_HES_VY, KK_KREDI_VY, KK_BONUS_VY, KK_KREDI_EK_VY, KK_BONUS_EK_VY, OTOMATIK_ODEME_VY, SIG_YANGIN_VY, SIG_NAKLIYAT_VY, SIG_KAZAOTO_VY, SIG_MUHENDISLIK_VY, SIG_FERDIKAZA_VY, SIG_HUK_KORUMA_VY, SIG_TEKNE_VY, SIG_TRAFIK_VY, SIG_SAGLIK_VY, DEBITKART_VY, GRP_KK_VY, SIG_BES_VY, MOBIL_BANK_VY, SIG_ALACAK_VY, SIG_SORUMLULUK_VY, KK_WORLD_VY, KK_WORLD_EK_VY, YILDIZ_PRIORITY_KART_VY, SIG_KONUT_VY, SIG_ISYERI_VY, SIG_HAYAT_VY, SIG_DIGER_VY, GRP_SIG_VY, FORWARD_VY, FON_DIGER_VY, FON_B_LIK_VY, FON_ANA_KRM_VY, MARIFETLI_HES_VY, INTERNET_SUBE_VY, CEPTETEB_KK_VY, CEPTETEB_KK_EK_VY, SHE_KART_VY, SIG_KREDI_KORUMA_CAR_VY, SIG_DASK_VY,
		VDSIZ_ALTIN_VY, VDSIZ_GMS_VY, VDLI_ALTIN_VY, FIRSAT_HES_VY, KRD_BIRFIN_VY, KRD_ISYERI_VY, ALTIN_KRD_VY, PARA_TRANS_KENDI_VY, PARA_TRANS_BASKA_VY, PARA_TRANS_GELEN_VY, MAN_FAT_KRM_THS_VY, MAN_FAT_ODEME_VY, FAT_OTO_MAN_VY, DUZENLI_ODEME_VY,
SIG_TARSIM_VY, SIG_KREDI_VY, YILDIZ_PRIORITY_KART_ADET, CEPTETEB_DEBIT_VY, CEPTETEB_HSP_TL_VY, CEPTETEB_HSP_YP_VY, CEPTETEB_IHTYC_KRD_VY, CEPTETEB_VDL_TL_VY, CEPTETEB_VDL_YP_VY, CEPTETEB_VDL_ALTIN_VY, GRP_ADK_VY, GRP_DIGER_VY, GRP_VDLI_VY,
GRP_VDSZ_VY, GRP_YAT_VY, GRP_NAKDI_KRD_VY, GRP_GNAKDI_KRD_VY, GRP_NYB_VY, GRP_CEPTETEB_VY

FROM	staging.pov_dwf_kon_musteri_aktif
WHERE	cmusno IN ( SELECT	cmusno
					FROM	staging.pov_dwd_kon_musteri
					WHERE	ref_oz_bank_mus IN ('4','8') -- confirms that the customer has an individual account or a star account.
						OR 	portfoy_tip IN ('4','8')
					GROUP	BY cmusno
					HAVING	MAX(CASE WHEN mus_tip = 2 THEN 1 ELSE 0 END) = 1
				   )                 -- confirms that the customer is an "individual" and slims the base table.
);
GRANT ALL ON risk.prep_accnt_sts TO public;

/* INSERT 1: GRP_KK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'Grp_KK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(grp_kk_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						grp_kk_VY != LAG(grp_kk_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						grp_kk_aktif != LAG(grp_kk_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN grp_kk_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(grp_kk_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						grp_kk_VY != LAG(grp_kk_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						grp_kk_aktif != LAG(grp_kk_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN grp_kk_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN grp_kk_VY    = LAG(grp_kk_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN grp_kk_aktif = LAG(grp_kk_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(grp_kk_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 2: VDSIZ_TL */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'VDSIZ_TL' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(VDSIZ_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDSIZ_TL_VY != LAG(VDSIZ_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						VDSIZ_TL_aktif != LAG(VDSIZ_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDSIZ_TL_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(VDSIZ_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDSIZ_TL_VY != LAG(VDSIZ_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						VDSIZ_TL_aktif != LAG(VDSIZ_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDSIZ_TL_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN VDSIZ_TL_VY    = LAG(VDSIZ_TL_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN VDSIZ_TL_aktif = LAG(VDSIZ_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(VDSIZ_TL_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 3: VDSIZ_YP */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'VDSIZ_YP' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(VDSIZ_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDSIZ_YP_VY != LAG(VDSIZ_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						VDSIZ_YP_aktif != LAG(VDSIZ_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDSIZ_YP_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(VDSIZ_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDSIZ_YP_VY != LAG(VDSIZ_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						VDSIZ_YP_aktif != LAG(VDSIZ_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDSIZ_YP_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN VDSIZ_YP_VY    = LAG(VDSIZ_YP_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN VDSIZ_YP_aktif = LAG(VDSIZ_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(VDSIZ_YP_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 4: VDLI_TL */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'VDLI_TL' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(VDLI_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDLI_TL_VY != LAG(VDLI_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						VDLI_TL_aktif != LAG(VDLI_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDLI_TL_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(VDLI_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDLI_TL_VY != LAG(VDLI_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						VDLI_TL_aktif != LAG(VDLI_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDLI_TL_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN VDLI_TL_VY    = LAG(VDLI_TL_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN VDLI_TL_aktif = LAG(VDLI_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(VDLI_TL_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 5: VDLI_YP */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'VDLI_YP' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(VDLI_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDLI_YP_VY != LAG(VDLI_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						VDLI_YP_aktif != LAG(VDLI_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDLI_YP_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(VDLI_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDLI_YP_VY != LAG(VDLI_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						VDLI_YP_aktif != LAG(VDLI_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDLI_YP_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN VDLI_YP_VY    = LAG(VDLI_YP_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN VDLI_YP_aktif = LAG(VDLI_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(VDLI_YP_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 6: HISSE */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'HISSE' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(HISSE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						HISSE_VY != LAG(HISSE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						HISSE_aktif != LAG(HISSE_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN HISSE_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(HISSE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						HISSE_VY != LAG(HISSE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						HISSE_aktif != LAG(HISSE_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN HISSE_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN HISSE_VY    = LAG(HISSE_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN HISSE_aktif = LAG(HISSE_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(HISSE_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 7: KRD_IHTIYAC */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KRD_IHTIYAC' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KRD_IHTIYAC_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_IHTIYAC_VY != LAG(KRD_IHTIYAC_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KRD_IHTIYAC_aktif != LAG(KRD_IHTIYAC_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_IHTIYAC_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KRD_IHTIYAC_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_IHTIYAC_VY != LAG(KRD_IHTIYAC_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KRD_IHTIYAC_aktif != LAG(KRD_IHTIYAC_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_IHTIYAC_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KRD_IHTIYAC_VY    = LAG(KRD_IHTIYAC_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KRD_IHTIYAC_aktif = LAG(KRD_IHTIYAC_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KRD_IHTIYAC_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 8: KRD_KONUT */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KRD_KONUT' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KRD_KONUT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_KONUT_VY != LAG(KRD_KONUT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KRD_KONUT_aktif != LAG(KRD_KONUT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_KONUT_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KRD_KONUT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_KONUT_VY != LAG(KRD_KONUT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KRD_KONUT_aktif != LAG(KRD_KONUT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_KONUT_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KRD_KONUT_VY    = LAG(KRD_KONUT_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KRD_KONUT_aktif = LAG(KRD_KONUT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KRD_KONUT_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 9: KRD_TASIT */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KRD_TASIT' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KRD_TASIT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_TASIT_VY != LAG(KRD_TASIT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KRD_TASIT_aktif != LAG(KRD_TASIT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_TASIT_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KRD_TASIT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_TASIT_VY != LAG(KRD_TASIT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KRD_TASIT_aktif != LAG(KRD_TASIT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_TASIT_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KRD_TASIT_VY    = LAG(KRD_TASIT_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KRD_TASIT_aktif = LAG(KRD_TASIT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KRD_TASIT_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 10: KRD_KAYNAK_HES */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KRD_KAYNAK_HES' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KRD_KAYNAK_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_KAYNAK_HES_VY != LAG(KRD_KAYNAK_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KRD_KAYNAK_HES_aktif != LAG(KRD_KAYNAK_HES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_KAYNAK_HES_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KRD_KAYNAK_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_KAYNAK_HES_VY != LAG(KRD_KAYNAK_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KRD_KAYNAK_HES_aktif != LAG(KRD_KAYNAK_HES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_KAYNAK_HES_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KRD_KAYNAK_HES_VY    = LAG(KRD_KAYNAK_HES_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KRD_KAYNAK_HES_aktif = LAG(KRD_KAYNAK_HES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KRD_KAYNAK_HES_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 11: KK_KREDI */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KK_KREDI' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KK_KREDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_KREDI_VY != LAG(KK_KREDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KK_KREDI_aktif != LAG(KK_KREDI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_KREDI_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KK_KREDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_KREDI_VY != LAG(KK_KREDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KK_KREDI_aktif != LAG(KK_KREDI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_KREDI_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KK_KREDI_VY    = LAG(KK_KREDI_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KK_KREDI_aktif = LAG(KK_KREDI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KK_KREDI_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;


/* INSERT 12: KK_BONUS */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KK_BONUS' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KK_BONUS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_BONUS_VY != LAG(KK_BONUS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KK_BONUS_aktif != LAG(KK_BONUS_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_BONUS_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KK_BONUS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_BONUS_VY != LAG(KK_BONUS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KK_BONUS_aktif != LAG(KK_BONUS_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_BONUS_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KK_BONUS_VY    = LAG(KK_BONUS_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KK_BONUS_aktif = LAG(KK_BONUS_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KK_BONUS_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 13: KK_KREDI_EK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KK_KREDI_EK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KK_KREDI_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_KREDI_EK_VY != LAG(KK_KREDI_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KK_KREDI_EK_aktif != LAG(KK_KREDI_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_KREDI_EK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KK_KREDI_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_KREDI_EK_VY != LAG(KK_KREDI_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KK_KREDI_EK_aktif != LAG(KK_KREDI_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_KREDI_EK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KK_KREDI_EK_VY    = LAG(KK_KREDI_EK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KK_KREDI_EK_aktif = LAG(KK_KREDI_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KK_KREDI_EK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;


/* INSERT 14: KK_BONUS_EK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KK_BONUS_EK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KK_BONUS_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_BONUS_EK_VY != LAG(KK_BONUS_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KK_BONUS_EK_aktif != LAG(KK_BONUS_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_BONUS_EK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KK_BONUS_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_BONUS_EK_VY != LAG(KK_BONUS_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KK_BONUS_EK_aktif != LAG(KK_BONUS_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_BONUS_EK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KK_BONUS_EK_VY    = LAG(KK_BONUS_EK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KK_BONUS_EK_aktif = LAG(KK_BONUS_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KK_BONUS_EK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 15: OTOMATIK_ODEME */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'OTOMATIK_ODEME' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(OTOMATIK_ODEME_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						OTOMATIK_ODEME_AKTIF_VY != LAG(OTOMATIK_ODEME_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						OTOMATIK_ODEME_AKTIF_aktif != LAG(OTOMATIK_ODEME_AKTIF_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN OTOMATIK_ODEME_AKTIF_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(OTOMATIK_ODEME_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						OTOMATIK_ODEME_AKTIF_VY != LAG(OTOMATIK_ODEME_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						OTOMATIK_ODEME_AKTIF_aktif != LAG(OTOMATIK_ODEME_AKTIF_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN OTOMATIK_ODEME_AKTIF_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN OTOMATIK_ODEME_AKTIF_VY    = LAG(OTOMATIK_ODEME_AKTIF_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN OTOMATIK_ODEME_AKTIF_aktif = LAG(OTOMATIK_ODEME_AKTIF_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(OTOMATIK_ODEME_AKTIF_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 16: SIG_YANGIN */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_YANGIN' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_YANGIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_YANGIN_VY != LAG(SIG_YANGIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_YANGIN_aktif != LAG(SIG_YANGIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_YANGIN_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_YANGIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_YANGIN_VY != LAG(SIG_YANGIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_YANGIN_aktif != LAG(SIG_YANGIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_YANGIN_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_YANGIN_VY    = LAG(SIG_YANGIN_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_YANGIN_aktif = LAG(SIG_YANGIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_YANGIN_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 17: SIG_NAKLIYAT */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_NAKLIYAT' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_NAKLIYAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_NAKLIYAT_VY != LAG(SIG_NAKLIYAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_NAKLIYAT_aktif != LAG(SIG_NAKLIYAT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_NAKLIYAT_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_NAKLIYAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_NAKLIYAT_VY != LAG(SIG_NAKLIYAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_NAKLIYAT_aktif != LAG(SIG_NAKLIYAT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_NAKLIYAT_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_NAKLIYAT_VY    = LAG(SIG_NAKLIYAT_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_NAKLIYAT_aktif = LAG(SIG_NAKLIYAT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_NAKLIYAT_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 18: SIG_KAZAOTO */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_KAZAOTO' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_KAZAOTO_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_KAZAOTO_VY != LAG(SIG_KAZAOTO_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_KAZAOTO_aktif != LAG(SIG_KAZAOTO_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_KAZAOTO_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_KAZAOTO_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_KAZAOTO_VY != LAG(SIG_KAZAOTO_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_KAZAOTO_aktif != LAG(SIG_KAZAOTO_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_KAZAOTO_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_KAZAOTO_VY    = LAG(SIG_KAZAOTO_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_KAZAOTO_aktif = LAG(SIG_KAZAOTO_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_KAZAOTO_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 19: SIG_MUHENDISLIK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_MUHENDISLIK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_MUHENDISLIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_MUHENDISLIK_VY != LAG(SIG_MUHENDISLIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_MUHENDISLIK_aktif != LAG(SIG_MUHENDISLIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_MUHENDISLIK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_MUHENDISLIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_MUHENDISLIK_VY != LAG(SIG_MUHENDISLIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_MUHENDISLIK_aktif != LAG(SIG_MUHENDISLIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_MUHENDISLIK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_MUHENDISLIK_VY    = LAG(SIG_MUHENDISLIK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_MUHENDISLIK_aktif = LAG(SIG_MUHENDISLIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_MUHENDISLIK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 20: SIG_FERDIKAZA */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_FERDIKAZA' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_FERDIKAZA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_FERDIKAZA_VY != LAG(SIG_FERDIKAZA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_FERDIKAZA_aktif != LAG(SIG_FERDIKAZA_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_FERDIKAZA_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_FERDIKAZA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_FERDIKAZA_VY != LAG(SIG_FERDIKAZA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_FERDIKAZA_aktif != LAG(SIG_FERDIKAZA_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_FERDIKAZA_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_FERDIKAZA_VY    = LAG(SIG_FERDIKAZA_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_FERDIKAZA_aktif = LAG(SIG_FERDIKAZA_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_FERDIKAZA_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 21: SIG_HUK_KORUMA */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_HUK_KORUMA' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_HUK_KORUMA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_HUK_KORUMA_VY != LAG(SIG_HUK_KORUMA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_HUK_KORUMA_aktif != LAG(SIG_HUK_KORUMA_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_HUK_KORUMA_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_HUK_KORUMA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_HUK_KORUMA_VY != LAG(SIG_HUK_KORUMA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_HUK_KORUMA_aktif != LAG(SIG_HUK_KORUMA_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_HUK_KORUMA_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_HUK_KORUMA_VY    = LAG(SIG_HUK_KORUMA_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_HUK_KORUMA_aktif = LAG(SIG_HUK_KORUMA_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_HUK_KORUMA_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 22: SIG_TEKNE */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_TEKNE' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_TEKNE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_TEKNE_VY != LAG(SIG_TEKNE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_TEKNE_aktif != LAG(SIG_TEKNE_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_TEKNE_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_TEKNE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_TEKNE_VY != LAG(SIG_TEKNE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_TEKNE_aktif != LAG(SIG_TEKNE_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_TEKNE_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_TEKNE_VY    = LAG(SIG_TEKNE_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_TEKNE_aktif = LAG(SIG_TEKNE_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_TEKNE_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 23: SIG_TRAFIK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_TRAFIK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_TRAFIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_TRAFIK_VY != LAG(SIG_TRAFIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_TRAFIK_aktif != LAG(SIG_TRAFIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_TRAFIK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_TRAFIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_TRAFIK_VY != LAG(SIG_TRAFIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_TRAFIK_aktif != LAG(SIG_TRAFIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_TRAFIK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_TRAFIK_VY    = LAG(SIG_TRAFIK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_TRAFIK_aktif = LAG(SIG_TRAFIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_TRAFIK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 24: SIG_SAGLIK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_SAGLIK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_SAGLIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_SAGLIK_VY != LAG(SIG_SAGLIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_SAGLIK_aktif != LAG(SIG_SAGLIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_SAGLIK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_SAGLIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_SAGLIK_VY != LAG(SIG_SAGLIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_SAGLIK_aktif != LAG(SIG_SAGLIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_SAGLIK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_SAGLIK_VY    = LAG(SIG_SAGLIK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_SAGLIK_aktif = LAG(SIG_SAGLIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_SAGLIK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 25: DEBITKART */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'DEBITKART' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(DEBITKART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						DEBITKART_VY != LAG(DEBITKART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						DEBITKART_aktif != LAG(DEBITKART_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN DEBITKART_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(DEBITKART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						DEBITKART_VY != LAG(DEBITKART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						DEBITKART_aktif != LAG(DEBITKART_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN DEBITKART_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN DEBITKART_VY    = LAG(DEBITKART_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN DEBITKART_aktif = LAG(DEBITKART_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(DEBITKART_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 26: SIG_BES */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_BES' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_BES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_BES_VY != LAG(SIG_BES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_BES_aktif != LAG(SIG_BES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_BES_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_BES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_BES_VY != LAG(SIG_BES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_BES_aktif != LAG(SIG_BES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_BES_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_BES_VY    = LAG(SIG_BES_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_BES_aktif = LAG(SIG_BES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_BES_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 27: MOBIL_BANK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'MOBIL_BANK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(MOBIL_BANK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						MOBIL_BANK_VY != LAG(MOBIL_BANK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						MOBIL_BANK_aktif != LAG(MOBIL_BANK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN MOBIL_BANK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(MOBIL_BANK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						MOBIL_BANK_VY != LAG(MOBIL_BANK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						MOBIL_BANK_aktif != LAG(MOBIL_BANK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN MOBIL_BANK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN MOBIL_BANK_VY    = LAG(MOBIL_BANK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN MOBIL_BANK_aktif = LAG(MOBIL_BANK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(MOBIL_BANK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 28: SIG_ALACAK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_ALACAK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_ALACAK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_ALACAK_VY != LAG(SIG_ALACAK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_ALACAK_aktif != LAG(SIG_ALACAK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_ALACAK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_ALACAK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_ALACAK_VY != LAG(SIG_ALACAK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_ALACAK_aktif != LAG(SIG_ALACAK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_ALACAK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_ALACAK_VY    = LAG(SIG_ALACAK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_ALACAK_aktif = LAG(SIG_ALACAK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_ALACAK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 29: SIG_SORUMLULUK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_SORUMLULUK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_SORUMLULUK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_SORUMLULUK_VY != LAG(SIG_SORUMLULUK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_SORUMLULUK_aktif != LAG(SIG_SORUMLULUK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_SORUMLULUK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_SORUMLULUK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_SORUMLULUK_VY != LAG(SIG_SORUMLULUK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_SORUMLULUK_aktif != LAG(SIG_SORUMLULUK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_SORUMLULUK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_SORUMLULUK_VY    = LAG(SIG_SORUMLULUK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_SORUMLULUK_aktif = LAG(SIG_SORUMLULUK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_SORUMLULUK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 30: KK_WORLD */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KK_WORLD' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KK_WORLD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_WORLD_VY != LAG(KK_WORLD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KK_WORLD_aktif != LAG(KK_WORLD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_WORLD_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KK_WORLD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_WORLD_VY != LAG(KK_WORLD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KK_WORLD_aktif != LAG(KK_WORLD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_WORLD_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KK_WORLD_VY    = LAG(KK_WORLD_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KK_WORLD_aktif = LAG(KK_WORLD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KK_WORLD_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 31: KK_WORLD_EK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KK_WORLD_EK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KK_WORLD_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_WORLD_EK_VY != LAG(KK_WORLD_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KK_WORLD_EK_aktif != LAG(KK_WORLD_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_WORLD_EK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KK_WORLD_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KK_WORLD_EK_VY != LAG(KK_WORLD_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KK_WORLD_EK_aktif != LAG(KK_WORLD_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KK_WORLD_EK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KK_WORLD_EK_VY    = LAG(KK_WORLD_EK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KK_WORLD_EK_aktif = LAG(KK_WORLD_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KK_WORLD_EK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 32: YILDIZ_PRIORITY_KART */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'YILDIZ_PRIORITY_KART' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(YILDIZ_PRIORITY_KART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						YILDIZ_PRIORITY_KART_VY != LAG(YILDIZ_PRIORITY_KART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						YILDIZ_PRIORITY_KART_aktif != LAG(YILDIZ_PRIORITY_KART_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN YILDIZ_PRIORITY_KART_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(YILDIZ_PRIORITY_KART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						YILDIZ_PRIORITY_KART_VY != LAG(YILDIZ_PRIORITY_KART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						YILDIZ_PRIORITY_KART_aktif != LAG(YILDIZ_PRIORITY_KART_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN YILDIZ_PRIORITY_KART_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN YILDIZ_PRIORITY_KART_VY    = LAG(YILDIZ_PRIORITY_KART_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN YILDIZ_PRIORITY_KART_aktif = LAG(YILDIZ_PRIORITY_KART_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(YILDIZ_PRIORITY_KART_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 33: SIG_KONUT */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_KONUT' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_KONUT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_KONUT_VY != LAG(SIG_KONUT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_KONUT_aktif != LAG(SIG_KONUT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_KONUT_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_KONUT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_KONUT_VY != LAG(SIG_KONUT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_KONUT_aktif != LAG(SIG_KONUT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_KONUT_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_KONUT_VY    = LAG(SIG_KONUT_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_KONUT_aktif = LAG(SIG_KONUT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_KONUT_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 34: SIG_ISYERI */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_ISYERI' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_ISYERI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_ISYERI_VY != LAG(SIG_ISYERI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_ISYERI_aktif != LAG(SIG_ISYERI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_ISYERI_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_ISYERI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_ISYERI_VY != LAG(SIG_ISYERI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_ISYERI_aktif != LAG(SIG_ISYERI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_ISYERI_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_ISYERI_VY    = LAG(SIG_ISYERI_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_ISYERI_aktif = LAG(SIG_ISYERI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_ISYERI_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 35: SIG_HAYAT */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_HAYAT' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_HAYAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_HAYAT_VY != LAG(SIG_HAYAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_HAYAT_aktif != LAG(SIG_HAYAT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_HAYAT_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_HAYAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_HAYAT_VY != LAG(SIG_HAYAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_HAYAT_aktif != LAG(SIG_HAYAT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_HAYAT_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_HAYAT_VY    = LAG(SIG_HAYAT_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_HAYAT_aktif = LAG(SIG_HAYAT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_HAYAT_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 36: SIG_DIGER */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_DIGER' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_DIGER_VY != LAG(SIG_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_DIGER_aktif != LAG(SIG_DIGER_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_DIGER_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_DIGER_VY != LAG(SIG_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_DIGER_aktif != LAG(SIG_DIGER_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_DIGER_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_DIGER_VY    = LAG(SIG_DIGER_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_DIGER_aktif = LAG(SIG_DIGER_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_DIGER_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 37: GRP_SIG */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'GRP_SIG' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(GRP_SIG_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_SIG_VY != LAG(GRP_SIG_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						GRP_SIG_aktif != LAG(GRP_SIG_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_SIG_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(GRP_SIG_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_SIG_VY != LAG(GRP_SIG_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						GRP_SIG_aktif != LAG(GRP_SIG_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_SIG_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN GRP_SIG_VY    = LAG(GRP_SIG_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN GRP_SIG_aktif = LAG(GRP_SIG_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(GRP_SIG_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 38: FORWARD */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'FORWARD' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(FORWARD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FORWARD_VY != LAG(FORWARD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						FORWARD_aktif != LAG(FORWARD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FORWARD_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(FORWARD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FORWARD_VY != LAG(FORWARD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						FORWARD_aktif != LAG(FORWARD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FORWARD_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN FORWARD_VY    = LAG(FORWARD_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN FORWARD_aktif = LAG(FORWARD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(FORWARD_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 39: FON_DIGER */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'FON_DIGER' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(FON_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FON_DIGER_VY != LAG(FON_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						FON_DIGER_aktif != LAG(FON_DIGER_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FON_DIGER_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(FON_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FON_DIGER_VY != LAG(FON_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						FON_DIGER_aktif != LAG(FON_DIGER_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FON_DIGER_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN FON_DIGER_VY    = LAG(FON_DIGER_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN FON_DIGER_aktif = LAG(FON_DIGER_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(FON_DIGER_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 40: FON_B_LIK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'FON_B_LIK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(FON_B_LIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FON_B_LIK_VY != LAG(FON_B_LIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						FON_B_LIK_aktif != LAG(FON_B_LIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FON_B_LIK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(FON_B_LIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FON_B_LIK_VY != LAG(FON_B_LIK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						FON_B_LIK_aktif != LAG(FON_B_LIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FON_B_LIK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN FON_B_LIK_VY    = LAG(FON_B_LIK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN FON_B_LIK_aktif = LAG(FON_B_LIK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(FON_B_LIK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;


/* INSERT 41: FON_ANA_KRM */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'FON_ANA_KRM' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(FON_ANA_KRM_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FON_ANA_KRM_VY != LAG(FON_ANA_KRM_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						FON_ANA_KRM_aktif != LAG(FON_ANA_KRM_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FON_ANA_KRM_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(FON_ANA_KRM_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FON_ANA_KRM_VY != LAG(FON_ANA_KRM_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						FON_ANA_KRM_aktif != LAG(FON_ANA_KRM_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FON_ANA_KRM_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN FON_ANA_KRM_VY    = LAG(FON_ANA_KRM_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN FON_ANA_KRM_aktif = LAG(FON_ANA_KRM_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(FON_ANA_KRM_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 42: MARIFETLI_HES */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'MARIFETLI_HES' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(MARIFETLI_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						MARIFETLI_HES_VY != LAG(MARIFETLI_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						MARIFETLI_HES_aktif != LAG(MARIFETLI_HES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN MARIFETLI_HES_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(MARIFETLI_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						MARIFETLI_HES_VY != LAG(MARIFETLI_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						MARIFETLI_HES_aktif != LAG(MARIFETLI_HES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN MARIFETLI_HES_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN MARIFETLI_HES_VY    = LAG(MARIFETLI_HES_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN MARIFETLI_HES_aktif = LAG(MARIFETLI_HES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(MARIFETLI_HES_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 43: INTERNET_SUBE */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'INTERNET_SUBE' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(INTERNET_SUBE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						INTERNET_SUBE_VY != LAG(INTERNET_SUBE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						INTERNET_SUBE_aktif != LAG(INTERNET_SUBE_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN INTERNET_SUBE_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(INTERNET_SUBE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						INTERNET_SUBE_VY != LAG(INTERNET_SUBE_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						INTERNET_SUBE_aktif != LAG(INTERNET_SUBE_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN INTERNET_SUBE_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN INTERNET_SUBE_VY    = LAG(INTERNET_SUBE_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN INTERNET_SUBE_aktif = LAG(INTERNET_SUBE_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(INTERNET_SUBE_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 44: CEPTETEB_KK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'CEPTETEB_KK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(CEPTETEB_KK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_KK_VY != LAG(CEPTETEB_KK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						CEPTETEB_KK_aktif != LAG(CEPTETEB_KK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_KK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(CEPTETEB_KK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_KK_VY != LAG(CEPTETEB_KK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						CEPTETEB_KK_aktif != LAG(CEPTETEB_KK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_KK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN CEPTETEB_KK_VY    = LAG(CEPTETEB_KK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN CEPTETEB_KK_aktif = LAG(CEPTETEB_KK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(CEPTETEB_KK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 45: INTERNET_SUBE_EK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'INTERNET_SUBE_EK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(INTERNET_SUBE_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						INTERNET_SUBE_EK_VY != LAG(INTERNET_SUBE_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						INTERNET_SUBE_EK_aktif != LAG(INTERNET_SUBE_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN INTERNET_SUBE_EK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(INTERNET_SUBE_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						INTERNET_SUBE_EK_VY != LAG(INTERNET_SUBE_EK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						INTERNET_SUBE_EK_aktif != LAG(INTERNET_SUBE_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN INTERNET_SUBE_EK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN INTERNET_SUBE_EK_VY    = LAG(INTERNET_SUBE_EK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN INTERNET_SUBE_EK_aktif = LAG(INTERNET_SUBE_EK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(INTERNET_SUBE_EK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 46: SHE_KART */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SHE_KART' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SHE_KART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SHE_KART_VY != LAG(SHE_KART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SHE_KART_aktif != LAG(SHE_KART_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SHE_KART_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SHE_KART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SHE_KART_VY != LAG(SHE_KART_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SHE_KART_aktif != LAG(SHE_KART_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SHE_KART_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SHE_KART_VY    = LAG(SHE_KART_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SHE_KART_aktif = LAG(SHE_KART_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SHE_KART_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 47: SIG_KREDI_KORUMA_CAR */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_KREDI_KORUMA_CAR' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_KREDI_KORUMA_CAR_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_KREDI_KORUMA_CAR_VY != LAG(SIG_KREDI_KORUMA_CAR_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_KREDI_KORUMA_CAR_aktif != LAG(SIG_KREDI_KORUMA_CAR_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_KREDI_KORUMA_CAR_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_KREDI_KORUMA_CAR_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_KREDI_KORUMA_CAR_VY != LAG(SIG_KREDI_KORUMA_CAR_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_KREDI_KORUMA_CAR_aktif != LAG(SIG_KREDI_KORUMA_CAR_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_KREDI_KORUMA_CAR_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_KREDI_KORUMA_CAR_VY    = LAG(SIG_KREDI_KORUMA_CAR_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_KREDI_KORUMA_CAR_aktif = LAG(SIG_KREDI_KORUMA_CAR_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_KREDI_KORUMA_CAR_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 48: SIG_DASK_AKTIF */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_DASK_AKTIF' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_DASK_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_DASK_AKTIF_VY != LAG(SIG_DASK_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_DASK_AKTIF_aktif != LAG(SIG_DASK_AKTIF_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_DASK_AKTIF_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_DASK_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_DASK_AKTIF_VY != LAG(SIG_DASK_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_DASK_AKTIF_aktif != LAG(SIG_DASK_AKTIF_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_DASK_AKTIF_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_DASK_AKTIF_VY    = LAG(SIG_DASK_AKTIF_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_DASK_AKTIF_aktif = LAG(SIG_DASK_AKTIF_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_DASK_AKTIF_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1
;

/* INSERT 49: D_REF_MUS_DRM */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'D_REF_MUS_DRM' as prod_name,	
		tarih_id as Yr_Mnth,
		NULL AS Ownership,
		CASE 	WHEN	LAG(D_REF_MUS_DRM, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						D_REF_MUS_DRM != LAG(D_REF_MUS_DRM, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id)
				THEN D_REF_MUS_DRM ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN D_REF_MUS_DRM = LAG(D_REF_MUS_DRM, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS DRM_CHECK
	FROM	risk.prep_accnt_sts
		) iqry
WHERE	DRM_CHECK = 1
;

/* INSERT 50: VDSIZ_ALTIN */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'VDSIZ_ALTIN' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(VDSIZ_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDSIZ_ALTIN_VY != LAG(VDSIZ_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						VDSIZ_ALTIN_aktif != LAG(VDSIZ_ALTIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDSIZ_ALTIN_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(VDSIZ_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDSIZ_ALTIN_VY != LAG(VDSIZ_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						VDSIZ_ALTIN_aktif != LAG(VDSIZ_ALTIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDSIZ_ALTIN_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN VDSIZ_ALTIN_VY    = LAG(VDSIZ_ALTIN_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN VDSIZ_ALTIN_aktif = LAG(VDSIZ_ALTIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(VDSIZ_ALTIN_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 51: VDSIZ_GMS */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'VDSIZ_GMS' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(VDSIZ_GMS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDSIZ_GMS_VY != LAG(VDSIZ_GMS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						VDSIZ_GMS_aktif != LAG(VDSIZ_GMS_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDSIZ_GMS_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(VDSIZ_GMS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDSIZ_GMS_VY != LAG(VDSIZ_GMS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						VDSIZ_GMS_aktif != LAG(VDSIZ_GMS_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDSIZ_GMS_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN VDSIZ_GMS_VY    = LAG(VDSIZ_GMS_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN VDSIZ_GMS_aktif = LAG(VDSIZ_GMS_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(VDSIZ_GMS_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 52: VDLI_ALTIN */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'VDLI_ALTIN' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(VDLI_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDLI_ALTIN_VY != LAG(VDLI_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						VDLI_ALTIN_aktif != LAG(VDLI_ALTIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDLI_ALTIN_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(VDLI_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						VDLI_ALTIN_VY != LAG(VDLI_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						VDLI_ALTIN_aktif != LAG(VDLI_ALTIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN VDLI_ALTIN_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN VDLI_ALTIN_VY    = LAG(VDLI_ALTIN_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN VDLI_ALTIN_aktif = LAG(VDLI_ALTIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(VDLI_ALTIN_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 53: FIRSAT_HES */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'FIRSAT_HES' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(FIRSAT_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FIRSAT_HES_VY != LAG(FIRSAT_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						FIRSAT_HES_aktif != LAG(FIRSAT_HES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FIRSAT_HES_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(FIRSAT_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FIRSAT_HES_VY != LAG(FIRSAT_HES_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						FIRSAT_HES_aktif != LAG(FIRSAT_HES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FIRSAT_HES_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN FIRSAT_HES_VY    = LAG(FIRSAT_HES_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN FIRSAT_HES_aktif = LAG(FIRSAT_HES_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(FIRSAT_HES_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 54: KRD_BIRFIN */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KRD_BIRFIN' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KRD_BIRFIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_BIRFIN_VY != LAG(KRD_BIRFIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KRD_BIRFIN_aktif != LAG(KRD_BIRFIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_BIRFIN_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KRD_BIRFIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_BIRFIN_VY != LAG(KRD_BIRFIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KRD_BIRFIN_aktif != LAG(KRD_BIRFIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_BIRFIN_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KRD_BIRFIN_VY    = LAG(KRD_BIRFIN_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KRD_BIRFIN_aktif = LAG(KRD_BIRFIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KRD_BIRFIN_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 55: KRD_ISYERI */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'KRD_ISYERI' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(KRD_ISYERI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_ISYERI_VY != LAG(KRD_ISYERI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						KRD_ISYERI_aktif != LAG(KRD_ISYERI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_ISYERI_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(KRD_ISYERI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						KRD_ISYERI_VY != LAG(KRD_ISYERI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						KRD_ISYERI_aktif != LAG(KRD_ISYERI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN KRD_ISYERI_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN KRD_ISYERI_VY    = LAG(KRD_ISYERI_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN KRD_ISYERI_aktif = LAG(KRD_ISYERI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(KRD_ISYERI_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 56: ALTIN_KRD */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'ALTIN_KRD' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(ALTIN_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						ALTIN_KRD_VY != LAG(ALTIN_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						ALTIN_KRD_aktif != LAG(ALTIN_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN ALTIN_KRD_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(ALTIN_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						ALTIN_KRD_VY != LAG(ALTIN_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						ALTIN_KRD_aktif != LAG(ALTIN_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN ALTIN_KRD_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN ALTIN_KRD_VY    = LAG(ALTIN_KRD_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN ALTIN_KRD_aktif = LAG(ALTIN_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(ALTIN_KRD_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 57: PARA_TRANS_KENDI */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'PARA_TRANS_KENDI' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(PARA_TRANS_KENDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						PARA_TRANS_KENDI_VY != LAG(PARA_TRANS_KENDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						PARA_TRANS_KENDI_aktif != LAG(PARA_TRANS_KENDI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN PARA_TRANS_KENDI_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(PARA_TRANS_KENDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						PARA_TRANS_KENDI_VY != LAG(PARA_TRANS_KENDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						PARA_TRANS_KENDI_aktif != LAG(PARA_TRANS_KENDI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN PARA_TRANS_KENDI_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN PARA_TRANS_KENDI_VY    = LAG(PARA_TRANS_KENDI_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN PARA_TRANS_KENDI_aktif = LAG(PARA_TRANS_KENDI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(PARA_TRANS_KENDI_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 58: PARA_TRANS_BASKA */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'PARA_TRANS_BASKA' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(PARA_TRANS_BASKA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						PARA_TRANS_BASKA_VY != LAG(PARA_TRANS_BASKA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						PARA_TRANS_BASKA_aktif != LAG(PARA_TRANS_BASKA_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN PARA_TRANS_BASKA_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(PARA_TRANS_BASKA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						PARA_TRANS_BASKA_VY != LAG(PARA_TRANS_BASKA_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						PARA_TRANS_BASKA_aktif != LAG(PARA_TRANS_BASKA_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN PARA_TRANS_BASKA_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN PARA_TRANS_BASKA_VY    = LAG(PARA_TRANS_BASKA_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN PARA_TRANS_BASKA_aktif = LAG(PARA_TRANS_BASKA_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(PARA_TRANS_BASKA_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 59: PARA_TRANS_GELEN */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'PARA_TRANS_GELEN' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(PARA_TRANS_GELEN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						PARA_TRANS_GELEN_VY != LAG(PARA_TRANS_GELEN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						PARA_TRANS_GELEN_aktif != LAG(PARA_TRANS_GELEN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN PARA_TRANS_GELEN_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(PARA_TRANS_GELEN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						PARA_TRANS_GELEN_VY != LAG(PARA_TRANS_GELEN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						PARA_TRANS_GELEN_aktif != LAG(PARA_TRANS_GELEN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN PARA_TRANS_GELEN_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN PARA_TRANS_GELEN_VY    = LAG(PARA_TRANS_GELEN_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN PARA_TRANS_GELEN_aktif = LAG(PARA_TRANS_GELEN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(PARA_TRANS_GELEN_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 60: MAN_FAT_KRM_THS */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'MAN_FAT_KRM_THS' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(MAN_FAT_KRM_THS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						MAN_FAT_KRM_THS_VY != LAG(MAN_FAT_KRM_THS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						MAN_FAT_KRM_THS_aktif != LAG(MAN_FAT_KRM_THS_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN MAN_FAT_KRM_THS_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(MAN_FAT_KRM_THS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						MAN_FAT_KRM_THS_VY != LAG(MAN_FAT_KRM_THS_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						MAN_FAT_KRM_THS_aktif != LAG(MAN_FAT_KRM_THS_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN MAN_FAT_KRM_THS_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN MAN_FAT_KRM_THS_VY    = LAG(MAN_FAT_KRM_THS_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN MAN_FAT_KRM_THS_aktif = LAG(MAN_FAT_KRM_THS_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(MAN_FAT_KRM_THS_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 61: MAN_FAT_ODEME_AKTIF */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'MAN_FAT_ODEME_AKTIF' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(MAN_FAT_ODEME_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						MAN_FAT_ODEME_AKTIF_VY != LAG(MAN_FAT_ODEME_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						MAN_FAT_ODEME_AKTIF_aktif != LAG(MAN_FAT_ODEME_AKTIF_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN MAN_FAT_ODEME_AKTIF_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(MAN_FAT_ODEME_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						MAN_FAT_ODEME_AKTIF_VY != LAG(MAN_FAT_ODEME_AKTIF_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						MAN_FAT_ODEME_AKTIF_aktif != LAG(MAN_FAT_ODEME_AKTIF_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN MAN_FAT_ODEME_AKTIF_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN MAN_FAT_ODEME_AKTIF_VY    = LAG(MAN_FAT_ODEME_AKTIF_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN MAN_FAT_ODEME_AKTIF_aktif = LAG(MAN_FAT_ODEME_AKTIF_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(MAN_FAT_ODEME_AKTIF_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 62: FAT_OTO_MAN */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'FAT_OTO_MAN' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(FAT_OTO_MAN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FAT_OTO_MAN_VY != LAG(FAT_OTO_MAN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						FAT_OTO_MAN_aktif != LAG(FAT_OTO_MAN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FAT_OTO_MAN_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(FAT_OTO_MAN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						FAT_OTO_MAN_VY != LAG(FAT_OTO_MAN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						FAT_OTO_MAN_aktif != LAG(FAT_OTO_MAN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN FAT_OTO_MAN_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN FAT_OTO_MAN_VY    = LAG(FAT_OTO_MAN_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN FAT_OTO_MAN_aktif = LAG(FAT_OTO_MAN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(FAT_OTO_MAN_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 63: DUZENLI_ODEME */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'DUZENLI_ODEME' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(DUZENLI_ODEME_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						DUZENLI_ODEME_VY != LAG(DUZENLI_ODEME_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						DUZENLI_ODEME_aktif != LAG(DUZENLI_ODEME_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN DUZENLI_ODEME_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(DUZENLI_ODEME_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						DUZENLI_ODEME_VY != LAG(DUZENLI_ODEME_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						DUZENLI_ODEME_aktif != LAG(DUZENLI_ODEME_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN DUZENLI_ODEME_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN DUZENLI_ODEME_VY    = LAG(DUZENLI_ODEME_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN DUZENLI_ODEME_aktif = LAG(DUZENLI_ODEME_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(DUZENLI_ODEME_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 64: SIG_TARSIM */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_TARSIM' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_TARSIM_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_TARSIM_VY != LAG(SIG_TARSIM_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_TARSIM_aktif != LAG(SIG_TARSIM_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_TARSIM_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_TARSIM_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_TARSIM_VY != LAG(SIG_TARSIM_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_TARSIM_aktif != LAG(SIG_TARSIM_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_TARSIM_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_TARSIM_VY    = LAG(SIG_TARSIM_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_TARSIM_aktif = LAG(SIG_TARSIM_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_TARSIM_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 65: SIG_KREDI */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'SIG_KREDI' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(SIG_KREDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_KREDI_VY != LAG(SIG_KREDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						SIG_KREDI_aktif != LAG(SIG_KREDI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_KREDI_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(SIG_KREDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						SIG_KREDI_VY != LAG(SIG_KREDI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						SIG_KREDI_aktif != LAG(SIG_KREDI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN SIG_KREDI_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN SIG_KREDI_VY    = LAG(SIG_KREDI_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN SIG_KREDI_aktif = LAG(SIG_KREDI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(SIG_KREDI_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 66: CEPTETEB_DEBIT */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'CEPTETEB_DEBIT' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(CEPTETEB_DEBIT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_DEBIT_VY != LAG(CEPTETEB_DEBIT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						CEPTETEB_DEBIT_aktif != LAG(CEPTETEB_DEBIT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_DEBIT_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(CEPTETEB_DEBIT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_DEBIT_VY != LAG(CEPTETEB_DEBIT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						CEPTETEB_DEBIT_aktif != LAG(CEPTETEB_DEBIT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_DEBIT_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN CEPTETEB_DEBIT_VY    = LAG(CEPTETEB_DEBIT_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN CEPTETEB_DEBIT_aktif = LAG(CEPTETEB_DEBIT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(CEPTETEB_DEBIT_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 67: CEPTETEB_HSP_TL */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'CEPTETEB_HSP_TL' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(CEPTETEB_HSP_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_HSP_TL_VY != LAG(CEPTETEB_HSP_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						CEPTETEB_HSP_TL_aktif != LAG(CEPTETEB_HSP_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_HSP_TL_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(CEPTETEB_HSP_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_HSP_TL_VY != LAG(CEPTETEB_HSP_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						CEPTETEB_HSP_TL_aktif != LAG(CEPTETEB_HSP_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_HSP_TL_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN CEPTETEB_HSP_TL_VY    = LAG(CEPTETEB_HSP_TL_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN CEPTETEB_HSP_TL_aktif = LAG(CEPTETEB_HSP_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(CEPTETEB_HSP_TL_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 68: CEPTETEB_HSP_YP */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'CEPTETEB_HSP_YP' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(CEPTETEB_HSP_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_HSP_YP_VY != LAG(CEPTETEB_HSP_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						CEPTETEB_HSP_YP_aktif != LAG(CEPTETEB_HSP_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_HSP_YP_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(CEPTETEB_HSP_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_HSP_YP_VY != LAG(CEPTETEB_HSP_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						CEPTETEB_HSP_YP_aktif != LAG(CEPTETEB_HSP_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_HSP_YP_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN CEPTETEB_HSP_YP_VY    = LAG(CEPTETEB_HSP_YP_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN CEPTETEB_HSP_YP_aktif = LAG(CEPTETEB_HSP_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(CEPTETEB_HSP_YP_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 69: CEPTETEB_IHTYC_KRD */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'CEPTETEB_IHTYC_KRD' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(CEPTETEB_IHTYC_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_IHTYC_KRD_VY != LAG(CEPTETEB_IHTYC_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						CEPTETEB_IHTYC_KRD_aktif != LAG(CEPTETEB_IHTYC_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_IHTYC_KRD_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(CEPTETEB_IHTYC_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_IHTYC_KRD_VY != LAG(CEPTETEB_IHTYC_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						CEPTETEB_IHTYC_KRD_aktif != LAG(CEPTETEB_IHTYC_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_IHTYC_KRD_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN CEPTETEB_IHTYC_KRD_VY    = LAG(CEPTETEB_IHTYC_KRD_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN CEPTETEB_IHTYC_KRD_aktif = LAG(CEPTETEB_IHTYC_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(CEPTETEB_IHTYC_KRD_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 70: CEPTETEB_VDL_TL */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'CEPTETEB_VDL_TL' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(CEPTETEB_VDL_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_VDL_TL_VY != LAG(CEPTETEB_VDL_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						CEPTETEB_VDL_TL_aktif != LAG(CEPTETEB_VDL_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_VDL_TL_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(CEPTETEB_VDL_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_VDL_TL_VY != LAG(CEPTETEB_VDL_TL_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						CEPTETEB_VDL_TL_aktif != LAG(CEPTETEB_VDL_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_VDL_TL_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN CEPTETEB_VDL_TL_VY    = LAG(CEPTETEB_VDL_TL_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN CEPTETEB_VDL_TL_aktif = LAG(CEPTETEB_VDL_TL_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(CEPTETEB_VDL_TL_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 71: CEPTETEB_VDL_YP */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'CEPTETEB_VDL_YP' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(CEPTETEB_VDL_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_VDL_YP_VY != LAG(CEPTETEB_VDL_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						CEPTETEB_VDL_YP_aktif != LAG(CEPTETEB_VDL_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_VDL_YP_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(CEPTETEB_VDL_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_VDL_YP_VY != LAG(CEPTETEB_VDL_YP_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						CEPTETEB_VDL_YP_aktif != LAG(CEPTETEB_VDL_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_VDL_YP_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN CEPTETEB_VDL_YP_VY    = LAG(CEPTETEB_VDL_YP_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN CEPTETEB_VDL_YP_aktif = LAG(CEPTETEB_VDL_YP_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(CEPTETEB_VDL_YP_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 72: CEPTETEB_VDL_ALTIN */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'CEPTETEB_VDL_ALTIN' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(CEPTETEB_VDL_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_VDL_ALTIN_VY != LAG(CEPTETEB_VDL_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						CEPTETEB_VDL_ALTIN_aktif != LAG(CEPTETEB_VDL_ALTIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_VDL_ALTIN_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(CEPTETEB_VDL_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						CEPTETEB_VDL_ALTIN_VY != LAG(CEPTETEB_VDL_ALTIN_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						CEPTETEB_VDL_ALTIN_aktif != LAG(CEPTETEB_VDL_ALTIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN CEPTETEB_VDL_ALTIN_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN CEPTETEB_VDL_ALTIN_VY    = LAG(CEPTETEB_VDL_ALTIN_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN CEPTETEB_VDL_ALTIN_aktif = LAG(CEPTETEB_VDL_ALTIN_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(CEPTETEB_VDL_ALTIN_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 73: GRP_ADK */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'GRP_ADK' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(GRP_ADK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_ADK_VY != LAG(GRP_ADK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						GRP_ADK_aktif != LAG(GRP_ADK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_ADK_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(GRP_ADK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_ADK_VY != LAG(GRP_ADK_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						GRP_ADK_aktif != LAG(GRP_ADK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_ADK_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN GRP_ADK_VY    = LAG(GRP_ADK_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN GRP_ADK_aktif = LAG(GRP_ADK_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(GRP_ADK_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 74: GRP_DIGER */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'GRP_DIGER' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(GRP_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_DIGER_VY != LAG(GRP_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						GRP_DIGER_aktif != LAG(GRP_DIGER_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_DIGER_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(GRP_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_DIGER_VY != LAG(GRP_DIGER_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						GRP_DIGER_aktif != LAG(GRP_DIGER_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_DIGER_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN GRP_DIGER_VY    = LAG(GRP_DIGER_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN GRP_DIGER_aktif = LAG(GRP_DIGER_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(GRP_DIGER_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 75: GRP_VDLI */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'GRP_VDLI' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(GRP_VDLI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_VDLI_VY != LAG(GRP_VDLI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						GRP_VDLI_aktif != LAG(GRP_VDLI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_VDLI_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(GRP_VDLI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_VDLI_VY != LAG(GRP_VDLI_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						GRP_VDLI_aktif != LAG(GRP_VDLI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_VDLI_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN GRP_VDLI_VY    = LAG(GRP_VDLI_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN GRP_VDLI_aktif = LAG(GRP_VDLI_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(GRP_VDLI_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 76: GRP_VDSZ */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'GRP_VDSZ' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(GRP_VDSZ_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_VDSZ_VY != LAG(GRP_VDSZ_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						GRP_VDSZ_aktif != LAG(GRP_VDSZ_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_VDSZ_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(GRP_VDSZ_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_VDSZ_VY != LAG(GRP_VDSZ_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						GRP_VDSZ_aktif != LAG(GRP_VDSZ_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_VDSZ_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN GRP_VDSZ_VY    = LAG(GRP_VDSZ_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN GRP_VDSZ_aktif = LAG(GRP_VDSZ_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(GRP_VDSZ_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 77: GRP_YAT */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'GRP_YAT' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(GRP_YAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_YAT_VY != LAG(GRP_YAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						GRP_YAT_aktif != LAG(GRP_YAT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_YAT_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(GRP_YAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_YAT_VY != LAG(GRP_YAT_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						GRP_YAT_aktif != LAG(GRP_YAT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_YAT_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN GRP_YAT_VY    = LAG(GRP_YAT_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN GRP_YAT_aktif = LAG(GRP_YAT_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(GRP_YAT_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 78: GRP_NAKDI_KRD */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'GRP_NAKDI_KRD' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(GRP_NAKDI_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_NAKDI_KRD_VY != LAG(GRP_NAKDI_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						GRP_NAKDI_KRD_aktif != LAG(GRP_NAKDI_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_NAKDI_KRD_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(GRP_NAKDI_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_NAKDI_KRD_VY != LAG(GRP_NAKDI_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						GRP_NAKDI_KRD_aktif != LAG(GRP_NAKDI_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_NAKDI_KRD_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN GRP_NAKDI_KRD_VY    = LAG(GRP_NAKDI_KRD_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN GRP_NAKDI_KRD_aktif = LAG(GRP_NAKDI_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(GRP_NAKDI_KRD_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 79: GRP_GNAKDI_KRD */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'GRP_GNAKDI_KRD' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(GRP_GNAKDI_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_GNAKDI_KRD_VY != LAG(GRP_GNAKDI_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						GRP_GNAKDI_KRD_aktif != LAG(GRP_GNAKDI_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_GNAKDI_KRD_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(GRP_GNAKDI_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_GNAKDI_KRD_VY != LAG(GRP_GNAKDI_KRD_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						GRP_GNAKDI_KRD_aktif != LAG(GRP_GNAKDI_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_GNAKDI_KRD_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN GRP_GNAKDI_KRD_VY    = LAG(GRP_GNAKDI_KRD_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN GRP_GNAKDI_KRD_aktif = LAG(GRP_GNAKDI_KRD_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(GRP_GNAKDI_KRD_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 80: GRP_NYB */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'GRP_NYB' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(GRP_NYB_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_NYB_VY != LAG(GRP_NYB_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						GRP_NYB_aktif != LAG(GRP_NYB_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_NYB_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(GRP_NYB_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_NYB_VY != LAG(GRP_NYB_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						GRP_NYB_aktif != LAG(GRP_NYB_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_NYB_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN GRP_NYB_VY    = LAG(GRP_NYB_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN GRP_NYB_aktif = LAG(GRP_NYB_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(GRP_NYB_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1

/* INSERT 81: GRP_CEPTETEB */
INSERT	INTO risk.ACCNT_STS
SELECT	cmusno as Cust_Id,	
		'GRP_CEPTETEB' as prod_name,	
		tarih_id as Yr_Mnth,
		CASE	WHEN	LAG(GRP_CEPTETEB_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_CEPTETEB_VY != LAG(GRP_CEPTETEB_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR 
						GRP_CEPTETEB_aktif != LAG(GRP_CEPTETEB_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_CEPTETEB_VY ELSE NULL END AS Ownership,
		CASE 	WHEN	LAG(GRP_CEPTETEB_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) IS NULL OR
						GRP_CEPTETEB_VY != LAG(GRP_CEPTETEB_VY, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) OR
						GRP_CEPTETEB_aktif != LAG(GRP_CEPTETEB_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) 
				THEN GRP_CEPTETEB_aktif ELSE NULL END AS Activity
FROM	(
	SELECT	*,
			CASE WHEN GRP_CEPTETEB_VY    = LAG(GRP_CEPTETEB_VY, 1, NULL)    OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS VY_CHECK,
			CASE WHEN GRP_CEPTETEB_aktif = LAG(GRP_CEPTETEB_aktif, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tarih_id) THEN 0 ELSE 1 END AS AK_CHECK
	FROM	risk.prep_accnt_sts
	WHERE	cmusno IN ( 
						SELECT	cmusno
						FROM	risk.prep_accnt_sts
						GROUP	BY cmusno
						HAVING	MAX(GRP_CEPTETEB_VY) = 1
				  		) -- confirms if the guy had the product at least once.
		) iqry
WHERE	VY_CHECK = 1 OR AK_CHECK = 1