DROP TABLE IF EXISTS RISK.BLM_CUST_CARD_INFO_VAR;
CREATE FACT TABLE RISK.BLM_CUST_CARD_INFO_VAR() 
DISTRIBUTE BY HASH(CUST_ID)
COMPRESS LOW
AS
(
	SELECT 
			DT.CUST_ID
			,DT.STMT_DT
			,DT.card_id
			,DT.target
			,MAX((DT.STMT_DT - CCI.DT_OF_ISSUE)/30.5) AS FIRST_TEB_CARD
			,MIN(
					COALESCE(DT.STMT_DT -
						(CASE 
							WHEN  CCI."Date" < DT.STMT_DT 
								AND PRIMSUPPVIRT_TYPE = 'PRIM'
								THEN CCI.DT_OF_ISSUE
						END)
					,999)/30.5
				) LAST_PRIM_CC_ISS
			,COUNT(DISTINCT 
					CASE
						WHEN CCI."Date" BETWEEN DT.STMT_DT - INTEGER '180' AND DT.STMT_DT
							AND CCI.DT_OF_CLSR IS NULL
						THEN CCI.CARD_ID
						ELSE NULL
					END
					) AS NUMBER_ACTV_CC_6M
			,MAX(
					CASE 
						WHEN  PRIMSUPPVIRT_TYPE = 'VIRT' 
							AND CCI."Date" BETWEEN DT.STMT_DT - INTEGER '30' AND DT.STMT_DT
							AND CCI.DT_OF_CLSR IS NULL
						THEN 1
						ELSE 0
					END
				)	HAS_VIRT_CC_1M	
	
			,MAX(
					CASE 
						WHEN  PRIMSUPPVIRT_TYPE = 'VIRT' 
							AND CCI."Date" BETWEEN DT.STMT_DT - INTEGER '180' AND DT.STMT_DT
							AND CCI.DT_OF_CLSR IS NULL
						THEN 1
						ELSE 0
					END
				)	HAS_VIRT_CC_6M
			,COUNT(DISTINCT
					CASE 
						WHEN  PRIMSUPPVIRT_TYPE = 'VIRT' 
							AND CCI."Date" BETWEEN DT.STMT_DT - INTEGER '30' AND DT.STMT_DT
							AND CCI.DT_OF_CLSR IS NULL
						THEN CCI.CARD_ID
						ELSE NULL
					END
				)	CNT_VIRT_CC_1M		
			,COUNT(DISTINCT
					CASE 
						WHEN  PRIMSUPPVIRT_TYPE = 'VIRT' 
							AND CCI."Date" BETWEEN DT.STMT_DT - INTEGER '180' AND DT.STMT_DT
							AND CCI.DT_OF_CLSR IS NULL
						THEN CCI.CARD_ID
						ELSE NULL
					END
				)	CNT_VIRT_CC_6M
			,MIN(
		
					COALESCE(DT.STMT_DT -
						(CASE 
							WHEN CCI.DT_OF_ISSUE < DT.STMT_DT 
								AND PRIMSUPPVIRT_TYPE = 'SUPP'
								THEN CCI.DT_OF_ISSUE
						END),999)/30.5
		
				) LAST_SUPP_CC_ISS
			,MAX(
					CASE
						WHEN CCI."Date" BETWEEN DT.STMT_DT - INTEGER '30' AND DT.STMT_DT
							AND CCI.DT_OF_CLSR IS NULL
						THEN CURR_LIMIT
						ELSE 0
					END
				)	LIMIT_CC_1M
				
			,MAX(
					CASE
						WHEN CCI."Date" BETWEEN DT.STMT_DT - INTEGER '30' AND DT.STMT_DT
							AND CCI.DT_OF_CLSR IS NULL
							AND PRIMSUPPVIRT_TYPE = 'SUPP'
						THEN CURR_LIMIT
						ELSE 0
					END
				)	LIMIT_SUPP_CC_1M	
			,MAX(
				CASE 
						WHEN CCI."Date" BETWEEN DT.STMT_DT - INTEGER '180' AND DT.STMT_DT
							AND CCI.DT_OF_CLSR IS NULL
						THEN CURR_LIMIT
						ELSE 0
				END
				)	LIMIT_CC_6M	
		FROM RISK.CUST_CARD_INFO CCI
		right JOIN 
			(
				SELECT
				CUST_ID
				,STMT_DT
				,card_id
				,target
				FROM RISK.CUST_DT_DUMMY
--				WHERE
--				CUST_ID IN (112396, 112398, 112406, 112413, 112418, 112450, 112452)
				GROUP BY 1,2,3,4
			)DT
			ON 
			CCI.CUST_ID = DT.CUST_ID
		GROUP BY 1,2,3,4
);

grant all on risk.BLM_CUST_CARD_INFO_VAR to public;
analyze risk.BLM_CUST_CARD_INFO_VAR;