DROP TABLE IF EXISTS RISK.blm_product_target_cc;
CREATE TABLE RISK.blm_product_target_cc
DISTRIBUTE BY HASH (CUST_ID)
AS
(SELECT 
DT.CUST_ID
,DT.STMT_DT
,DT.CARD_ID
,DT.TARGET
,SUM(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '31' AND DT.STMT_DT
			THEN coalesce(total_amnt,0)
		ELSE 0 
	END
	) AS _1M_PMT_DUE_CC
,SUM(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '31' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE 0 
	END
	) _1M_DPD_SUM_CC
,MAX(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '31' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE 0 
	END
	) _1M_DPD_MAX_CC
,MIN(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '31' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE 0 
	END
	) _1M_DPD_MIN_CC
,COALESCE(AVG(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '31' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE NULL
	END
	),0) _1M_DPD_AVG_CC

---------------------------------------------------------------------
,SUM(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '92' AND DT.STMT_DT
			THEN coalesce(total_amnt,0)
		ELSE 0 
	END
	) AS _3M_PMT_DUE_CC
,SUM(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '92' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE 0 
	END
	) _3M_DPD_SUM_CC
,MAX(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '92' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE 0 
	END
	) _3M_DPD_MAX_CC
,MIN(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '92' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE 0 
	END
	) _3M_DPD_MIN_CC
,COALESCE(AVG(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '92' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE NULL
	END
	),0) _3M_DPD_AVG_CC


---------------------------------------------------------------------
,SUM(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '184' AND DT.STMT_DT
			THEN coalesce(total_amnt,0)
		ELSE 0 
	END
	) AS _6M_PMT_DUE_CC
,SUM(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '184' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE 0 
	END
	) _6M_DPD_SUM_CC
,MAX(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '184' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE 0 
	END
	) _6M_DPD_MAX_CC
,MIN(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '184' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE 0 
	END
	) _6M_DPD_MIN_CC
,COALESCE(AVG(
	CASE 
		WHEN CC.STMT_DT 
			BETWEEN DT.STMT_DT - INTEGER '184' AND DT.STMT_DT
			THEN COALESCE(DPD,0)
		ELSE NULL
	END
	),0) _6M_DPD_AVG_CC
	
	
FROM
	(SELECT
	CUST_ID
	,CARD_ID
	,STMT_DT
	,sum(coalesce(DPD)) AS DPD
	,sum(coalesce(total_amnt)) AS total_amnt
	FROM
	RISK.product_target_cc
	WHERE
	VALID_F = 1
	GROUP BY 1,2,3)AS CC
RIGHT OUTER JOIN 
RISK.CUST_DT_DUMMY AS DT
ON
CC.CUST_ID = DT.CUST_ID
AND
CC.CARD_ID = DT.CARD_ID
AND
CC.STMT_DT <= DT.STMT_DT
GROUP BY 1,2,3,4
);


GRANT ALL ON RISK.BLM_PRODUCT_TARGET_CC TO PUBLIC;
ANALYZE RISK.blm_product_target_cc;

