DROP TABLE IF EXISTS RISK.blm_product_target_loan;
CREATE TABLE RISK.blm_product_target_loan
DISTRIBUTE BY HASH (CUST_ID)
AS
(SELECT
OUTER_TABLE.CUST_ID
,OUTER_TABLE.STMT_DT
,OUTER_TABLE.CARD_ID
,max(TARGET) AS TARGET
,SUM(_1M*_LC*_DUE_AMT) AS _1M_LC_DUE_AMT
,SUM(_1M*_FC*_DUE_AMT) AS _1M_FC_DUE_AMT
,SUM(_1M*_PL*_DUE_AMT) AS _1M_PL_DUE_AMT
,SUM(_1M*_ML*_DUE_AMT) AS _1M_ML_DUE_AMT
,SUM(_1M*_CL*_DUE_AMT) AS _1M_CL_DUE_AMT
,SUM(_1M*_IFL*_DUE_AMT) AS _1M_IFL_DUE_AMT
,SUM(_1M*_OL*_DUE_AMT) AS _1M_OL_DUE_AMT
,SUM(_1M*_LC*_PAYMENT_AMT) AS _1M_LC_PAYMENT_AMT
,SUM(_1M*_FC*_PAYMENT_AMT) AS _1M_FC_PAYMENT_AMT
,SUM(_1M*_PL*_PAYMENT_AMT) AS _1M_PL_PAYMENT_AMT
,SUM(_1M*_ML*_PAYMENT_AMT) AS _1M_ML_PAYMENT_AMT
,SUM(_1M*_CL*_PAYMENT_AMT) AS _1M_CL_PAYMENT_AMT
,SUM(_1M*_IFL*_PAYMENT_AMT) AS _1M_IFL_PAYMENT_AMT
,SUM(_1M*_OL*_PAYMENT_AMT) AS _1M_OL_PAYMENT_AMT
,SUM(_1M*_LC*_DPD) AS _1M_LC_DPD
,SUM(_1M*_FC*_DPD) AS _1M_FC_DPD
,SUM(_1M*_PL*_DPD) AS _1M_PL_DPD
,SUM(_1M*_ML*_DPD) AS _1M_ML_DPD
,SUM(_1M*_CL*_DPD) AS _1M_CL_DPD
,SUM(_1M*_IFL*_DPD) AS _1M_IFL_DPD
,SUM(_1M*_OL*_DPD) AS _1M_OL_DPD
,SUM(_3M*_LC*_DUE_AMT) AS _3M_LC_DUE_AMT
,SUM(_3M*_FC*_DUE_AMT) AS _3M_FC_DUE_AMT
,SUM(_3M*_PL*_DUE_AMT) AS _3M_PL_DUE_AMT
,SUM(_3M*_ML*_DUE_AMT) AS _3M_ML_DUE_AMT
,SUM(_3M*_CL*_DUE_AMT) AS _3M_CL_DUE_AMT
,SUM(_3M*_IFL*_DUE_AMT) AS _3M_IFL_DUE_AMT
,SUM(_3M*_OL*_DUE_AMT) AS _3M_OL_DUE_AMT
,SUM(_3M*_LC*_PAYMENT_AMT) AS _3M_LC_PAYMENT_AMT
,SUM(_3M*_FC*_PAYMENT_AMT) AS _3M_FC_PAYMENT_AMT
,SUM(_3M*_PL*_PAYMENT_AMT) AS _3M_PL_PAYMENT_AMT
,SUM(_3M*_ML*_PAYMENT_AMT) AS _3M_ML_PAYMENT_AMT
,SUM(_3M*_CL*_PAYMENT_AMT) AS _3M_CL_PAYMENT_AMT
,SUM(_3M*_IFL*_PAYMENT_AMT) AS _3M_IFL_PAYMENT_AMT
,SUM(_3M*_OL*_PAYMENT_AMT) AS _3M_OL_PAYMENT_AMT
,SUM(_3M*_LC*_DPD) AS _3M_LC_DPD
,SUM(_3M*_FC*_DPD) AS _3M_FC_DPD
,SUM(_3M*_PL*_DPD) AS _3M_PL_DPD
,SUM(_3M*_ML*_DPD) AS _3M_ML_DPD
,SUM(_3M*_CL*_DPD) AS _3M_CL_DPD
,SUM(_3M*_IFL*_DPD) AS _3M_IFL_DPD
,SUM(_3M*_OL*_DPD) AS _3M_OL_DPD
,SUM(_6M*_LC*_DUE_AMT) AS _6M_LC_DUE_AMT
,SUM(_6M*_FC*_DUE_AMT) AS _6M_FC_DUE_AMT
,SUM(_6M*_PL*_DUE_AMT) AS _6M_PL_DUE_AMT
,SUM(_6M*_ML*_DUE_AMT) AS _6M_ML_DUE_AMT
,SUM(_6M*_CL*_DUE_AMT) AS _6M_CL_DUE_AMT
,SUM(_6M*_IFL*_DUE_AMT) AS _6M_IFL_DUE_AMT
,SUM(_6M*_OL*_DUE_AMT) AS _6M_OL_DUE_AMT
,SUM(_6M*_LC*_PAYMENT_AMT) AS _6M_LC_PAYMENT_AMT
,SUM(_6M*_FC*_PAYMENT_AMT) AS _6M_FC_PAYMENT_AMT
,SUM(_6M*_PL*_PAYMENT_AMT) AS _6M_PL_PAYMENT_AMT
,SUM(_6M*_ML*_PAYMENT_AMT) AS _6M_ML_PAYMENT_AMT
,SUM(_6M*_CL*_PAYMENT_AMT) AS _6M_CL_PAYMENT_AMT
,SUM(_6M*_IFL*_PAYMENT_AMT) AS _6M_IFL_PAYMENT_AMT
,SUM(_6M*_OL*_PAYMENT_AMT) AS _6M_OL_PAYMENT_AMT
,SUM(_6M*_LC*_DPD) AS _6M_LC_DPD
,SUM(_6M*_FC*_DPD) AS _6M_FC_DPD
,SUM(_6M*_PL*_DPD) AS _6M_PL_DPD
,SUM(_6M*_ML*_DPD) AS _6M_ML_DPD
,SUM(_6M*_CL*_DPD) AS _6M_CL_DPD
,SUM(_6M*_IFL*_DPD) AS _6M_IFL_DPD
,SUM(_6M*_OL*_DPD) AS _6M_OL_DPD
,MAX(_1M_EARLY_CLOSE_CNT) AS _1M_EARLY_CLOSE_CNT
,MAX(_3M_EARLY_CLOSE_CNT) AS _3M_EARLY_CLOSE_CNT
,MAX(_6M_EARLY_CLOSE_CNT) AS _6M_EARLY_CLOSE_CNT
,MAX(_12M_EARLY_CLOSE_CNT) AS _12M_EARLY_CLOSE_CNT
FROM
	(SELECT
	DT.CUST_ID
	,DT.STMT_DT
	,DT.CARD_ID
	,DT.TARGET
	,CASE WHEN due_date BETWEEN DT.STMT_DT - INTEGER '31' AND DT.STMT_DT THEN 1 ELSE 0 END AS _1M
	,CASE WHEN due_date BETWEEN DT.STMT_DT - INTEGER '92' AND DT.STMT_DT THEN 1 ELSE 0 END AS _3M
	,CASE WHEN due_date BETWEEN DT.STMT_DT - INTEGER '184' AND DT.STMT_DT THEN 1 ELSE 0 END AS _6M
	
	,CASE WHEN product_class IN ('Foreign Money Mortgage Loan','Foreign Money Personal Loan','Foreign Money Car Loan','Foreign Money Office Loan','Foreign Money Individual Financial Loan') THEN 1 ELSE 0 END AS _FC
	,CASE WHEN product_class IN ('Personal Loan','Mortgage Loan','Car Loan','Individual Financial Loan','Office Loan') THEN 1 ELSE 0 END AS _LC
	
		
	,CASE WHEN product_class IN ('Personal Loan','Foreign Money Personal Loan') THEN 1 ELSE 0 END AS _PL
	,CASE WHEN product_class IN ('Mortgage Loan','Foreign Money Mortgage Loan') THEN 1 ELSE 0 END AS _ML
	,CASE WHEN product_class IN ('Car Loan','Foreign Money Car Loan') THEN 1 ELSE 0 END AS _CL
	,CASE WHEN product_class IN ('Individual Financial Loan','Foreign Money Individual Financial Loan') THEN 1 ELSE 0 END AS _IFL
	,CASE WHEN product_class IN ('Foreign Money Office Loan','Office Loan') THEN 1 ELSE 0 END AS _OL
	
	,COALESCE(principal_amt, 0) + COALESCE(amt_of_int, 0) AS _DUE_AMT
	,COALESCE(coll_principal_amt, 0) + COALESCE(coll_amt_of_int, 0) + COALESCE(coll_def_int_amt, 0) AS _PAYMENT_AMT
	,COALESCE(days_pst_due, 0) AS _DPD
	
	FROM
	RISK.CUST_DT_DUMMY AS DT
	LEFT OUTER JOIN
		(SELECT
		cust_id
		,credit_no
		,prod_key
		,product_class 
		,due_date
		,(extract(year from due_date)*100) + (extract(month from due_date)) AS YYYYMM
		,max(case when days_pst_due < 0 then 0 else days_pst_due END) AS days_pst_due
		,sum(principal_amt) AS principal_amt 
		,sum(amt_of_int) AS amt_of_int 
		,sum(coalesce(coll_principal_amt,0)) AS coll_principal_amt  
		,sum(coalesce(coll_amt_of_int,0)) AS coll_amt_of_int
		,sum(coalesce(coll_def_int_amt,0)) AS coll_def_int_amt 
		FROM
		risk.product_target_credit
		WHERE
		payment_status NOT IN ('EarlyClosed', 'Cancelled')
		group by 1,2,3,4,5,6) AS INNER_TABLO
	ON
	INNER_TABLO.cust_id = DT.cust_id
	AND
	INNER_TABLO.due_date <= DT.stmt_dt
	) AS OUTER_TABLE
LEFT OUTER JOIN
	(SELECT
	CUST_DT_DUMMY.cust_id
	,CUST_DT_DUMMY.stmt_dt
	,COUNT(DISTINCT CASE WHEN early_payment_date BETWEEN CUST_DT_DUMMY.STMT_DT - INTEGER '31' AND CUST_DT_DUMMY.STMT_DT THEN credit_no ELSE NULL END) AS _1M_EARLY_CLOSE_CNT
	,COUNT(DISTINCT CASE WHEN early_payment_date BETWEEN CUST_DT_DUMMY.STMT_DT - INTEGER '92' AND CUST_DT_DUMMY.STMT_DT THEN credit_no ELSE NULL END) AS _3M_EARLY_CLOSE_CNT
	,COUNT(DISTINCT CASE WHEN early_payment_date BETWEEN CUST_DT_DUMMY.STMT_DT - INTEGER '184' AND CUST_DT_DUMMY.STMT_DT THEN credit_no ELSE NULL END) AS _6M_EARLY_CLOSE_CNT
	,COUNT(DISTINCT CASE WHEN early_payment_date BETWEEN CUST_DT_DUMMY.STMT_DT - INTEGER '365' AND CUST_DT_DUMMY.STMT_DT THEN credit_no ELSE NULL END) AS _12M_EARLY_CLOSE_CNT
	FROM
	RISK.CUST_DT_DUMMY
	LEFT OUTER JOIN
		(SELECT
		cust_id
		,credit_no
		,max(early_payment_date) AS early_payment_date
		FROM
		risk.product_target_credit
		WHERE
		payment_status IN ('EarlyClosed')
		group by 1,2) AS EARLY_TABLO
	ON
	EARLY_TABLO.cust_id = CUST_DT_DUMMY.cust_id
	AND
	EARLY_TABLO.early_payment_date <= CUST_DT_DUMMY.stmt_dt
	group by 1,2) AS EARLY_TABLO_FINAL
ON
EARLY_TABLO_FINAL.cust_id = OUTER_TABLE.cust_id
AND
EARLY_TABLO_FINAL.stmt_dt = OUTER_TABLE.stmt_dt
GROUP BY 1,2,3
);



GRANT ALL ON RISK.BLM_PRODUCT_TARGET_LOAN TO PUBLIC;
ANALYZE RISK.blm_product_target_LOAN;
