DROP TABLE IF EXISTS RISK.blm_bureau_vars;
CREATE TABLE RISK.blm_bureau_vars
DISTRIBUTE BY HASH (cust_id)
AS
(
SELECT
cust_id
,card_id
,stmt_dt
,target
,cmusno
,CASE WHEN kkb_last_inq_date IS NULL THEN 10000 ELSE (stmt_dt - kkb_last_inq_date) END AS kkb_last_inq_date
,CASE WHEN aut_050_1_avg_cc_trx_l3m IS NULL THEN 0 ELSE aut_050_1_avg_cc_trx_l3m END AS aut_050_1_avg_cc_trx_l3m
,CASE WHEN aut_050_avg_cc_trx_l3m IS NULL THEN 0 ELSE aut_050_avg_cc_trx_l3m END AS aut_050_avg_cc_trx_l3m
,CASE WHEN aut_051_1_avg_cc_trx_l6m IS NULL THEN 0 ELSE aut_051_1_avg_cc_trx_l6m END AS aut_051_1_avg_cc_trx_l6m
,CASE WHEN aut_051_avg_cc_trx_l6m IS NULL THEN 0 ELSE aut_051_avg_cc_trx_l6m END AS aut_051_avg_cc_trx_l6m
,CASE WHEN aut_053_cnt_cc_trx_l1m IS NULL THEN 0 ELSE aut_053_cnt_cc_trx_l1m END AS aut_053_cnt_cc_trx_l1m
,CASE WHEN aut_054_cnt_cc_trx_l3m IS NULL THEN 0 ELSE aut_054_cnt_cc_trx_l3m END AS aut_054_cnt_cc_trx_l3m
,CASE WHEN aut_055_cnt_cc_trx_l6m IS NULL THEN 0 ELSE aut_055_cnt_cc_trx_l6m END AS aut_055_cnt_cc_trx_l6m
,CASE WHEN aut_057_avg_amt_cc_trx_l1m IS NULL THEN 0 ELSE aut_057_avg_amt_cc_trx_l1m END AS aut_057_avg_amt_cc_trx_l1m
,CASE WHEN aut_058_1_avg_amt_cc_trx_l3m IS NULL THEN 0 ELSE aut_058_1_avg_amt_cc_trx_l3m END AS aut_058_1_avg_amt_cc_trx_l3m
,CASE WHEN aut_058_2_avg_amt_cc_trx_l3m IS NULL THEN 0 ELSE aut_058_2_avg_amt_cc_trx_l3m END AS aut_058_2_avg_amt_cc_trx_l3m
,CASE WHEN aut_058_avg_amt_cc_trx_l3m IS NULL THEN 0 ELSE aut_058_avg_amt_cc_trx_l3m END AS aut_058_avg_amt_cc_trx_l3m
,CASE WHEN aut_059_1_avg_amt_cc_trx_l6m IS NULL THEN 0 ELSE aut_059_1_avg_amt_cc_trx_l6m END AS aut_059_1_avg_amt_cc_trx_l6m
,CASE WHEN aut_059_2_avg_amt_cc_trx_l6m IS NULL THEN 0 ELSE aut_059_2_avg_amt_cc_trx_l6m END AS aut_059_2_avg_amt_cc_trx_l6m
,CASE WHEN aut_059_avg_amt_cc_trx_l6m IS NULL THEN 0 ELSE aut_059_avg_amt_cc_trx_l6m END AS aut_059_avg_amt_cc_trx_l6m
,CASE WHEN aut_061_tot_amt_cc_trx_l1m IS NULL THEN 0 ELSE aut_061_tot_amt_cc_trx_l1m END AS aut_061_tot_amt_cc_trx_l1m
,CASE WHEN aut_062_tot_amt_cc_trx_l3m IS NULL THEN 0 ELSE aut_062_tot_amt_cc_trx_l3m END AS aut_062_tot_amt_cc_trx_l3m
,CASE WHEN aut_063_tot_amt_cc_trx_l6m IS NULL THEN 0 ELSE aut_063_tot_amt_cc_trx_l6m END AS aut_063_tot_amt_cc_trx_l6m
,CASE WHEN aut_065_1_avg_cnt_c_adv_trx_l3m IS NULL THEN 0 ELSE aut_065_1_avg_cnt_c_adv_trx_l3m END AS aut_065_1_avg_cnt_c_adv_trx_l3m
,CASE WHEN aut_065_avg_cnt_c_adv_trx_l3m IS NULL THEN 0 ELSE aut_065_avg_cnt_c_adv_trx_l3m END AS aut_065_avg_cnt_c_adv_trx_l3m
,CASE WHEN aut_066_1_avg_cnt_c_adv_trx_l6m IS NULL THEN 0 ELSE aut_066_1_avg_cnt_c_adv_trx_l6m END AS aut_066_1_avg_cnt_c_adv_trx_l6m
,CASE WHEN aut_066_avg_cnt_c_adv_trx_l6m IS NULL THEN 0 ELSE aut_066_avg_cnt_c_adv_trx_l6m END AS aut_066_avg_cnt_c_adv_trx_l6m
,CASE WHEN aut_068_cnt_c_adv_trx_l1m IS NULL THEN 0 ELSE aut_068_cnt_c_adv_trx_l1m END AS aut_068_cnt_c_adv_trx_l1m
,CASE WHEN aut_069_cnt_c_adv_trx_l3m IS NULL THEN 0 ELSE aut_069_cnt_c_adv_trx_l3m END AS aut_069_cnt_c_adv_trx_l3m
,CASE WHEN aut_070_cnt_c_adv_trx_l6m IS NULL THEN 0 ELSE aut_070_cnt_c_adv_trx_l6m END AS aut_070_cnt_c_adv_trx_l6m
,CASE WHEN aut_072_avg_amt_c_adv_trx_l1m IS NULL THEN 0 ELSE aut_072_avg_amt_c_adv_trx_l1m END AS aut_072_avg_amt_c_adv_trx_l1m
,CASE WHEN aut_073_1_avg_amt_c_adv_trx_l3m IS NULL THEN 0 ELSE aut_073_1_avg_amt_c_adv_trx_l3m END AS aut_073_1_avg_amt_c_adv_trx_l3m
,CASE WHEN aut_073_2_avg_amt_c_adv_trx_l3m IS NULL THEN 0 ELSE aut_073_2_avg_amt_c_adv_trx_l3m END AS aut_073_2_avg_amt_c_adv_trx_l3m
,CASE WHEN aut_073_avg_amt_c_adv_trx_l3m IS NULL THEN 0 ELSE aut_073_avg_amt_c_adv_trx_l3m END AS aut_073_avg_amt_c_adv_trx_l3m
,CASE WHEN aut_074_1_avg_amt_c_adv_trx_l6m IS NULL THEN 0 ELSE aut_074_1_avg_amt_c_adv_trx_l6m END AS aut_074_1_avg_amt_c_adv_trx_l6m
,CASE WHEN aut_074_2_avg_amt_c_adv_trx_l6m IS NULL THEN 0 ELSE aut_074_2_avg_amt_c_adv_trx_l6m END AS aut_074_2_avg_amt_c_adv_trx_l6m
,CASE WHEN aut_074_avg_amt_c_adv_trx_l6m IS NULL THEN 0 ELSE aut_074_avg_amt_c_adv_trx_l6m END AS aut_074_avg_amt_c_adv_trx_l6m
,CASE WHEN aut_076_amt_c_adv_trx_l1m IS NULL THEN 0 ELSE aut_076_amt_c_adv_trx_l1m END AS aut_076_amt_c_adv_trx_l1m
,CASE WHEN aut_077_amt_c_adv_trx_l3m IS NULL THEN 0 ELSE aut_077_amt_c_adv_trx_l3m END AS aut_077_amt_c_adv_trx_l3m
,CASE WHEN aut_078_amt_c_adv_trx_l6m IS NULL THEN 0 ELSE aut_078_amt_c_adv_trx_l6m END AS aut_078_amt_c_adv_trx_l6m
,CASE WHEN aut_110_1_avg_cnt_ovd_trx_l3m IS NULL THEN 0 ELSE aut_110_1_avg_cnt_ovd_trx_l3m END AS aut_110_1_avg_cnt_ovd_trx_l3m
,CASE WHEN aut_110_avg_cnt_ovd_trx_l3m IS NULL THEN 0 ELSE aut_110_avg_cnt_ovd_trx_l3m END AS aut_110_avg_cnt_ovd_trx_l3m
,CASE WHEN aut_111_1_avg_cnt_ovd_trx_l6m IS NULL THEN 0 ELSE aut_111_1_avg_cnt_ovd_trx_l6m END AS aut_111_1_avg_cnt_ovd_trx_l6m
,CASE WHEN aut_111_avg_cnt_ovd_trx_l6m IS NULL THEN 0 ELSE aut_111_avg_cnt_ovd_trx_l6m END AS aut_111_avg_cnt_ovd_trx_l6m
,CASE WHEN aut_113_cnt_ovd_trx_l1m IS NULL THEN 0 ELSE aut_113_cnt_ovd_trx_l1m END AS aut_113_cnt_ovd_trx_l1m
,CASE WHEN aut_114_cnt_ovd_trx_l3m IS NULL THEN 0 ELSE aut_114_cnt_ovd_trx_l3m END AS aut_114_cnt_ovd_trx_l3m
,CASE WHEN aut_115_cnt_ovd_trx_l6m IS NULL THEN 0 ELSE aut_115_cnt_ovd_trx_l6m END AS aut_115_cnt_ovd_trx_l6m
,CASE WHEN aut_117_avg_amt_ovd_trx_l1m IS NULL THEN 0 ELSE aut_117_avg_amt_ovd_trx_l1m END AS aut_117_avg_amt_ovd_trx_l1m
,CASE WHEN aut_118_1_avg_amt_ovd_trx_l3m IS NULL THEN 0 ELSE aut_118_1_avg_amt_ovd_trx_l3m END AS aut_118_1_avg_amt_ovd_trx_l3m
,CASE WHEN aut_118_2_avg_amt_ovd_trx_l3m IS NULL THEN 0 ELSE aut_118_2_avg_amt_ovd_trx_l3m END AS aut_118_2_avg_amt_ovd_trx_l3m
,CASE WHEN aut_118_avg_amt_ovd_trx_l3m IS NULL THEN 0 ELSE aut_118_avg_amt_ovd_trx_l3m END AS aut_118_avg_amt_ovd_trx_l3m
,CASE WHEN aut_119_1_avg_amt_ovd_trx_l6m IS NULL THEN 0 ELSE aut_119_1_avg_amt_ovd_trx_l6m END AS aut_119_1_avg_amt_ovd_trx_l6m
,CASE WHEN aut_119_2_avg_amt_ovd_trx_l6m IS NULL THEN 0 ELSE aut_119_2_avg_amt_ovd_trx_l6m END AS aut_119_2_avg_amt_ovd_trx_l6m
,CASE WHEN aut_119_avg_amt_ovd_trx_l6m IS NULL THEN 0 ELSE aut_119_avg_amt_ovd_trx_l6m END AS aut_119_avg_amt_ovd_trx_l6m
,CASE WHEN aut_121_tot_amt_ovd_trx_l1m IS NULL THEN 0 ELSE aut_121_tot_amt_ovd_trx_l1m END AS aut_121_tot_amt_ovd_trx_l1m
,CASE WHEN aut_122__tot_amt_ovd_trx_l3m IS NULL THEN 0 ELSE aut_122__tot_amt_ovd_trx_l3m END AS aut_122__tot_amt_ovd_trx_l3m
,CASE WHEN aut_123__tot_amt_ovd_trx_l6m IS NULL THEN 0 ELSE aut_123__tot_amt_ovd_trx_l6m END AS aut_123__tot_amt_ovd_trx_l6m
,CASE WHEN cus_009_tot_instal_amt_pers_loan IS NULL THEN 0 ELSE cus_009_tot_instal_amt_pers_loan END AS cus_009_tot_instal_amt_pers_loan
,CASE WHEN cus_010_tot_instal_amt_car_loan IS NULL THEN 0 ELSE cus_010_tot_instal_amt_car_loan END AS cus_010_tot_instal_amt_car_loan
,CASE WHEN cus_011_tot_instal_amt_mortgage IS NULL THEN 0 ELSE cus_011_tot_instal_amt_mortgage END AS cus_011_tot_instal_amt_mortgage
,CASE WHEN cus_012_tot_instal_amt_ret_loan IS NULL THEN 0 ELSE cus_012_tot_instal_amt_ret_loan END AS cus_012_tot_instal_amt_ret_loan
,CASE WHEN cus_014_1_avg_instal_pers_loan_l3m IS NULL THEN 0 ELSE cus_014_1_avg_instal_pers_loan_l3m END AS cus_014_1_avg_instal_pers_loan_l3m
,CASE WHEN cus_014_2_avg_instal_pers_loan_l3m IS NULL THEN 0 ELSE cus_014_2_avg_instal_pers_loan_l3m END AS cus_014_2_avg_instal_pers_loan_l3m
,CASE WHEN cus_014_avg_instal_pers_loan_l3m IS NULL THEN 0 ELSE cus_014_avg_instal_pers_loan_l3m END AS cus_014_avg_instal_pers_loan_l3m
,CASE WHEN cus_015_1_avg_instal_car_loan_l3m IS NULL THEN 0 ELSE cus_015_1_avg_instal_car_loan_l3m END AS cus_015_1_avg_instal_car_loan_l3m
,CASE WHEN cus_015_2_avg_instal_car_loan_l3m IS NULL THEN 0 ELSE cus_015_2_avg_instal_car_loan_l3m END AS cus_015_2_avg_instal_car_loan_l3m
,CASE WHEN cus_015_avg_instal_car_loan_l3m IS NULL THEN 0 ELSE cus_015_avg_instal_car_loan_l3m END AS cus_015_avg_instal_car_loan_l3m
,CASE WHEN cus_016_1_avg_instal_mortgage_l3m IS NULL THEN 0 ELSE cus_016_1_avg_instal_mortgage_l3m END AS cus_016_1_avg_instal_mortgage_l3m
,CASE WHEN cus_016_2_avg_instal_mortgage_l3m IS NULL THEN 0 ELSE cus_016_2_avg_instal_mortgage_l3m END AS cus_016_2_avg_instal_mortgage_l3m
,CASE WHEN cus_016_avg_instal_mortgage_l3m IS NULL THEN 0 ELSE cus_016_avg_instal_mortgage_l3m END AS cus_016_avg_instal_mortgage_l3m
,CASE WHEN cus_017_1_avg_instal_ret_loan_l3m IS NULL THEN 0 ELSE cus_017_1_avg_instal_ret_loan_l3m END AS cus_017_1_avg_instal_ret_loan_l3m
,CASE WHEN cus_017_2_avg_instal_ret_loan_l3m IS NULL THEN 0 ELSE cus_017_2_avg_instal_ret_loan_l3m END AS cus_017_2_avg_instal_ret_loan_l3m
,CASE WHEN cus_017_avg_instal_ret_loan_l3m IS NULL THEN 0 ELSE cus_017_avg_instal_ret_loan_l3m END AS cus_017_avg_instal_ret_loan_l3m
,CASE WHEN cus_019_1_avg_instal_pers_loan_l6m IS NULL THEN 0 ELSE cus_019_1_avg_instal_pers_loan_l6m END AS cus_019_1_avg_instal_pers_loan_l6m
,CASE WHEN cus_019_2_avg_instal_pers_loan_l6m IS NULL THEN 0 ELSE cus_019_2_avg_instal_pers_loan_l6m END AS cus_019_2_avg_instal_pers_loan_l6m
,CASE WHEN cus_019_avg_instal_pers_loan_l6m IS NULL THEN 0 ELSE cus_019_avg_instal_pers_loan_l6m END AS cus_019_avg_instal_pers_loan_l6m
,CASE WHEN cus_020_1_avg_instal_car_loan_l6m IS NULL THEN 0 ELSE cus_020_1_avg_instal_car_loan_l6m END AS cus_020_1_avg_instal_car_loan_l6m
,CASE WHEN cus_020_2_avg_instal_car_loan_l6m IS NULL THEN 0 ELSE cus_020_2_avg_instal_car_loan_l6m END AS cus_020_2_avg_instal_car_loan_l6m
,CASE WHEN cus_020_avg_instal_car_loan_l6m IS NULL THEN 0 ELSE cus_020_avg_instal_car_loan_l6m END AS cus_020_avg_instal_car_loan_l6m
,CASE WHEN cus_021_1_avg_instal_mortgage_l6m IS NULL THEN 0 ELSE cus_021_1_avg_instal_mortgage_l6m END AS cus_021_1_avg_instal_mortgage_l6m
,CASE WHEN cus_021_2_avg_instal_mortgage_l6m IS NULL THEN 0 ELSE cus_021_2_avg_instal_mortgage_l6m END AS cus_021_2_avg_instal_mortgage_l6m
,CASE WHEN cus_021_avg_instal_mortgage_l6m IS NULL THEN 0 ELSE cus_021_avg_instal_mortgage_l6m END AS cus_021_avg_instal_mortgage_l6m
,CASE WHEN cus_022_1_avg_instal_other_loan_l6m IS NULL THEN 0 ELSE cus_022_1_avg_instal_other_loan_l6m END AS cus_022_1_avg_instal_other_loan_l6m
,CASE WHEN cus_022_2_avg_instal_other_loan_l6m IS NULL THEN 0 ELSE cus_022_2_avg_instal_other_loan_l6m END AS cus_022_2_avg_instal_other_loan_l6m
,CASE WHEN cus_022_avg_instal_other_loan_l6m IS NULL THEN 0 ELSE cus_022_avg_instal_other_loan_l6m END AS cus_022_avg_instal_other_loan_l6m
,CASE WHEN cus_034_canceled_card_reason_code IS NULL THEN 'NULL' ELSE cus_034_canceled_card_reason_code END AS cus_034_canceled_card_reason_code
,CASE WHEN cus_069_credit_hunger IS NULL THEN 0 ELSE cus_069_credit_hunger END AS cus_069_credit_hunger
,CASE WHEN cus_099_cnt_litigated_prod_ever_had IS NULL THEN 0 ELSE cus_099_cnt_litigated_prod_ever_had END AS cus_099_cnt_litigated_prod_ever_had
,CASE WHEN cus_104_min_litigation_date IS NULL THEN 10000 ELSE EXTRACT(DAY FROM stmt_dt - cus_104_min_litigation_date) END AS cus_104_min_litigation_date
,CASE WHEN cus_105_cust_litigation_flg IS NULL THEN 'NULL' ELSE cus_105_cust_litigation_flg END AS cus_105_cust_litigation_flg
,CASE WHEN kkb_001_1_avg_cc_limit_in_kkb IS NULL THEN 0 ELSE kkb_001_1_avg_cc_limit_in_kkb END AS kkb_001_1_avg_cc_limit_in_kkb
,CASE WHEN kkb_001_tot_cc_limit_kkb IS NULL THEN 0 ELSE kkb_001_tot_cc_limit_kkb END AS kkb_001_tot_cc_limit_kkb
,CASE WHEN kkb_003_tot_ovd_limit_kkb IS NULL THEN 0 ELSE kkb_003_tot_ovd_limit_kkb END AS kkb_003_tot_ovd_limit_kkb
,CASE WHEN kkb_031_tot_outstand_credits_kkb IS NULL THEN 0 ELSE kkb_031_tot_outstand_credits_kkb END AS kkb_031_tot_outstand_credits_kkb
,CASE WHEN kkb_032_tot_outsand_cc_kkb IS NULL THEN 0 ELSE kkb_032_tot_outsand_cc_kkb END AS kkb_032_tot_outsand_cc_kkb
,CASE WHEN kkb_038_tot_outstand_ovd_kkb IS NULL THEN 0 ELSE kkb_038_tot_outstand_ovd_kkb END AS kkb_038_tot_outstand_ovd_kkb
,CASE WHEN kkb_040_tot_outstand_pers_loan_kkb IS NULL THEN 0 ELSE kkb_040_tot_outstand_pers_loan_kkb END AS kkb_040_tot_outstand_pers_loan_kkb
,CASE WHEN kkb_044_tot_outstand_mortgage_kkb IS NULL THEN 0 ELSE kkb_044_tot_outstand_mortgage_kkb END AS kkb_044_tot_outstand_mortgage_kkb
,CASE WHEN kkb_051_tot_outstand_delinquent_ratio IS NULL THEN 0 ELSE kkb_051_tot_outstand_delinquent_ratio END AS kkb_051_tot_outstand_delinquent_ratio
,CASE WHEN kkb_073_tot_cc_kkb IS NULL THEN 0 ELSE kkb_073_tot_cc_kkb END AS kkb_073_tot_cc_kkb
,CASE WHEN kkb_081_tot_ovd_kkb IS NULL THEN 0 ELSE kkb_081_tot_ovd_kkb END AS kkb_081_tot_ovd_kkb
,CASE WHEN kkb_110_tot_instal_amt_all_statements_kkb_l1m IS NULL THEN 0 ELSE kkb_110_tot_instal_amt_all_statements_kkb_l1m END AS kkb_110_tot_instal_amt_all_statements_kkb_l1m
,CASE WHEN kkb_143_tot_npl_amt_kkb IS NULL THEN 0 ELSE kkb_143_tot_npl_amt_kkb END AS kkb_143_tot_npl_amt_kkb
,CASE WHEN kkb_145_cnt_1_mon_delay_kkb_l3m IS NULL THEN 0 ELSE kkb_145_cnt_1_mon_delay_kkb_l3m END AS kkb_145_cnt_1_mon_delay_kkb_l3m
,CASE WHEN kkb_146_cnt_1_mon_delay_kkb_l6m IS NULL THEN 0 ELSE kkb_146_cnt_1_mon_delay_kkb_l6m END AS kkb_146_cnt_1_mon_delay_kkb_l6m
,CASE WHEN kkb_148_cnt_2_mon_delay_kkb_l3m IS NULL THEN 0 ELSE kkb_148_cnt_2_mon_delay_kkb_l3m END AS kkb_148_cnt_2_mon_delay_kkb_l3m
,CASE WHEN kkb_149_cnt_2_mon_delay_kkb_l6m IS NULL THEN 0 ELSE kkb_149_cnt_2_mon_delay_kkb_l6m END AS kkb_149_cnt_2_mon_delay_kkb_l6m
,CASE WHEN kkb_248_cc_first_pay_on_time_kkb_flg IS NULL THEN 'NULL' ELSE kkb_248_cc_first_pay_on_time_kkb_flg END AS kkb_248_cc_first_pay_on_time_kkb_flg
,CASE WHEN kkb_249_ins_pers_loan_first_pay_on_time_kkb_flg IS NULL THEN 'NULL' ELSE kkb_249_ins_pers_loan_first_pay_on_time_kkb_flg END AS kkb_249_ins_pers_loan_first_pay_on_time_kkb_flg
,CASE WHEN kkb_251_ins_mortgage_first_pay_on_time_kkb_flg IS NULL THEN 'NULL' ELSE kkb_251_ins_mortgage_first_pay_on_time_kkb_flg END AS kkb_251_ins_mortgage_first_pay_on_time_kkb_flg
,CASE WHEN kkb_151_cnt_min_3_mon_delay_kkb_l3m IS NULL THEN 0 ELSE kkb_151_cnt_min_3_mon_delay_kkb_l3m END AS kkb_151_cnt_min_3_mon_delay_kkb_l3m
,CASE WHEN kkb_138_current_pay_stat_kkb IS NULL THEN 'NULL' ELSE CAST(kkb_138_current_pay_stat_kkb AS VARCHAR(20)) END AS kkb_138_current_pay_stat_kkb
,CASE WHEN kkb_139_worst_pay_stat_kkb IS NULL THEN 'NULL' ELSE CAST(kkb_139_worst_pay_stat_kkb AS VARCHAR(20)) END AS kkb_139_worst_pay_stat_kkb
,CASE WHEN kkb_142_follow_up_stat_kkb IS NULL THEN 'NULL' ELSE kkb_142_follow_up_stat_kkb END AS kkb_142_follow_up_stat_kkb
,CASE WHEN kkb_152_cnt_min_3_mon_delay_kkb_l3m IS NULL THEN 0 ELSE kkb_152_cnt_min_3_mon_delay_kkb_l3m END AS kkb_152_cnt_min_3_mon_delay_kkb_l3m
,CASE WHEN kkb_166_tot_deliquency_kkb_l3m IS NULL THEN 0 ELSE kkb_166_tot_deliquency_kkb_l3m END AS kkb_166_tot_deliquency_kkb_l3m
,CASE WHEN kkb_167_tot_deliquency_kkb_l6m IS NULL THEN 0 ELSE kkb_167_tot_deliquency_kkb_l6m END AS kkb_167_tot_deliquency_kkb_l6m
,CASE WHEN kkb_180_tot_mon_instal_amt_pers_loan_kkb IS NULL THEN 0 ELSE kkb_180_tot_mon_instal_amt_pers_loan_kkb END AS kkb_180_tot_mon_instal_amt_pers_loan_kkb
,CASE WHEN kkb_182_tot_mon_instal_amt_mortgage_kkb IS NULL THEN 0 ELSE kkb_182_tot_mon_instal_amt_mortgage_kkb END AS kkb_182_tot_mon_instal_amt_mortgage_kkb
,CASE WHEN kkb_215_cnt_litigated_prod_kkb_ever IS NULL THEN 0 ELSE kkb_215_cnt_litigated_prod_kkb_ever END AS kkb_215_cnt_litigated_prod_kkb_ever
,CASE WHEN kkb_220_tot_pay_all_prod_kkb_l1m IS NULL THEN 0 ELSE kkb_220_tot_pay_all_prod_kkb_l1m END AS kkb_220_tot_pay_all_prod_kkb_l1m
,CASE WHEN kkb_163_worst_pay_stat_kkb_l3m IS NULL THEN 'NULL' ELSE kkb_163_worst_pay_stat_kkb_l3m END AS kkb_163_worst_pay_stat_kkb_l3m
,CASE WHEN kkb_164_worst_pay_stat_kkb_l6m IS NULL THEN 'NULL' ELSE CAST(kkb_164_worst_pay_stat_kkb_l6m AS VARCHAR(20)) END AS kkb_164_worst_pay_stat_kkb_l6m
,CASE WHEN kkb_227_tot_pay_cc_kkb_l1m IS NULL THEN 0 ELSE kkb_227_tot_pay_cc_kkb_l1m END AS kkb_227_tot_pay_cc_kkb_l1m
,CASE WHEN kkb_235_tot_pay_ovd_kkb_l1m IS NULL THEN 0 ELSE kkb_235_tot_pay_ovd_kkb_l1m END AS kkb_235_tot_pay_ovd_kkb_l1m
,CASE WHEN kkb_254_tot_outstand_amt_deliquent_prod_kkb_ratio IS NULL THEN 0 ELSE kkb_254_tot_outstand_amt_deliquent_prod_kkb_ratio END AS kkb_254_tot_outstand_amt_deliquent_prod_kkb_ratio
,CASE WHEN kkb_256_kkb_score IS NULL THEN 0 ELSE kkb_256_kkb_score END AS kkb_256_kkb_score
,CASE WHEN kkb_257_time_since_cc_open_date IS NULL THEN 0 ELSE kkb_257_time_since_cc_open_date END AS kkb_257_time_since_cc_open_date
,CASE WHEN lim_01_cc_limit IS NULL THEN 0 ELSE lim_01_cc_limit END AS lim_01_cc_limit
,CASE WHEN lim_02_c_adv_limit IS NULL THEN 0 ELSE lim_02_c_adv_limit END AS lim_02_c_adv_limit
,CASE WHEN lim_03_ovd_limit IS NULL THEN 0 ELSE lim_03_ovd_limit END AS lim_03_ovd_limit
,CASE WHEN lim_22_cc_last_lim_increase_date IS NULL THEN 10000 ELSE EXTRACT(DAY FROM stmt_dt - lim_22_cc_last_lim_increase_date) END AS lim_22_cc_last_lim_increase_date
,CASE WHEN lim_22_1_last_lim_decrease_date IS NULL THEN 10000 ELSE EXTRACT(DAY FROM stmt_dt - lim_22_1_last_lim_decrease_date) END AS lim_22_1_last_lim_decrease_date
,CASE WHEN lim_25_last_lim_increase_request_flg IS NULL THEN 'NULL' ELSE lim_25_last_lim_increase_request_flg END AS lim_25_last_lim_increase_request_flg
,CASE WHEN lim_25_1_last_lim_decrease_request_flg IS NULL THEN 'NULL' ELSE lim_25_1_last_lim_decrease_request_flg END AS lim_25_1_last_lim_decrease_request_flg
,CASE WHEN lim_29_1_lim_change_to_previous_mon IS NULL THEN 0 ELSE lim_29_1_lim_change_to_previous_mon END AS lim_29_1_lim_change_to_previous_mon
,CASE WHEN out_01_tot_outstand_credits IS NULL THEN 0 ELSE out_01_tot_outstand_credits END AS out_01_tot_outstand_credits
,CASE WHEN out_02_1_avg_mon_outstand_cc IS NULL THEN 0 ELSE out_02_1_avg_mon_outstand_cc END AS out_02_1_avg_mon_outstand_cc
,CASE WHEN out_02_outstand_cc IS NULL THEN 0 ELSE out_02_outstand_cc END AS out_02_outstand_cc
,CASE WHEN out_03_outstand_c_adv IS NULL THEN 0 ELSE out_03_outstand_c_adv END AS out_03_outstand_c_adv
,CASE WHEN out_08_outstand_ovd IS NULL THEN 0 ELSE out_08_outstand_ovd END AS out_08_outstand_ovd
,CASE WHEN out_10_outstand_pers_loan IS NULL THEN 0 ELSE out_10_outstand_pers_loan END AS out_10_outstand_pers_loan
,CASE WHEN out_12_outstand_pers_loan IS NULL THEN 0 ELSE out_12_outstand_pers_loan END AS out_12_outstand_pers_loan
,CASE WHEN out_14_outstand_car_loan IS NULL THEN 0 ELSE out_14_outstand_car_loan END AS out_14_outstand_car_loan
,CASE WHEN out_16_outstand_ret_loan IS NULL THEN 0 ELSE out_16_outstand_ret_loan END AS out_16_outstand_ret_loan
,CASE WHEN out_24_avg_outstand_cc_l6m IS NULL THEN 0 ELSE out_24_avg_outstand_cc_l6m END AS out_24_avg_outstand_cc_l6m
,CASE WHEN out_25_outstand_ovd_l6m IS NULL THEN 0 ELSE out_25_outstand_ovd_l6m END AS out_25_outstand_ovd_l6m
,CASE WHEN out_26_avg_outstand_cc_l3m IS NULL THEN 0 ELSE out_26_avg_outstand_cc_l3m END AS out_26_avg_outstand_cc_l3m
,CASE WHEN out_27_outstand_ovd_l3m IS NULL THEN 0 ELSE out_27_outstand_ovd_l3m END AS out_27_outstand_ovd_l3m
,CASE WHEN pay_001_tot_pay_all_prod_l1m IS NULL THEN 0 ELSE pay_001_tot_pay_all_prod_l1m END AS pay_001_tot_pay_all_prod_l1m
,CASE WHEN pay_002_tot_pay_all_prod_l3m IS NULL THEN 0 ELSE pay_002_tot_pay_all_prod_l3m END AS pay_002_tot_pay_all_prod_l3m
,CASE WHEN pay_003_tot_pay_all_prod_l6m IS NULL THEN 0 ELSE pay_003_tot_pay_all_prod_l6m END AS pay_003_tot_pay_all_prod_l6m
,CASE WHEN pay_005_1_avg_pay_all_prod_l3m IS NULL THEN 0 ELSE pay_005_1_avg_pay_all_prod_l3m END AS pay_005_1_avg_pay_all_prod_l3m
,CASE WHEN pay_005_2_avg_pay_all_prod_l3m IS NULL THEN 0 ELSE pay_005_2_avg_pay_all_prod_l3m END AS pay_005_2_avg_pay_all_prod_l3m
,CASE WHEN pay_005_avg_pay_all_prod_l3m IS NULL THEN 0 ELSE pay_005_avg_pay_all_prod_l3m END AS pay_005_avg_pay_all_prod_l3m
,CASE WHEN pay_006_1_avg_pay_all_prod_l6m IS NULL THEN 0 ELSE pay_006_1_avg_pay_all_prod_l6m END AS pay_006_1_avg_pay_all_prod_l6m
,CASE WHEN pay_006_2_avg_pay_all_prod_l6m IS NULL THEN 0 ELSE pay_006_2_avg_pay_all_prod_l6m END AS pay_006_2_avg_pay_all_prod_l6m
,CASE WHEN pay_006_avg_pay_all_prod_l6m IS NULL THEN 0 ELSE pay_006_avg_pay_all_prod_l6m END AS pay_006_avg_pay_all_prod_l6m
,CASE WHEN pay_008_tot_pay_cc_l1m IS NULL THEN 0 ELSE pay_008_tot_pay_cc_l1m END AS pay_008_tot_pay_cc_l1m
,CASE WHEN pay_009_tot_pay_cc_l3m IS NULL THEN 0 ELSE pay_009_tot_pay_cc_l3m END AS pay_009_tot_pay_cc_l3m
,CASE WHEN pay_010_tot_pay_cc_l6m IS NULL THEN 0 ELSE pay_010_tot_pay_cc_l6m END AS pay_010_tot_pay_cc_l6m
,CASE WHEN pay_012_1_avg_pay_cc_l3m IS NULL THEN 0 ELSE pay_012_1_avg_pay_cc_l3m END AS pay_012_1_avg_pay_cc_l3m
,CASE WHEN pay_012_2_avg_pay_cc_l3m IS NULL THEN 0 ELSE pay_012_2_avg_pay_cc_l3m END AS pay_012_2_avg_pay_cc_l3m
,CASE WHEN pay_012_3_tot_pay_cc_l3m IS NULL THEN 0 ELSE pay_012_3_tot_pay_cc_l3m END AS pay_012_3_tot_pay_cc_l3m
,CASE WHEN pay_012_4_cnt_mon_pay_cc_l3m IS NULL THEN 0 ELSE pay_012_4_cnt_mon_pay_cc_l3m END AS pay_012_4_cnt_mon_pay_cc_l3m
,CASE WHEN pay_012_avg_pay_cc_l3m IS NULL THEN 0 ELSE pay_012_avg_pay_cc_l3m END AS pay_012_avg_pay_cc_l3m
,CASE WHEN pay_013_1_avg_pay_cc_l6m IS NULL THEN 0 ELSE pay_013_1_avg_pay_cc_l6m END AS pay_013_1_avg_pay_cc_l6m
,CASE WHEN pay_013_2_avg_pay_cc_l6m IS NULL THEN 0 ELSE pay_013_2_avg_pay_cc_l6m END AS pay_013_2_avg_pay_cc_l6m
,CASE WHEN pay_013_3_tot_pay_cc_l6m IS NULL THEN 0 ELSE pay_013_3_tot_pay_cc_l6m END AS pay_013_3_tot_pay_cc_l6m
,CASE WHEN pay_013_4_cnt_mon_pay_cc_l6m IS NULL THEN 0 ELSE pay_013_4_cnt_mon_pay_cc_l6m END AS pay_013_4_cnt_mon_pay_cc_l6m
,CASE WHEN pay_013_avg_pay_cc_l6m IS NULL THEN 0 ELSE pay_013_avg_pay_cc_l6m END AS pay_013_avg_pay_cc_l6m
,CASE WHEN pay_016_tot_pay_ovd_l1m IS NULL THEN 0 ELSE pay_016_tot_pay_ovd_l1m END AS pay_016_tot_pay_ovd_l1m
,CASE WHEN pay_018_tot_pay_ovd_l3m IS NULL THEN 0 ELSE pay_018_tot_pay_ovd_l3m END AS pay_018_tot_pay_ovd_l3m
,CASE WHEN pay_020_tot_pay_ovd_l6m IS NULL THEN 0 ELSE pay_020_tot_pay_ovd_l6m END AS pay_020_tot_pay_ovd_l6m
,CASE WHEN pay_024_1_avg_pay_ovd_l3m IS NULL THEN 0 ELSE pay_024_1_avg_pay_ovd_l3m END AS pay_024_1_avg_pay_ovd_l3m
,CASE WHEN pay_024_2_avg_pay_ovd_l3m IS NULL THEN 0 ELSE pay_024_2_avg_pay_ovd_l3m END AS pay_024_2_avg_pay_ovd_l3m
,CASE WHEN pay_024_3_tot_pay_ovd_l3m IS NULL THEN 0 ELSE pay_024_3_tot_pay_ovd_l3m END AS pay_024_3_tot_pay_ovd_l3m
,CASE WHEN pay_024_4_cnt_mon_pay_ovd_l3m IS NULL THEN 0 ELSE pay_024_4_cnt_mon_pay_ovd_l3m END AS pay_024_4_cnt_mon_pay_ovd_l3m
,CASE WHEN pay_024_avg_pay_ovd_l3m IS NULL THEN 0 ELSE pay_024_avg_pay_ovd_l3m END AS pay_024_avg_pay_ovd_l3m
,CASE WHEN pay_026_1_avg_pay_ovd_l6m IS NULL THEN 0 ELSE pay_026_1_avg_pay_ovd_l6m END AS pay_026_1_avg_pay_ovd_l6m
,CASE WHEN pay_026_2_avg_pay_ovd_l6m IS NULL THEN 0 ELSE pay_026_2_avg_pay_ovd_l6m END AS pay_026_2_avg_pay_ovd_l6m
,CASE WHEN pay_026_3_tot_pay_ovd_l6m IS NULL THEN 0 ELSE pay_026_3_tot_pay_ovd_l6m END AS pay_026_3_tot_pay_ovd_l6m
,CASE WHEN pay_026_4_cnt_mon_pay_ovd_l6m IS NULL THEN 0 ELSE pay_026_4_cnt_mon_pay_ovd_l6m END AS pay_026_4_cnt_mon_pay_ovd_l6m
,CASE WHEN pay_026_avg_pay_ovd_l6m IS NULL THEN 0 ELSE pay_026_avg_pay_ovd_l6m END AS pay_026_avg_pay_ovd_l6m
,CASE WHEN pay_029_first_cc_pay_on_time_flg IS NULL THEN 'NULL' ELSE pay_029_first_cc_pay_on_time_flg END AS pay_029_first_cc_pay_on_time_flg
,CASE WHEN pay_030_first_pers_loan_pay_on_time_flg IS NULL THEN 'NULL' ELSE pay_030_first_pers_loan_pay_on_time_flg END AS pay_030_first_pers_loan_pay_on_time_flg
,CASE WHEN pay_031_first_car_loan_pay_on_time_flg IS NULL THEN 'NULL' ELSE pay_031_first_car_loan_pay_on_time_flg END AS pay_031_first_car_loan_pay_on_time_flg
,CASE WHEN pay_032_first_mortgage_pay_on_time_flg IS NULL THEN 'NULL' ELSE pay_032_first_mortgage_pay_on_time_flg END AS pay_032_first_mortgage_pay_on_time_flg
,CASE WHEN pay_033_first_other_ret_loan_pay_on_time_flg IS NULL THEN 'NULL' ELSE pay_033_first_other_ret_loan_pay_on_time_flg END AS pay_033_first_other_ret_loan_pay_on_time_flg
,CASE WHEN pay_035_tot_pay_ret_loan IS NULL THEN 0 ELSE pay_035_tot_pay_ret_loan END AS pay_035_tot_pay_ret_loan
,CASE WHEN pay_036_tot_pay_ret_loan_l3m IS NULL THEN 0 ELSE pay_036_tot_pay_ret_loan_l3m END AS pay_036_tot_pay_ret_loan_l3m
,CASE WHEN pay_037_tot_pay_ret_loan_l6m IS NULL THEN 0 ELSE pay_037_tot_pay_ret_loan_l6m END AS pay_037_tot_pay_ret_loan_l6m
,CASE WHEN pay_038_1_avg_pay_ret_loan_l3m IS NULL THEN 0 ELSE pay_038_1_avg_pay_ret_loan_l3m END AS pay_038_1_avg_pay_ret_loan_l3m
,CASE WHEN pay_038_2_avg_pay_ret_loan_l3m IS NULL THEN 0 ELSE pay_038_2_avg_pay_ret_loan_l3m END AS pay_038_2_avg_pay_ret_loan_l3m
,CASE WHEN pay_038_3_tot_pay_ret_loan_l3m IS NULL THEN 0 ELSE pay_038_3_tot_pay_ret_loan_l3m END AS pay_038_3_tot_pay_ret_loan_l3m
,CASE WHEN pay_038_4_cnt_mon_pay_ret_loan_l3m IS NULL THEN 0 ELSE pay_038_4_cnt_mon_pay_ret_loan_l3m END AS pay_038_4_cnt_mon_pay_ret_loan_l3m
,CASE WHEN pay_038_avg_pay_ret_loan_l3m IS NULL THEN 0 ELSE pay_038_avg_pay_ret_loan_l3m END AS pay_038_avg_pay_ret_loan_l3m
,CASE WHEN pay_039_1_avg_pay_ret_loan_l6m IS NULL THEN 0 ELSE pay_039_1_avg_pay_ret_loan_l6m END AS pay_039_1_avg_pay_ret_loan_l6m
,CASE WHEN pay_039_2_avg_pay_ret_loan_l6m IS NULL THEN 0 ELSE pay_039_2_avg_pay_ret_loan_l6m END AS pay_039_2_avg_pay_ret_loan_l6m
,CASE WHEN pay_039_3_tot_pay_ret_loan_l6m IS NULL THEN 0 ELSE pay_039_3_tot_pay_ret_loan_l6m END AS pay_039_3_tot_pay_ret_loan_l6m
,CASE WHEN pay_039_4_cnt_mon_pay_ret_loan_l6m IS NULL THEN 0 ELSE pay_039_4_cnt_mon_pay_ret_loan_l6m END AS pay_039_4_cnt_mon_pay_ret_loan_l6m
,CASE WHEN pay_039_avg_pay_ret_loan_l6m IS NULL THEN 0 ELSE pay_039_avg_pay_ret_loan_l6m END AS pay_039_avg_pay_ret_loan_l6m
,CASE WHEN pay_040_cc_pay_ratio_l3m IS NULL THEN 0 ELSE pay_040_cc_pay_ratio_l3m END AS pay_040_cc_pay_ratio_l3m
,CASE WHEN pay_041_cc_avg_pay_ratio_l3m IS NULL THEN 0 ELSE pay_041_cc_avg_pay_ratio_l3m END AS pay_041_cc_avg_pay_ratio_l3m
,CASE WHEN pay_042_cc_avg_pay_ratio_l6m IS NULL THEN 0 ELSE pay_042_cc_avg_pay_ratio_l6m END AS pay_042_cc_avg_pay_ratio_l6m
,CASE WHEN rsk_001_pay_stat IS NULL THEN 'NULL' ELSE CAST(rsk_001_pay_stat AS VARCHAR(20)) END AS rsk_001_pay_stat
,CASE WHEN rsk_001_1_pay_stat IS NULL THEN 'NULL' ELSE CAST(rsk_001_1_pay_stat AS VARCHAR(20)) END AS rsk_001_1_pay_stat
,CASE WHEN rsk_002_worst_pay_stat IS NULL THEN 'NULL' ELSE CAST(rsk_002_worst_pay_stat AS VARCHAR(20)) END AS rsk_002_worst_pay_stat
,CASE WHEN rsk_003_extra_stat IS NULL THEN 'NULL' ELSE rsk_003_extra_stat END AS rsk_003_extra_stat
,CASE WHEN rsk_004_cnt_extra_stat IS NULL THEN 'NULL' ELSE CAST(rsk_004_cnt_extra_stat AS VARCHAR(20)) END AS rsk_004_cnt_extra_stat
,CASE WHEN rsk_005_follow_up_stat IS NULL THEN 'NULL' ELSE rsk_005_follow_up_stat END AS rsk_005_follow_up_stat
,CASE WHEN rsk_006_tot_npl_amt IS NULL THEN 0 ELSE rsk_006_tot_npl_amt END AS rsk_006_tot_npl_amt
,CASE WHEN rsk_007_mon_npl_amt IS NULL THEN 0 ELSE rsk_007_mon_npl_amt END AS rsk_007_mon_npl_amt
,CASE WHEN rsk_008_cnt_1_mon_delay_l3m IS NULL THEN 0 ELSE rsk_008_cnt_1_mon_delay_l3m END AS rsk_008_cnt_1_mon_delay_l3m
,CASE WHEN rsk_009_cnt_1_mon_delay_l6m IS NULL THEN 0 ELSE rsk_009_cnt_1_mon_delay_l6m END AS rsk_009_cnt_1_mon_delay_l6m
,CASE WHEN rsk_011_cnt_2_mon_delay_l3m IS NULL THEN 0 ELSE rsk_011_cnt_2_mon_delay_l3m END AS rsk_011_cnt_2_mon_delay_l3m
,CASE WHEN rsk_012_cnt_2_mon_delay_l6m IS NULL THEN 0 ELSE rsk_012_cnt_2_mon_delay_l6m END AS rsk_012_cnt_2_mon_delay_l6m
,CASE WHEN rsk_014_cnt_min_3_mon_delay_l3m IS NULL THEN 0 ELSE rsk_014_cnt_min_3_mon_delay_l3m END AS rsk_014_cnt_min_3_mon_delay_l3m
,CASE WHEN rsk_015_cnt_min_3_mon_delay_l6m IS NULL THEN 0 ELSE rsk_015_cnt_min_3_mon_delay_l6m END AS rsk_015_cnt_min_3_mon_delay_l6m
,CASE WHEN rsk_017_tot_1_mon_delay_l3m IS NULL THEN 0 ELSE rsk_017_tot_1_mon_delay_l3m END AS rsk_017_tot_1_mon_delay_l3m
,CASE WHEN rsk_018_tot_1_mon_delay_l6m IS NULL THEN 0 ELSE rsk_018_tot_1_mon_delay_l6m END AS rsk_018_tot_1_mon_delay_l6m
,CASE WHEN rsk_020_tot_2_mon_delay_l3m IS NULL THEN 0 ELSE rsk_020_tot_2_mon_delay_l3m END AS rsk_020_tot_2_mon_delay_l3m
,CASE WHEN rsk_021_tot_2_mon_delay_l6m IS NULL THEN 0 ELSE rsk_021_tot_2_mon_delay_l6m END AS rsk_021_tot_2_mon_delay_l6m
,CASE WHEN rsk_023_tot_min_3_mon_delay_l3m IS NULL THEN 0 ELSE rsk_023_tot_min_3_mon_delay_l3m END AS rsk_023_tot_min_3_mon_delay_l3m
,CASE WHEN rsk_024_tot_min_3_mon_delay_l6m IS NULL THEN 0 ELSE rsk_024_tot_min_3_mon_delay_l6m END AS rsk_024_tot_min_3_mon_delay_l6m
,CASE WHEN rsk_026_worst_pay_stat_l3m IS NULL THEN 'NULL' ELSE CAST(rsk_026_worst_pay_stat_l3m AS VARCHAR(20)) END AS rsk_026_worst_pay_stat_l3m
,CASE WHEN rsk_026_1_worst_pay_stat_l3m IS NULL THEN 'NULL' ELSE CAST(rsk_026_1_worst_pay_stat_l3m AS VARCHAR(20)) END AS rsk_026_1_worst_pay_stat_l3m
,CASE WHEN rsk_027_worst_pay_stat_l6m IS NULL THEN 'NULL' ELSE CAST(rsk_027_worst_pay_stat_l6m AS VARCHAR(20)) END AS rsk_027_worst_pay_stat_l6m
,CASE WHEN rsk_027_1_worst_pay_stat_l6m IS NULL THEN 'NULL' ELSE CAST(rsk_027_1_worst_pay_stat_l6m AS VARCHAR(20)) END AS rsk_027_1_worst_pay_stat_l6m
,CASE WHEN rsk_029_tot_deliquency_l3m IS NULL THEN 0 ELSE rsk_029_tot_deliquency_l3m END AS rsk_029_tot_deliquency_l3m
,CASE WHEN rsk_030_tot_deliquency_l6m IS NULL THEN 0 ELSE rsk_030_tot_deliquency_l6m END AS rsk_030_tot_deliquency_l6m
,CASE WHEN rsk_032_restruc_credit_flg IS NULL THEN 'NULL' ELSE rsk_032_restruc_credit_flg END AS rsk_032_restruc_credit_flg
,CASE WHEN rsk_033_tot_amt_restruc_credt IS NULL THEN 0 ELSE rsk_033_tot_amt_restruc_credt END AS rsk_033_tot_amt_restruc_credt
,CASE WHEN rsk_034_npl_amt_cc IS NULL THEN 0 ELSE rsk_034_npl_amt_cc END AS rsk_034_npl_amt_cc
,CASE WHEN rsk_035_npl_amt_ovd IS NULL THEN 0 ELSE rsk_035_npl_amt_ovd END AS rsk_035_npl_amt_ovd
,CASE WHEN rsk_036_npl_amt_pers_loan IS NULL THEN 0 ELSE rsk_036_npl_amt_pers_loan END AS rsk_036_npl_amt_pers_loan
,CASE WHEN rsk_037_npl_amt_car_loan IS NULL THEN 0 ELSE rsk_037_npl_amt_car_loan END AS rsk_037_npl_amt_car_loan
,CASE WHEN rsk_038_npl_amt_motgages IS NULL THEN 0 ELSE rsk_038_npl_amt_motgages END AS rsk_038_npl_amt_motgages
,CASE WHEN rsk_039_npl_amt_pers_loan IS NULL THEN 0 ELSE rsk_039_npl_amt_pers_loan END AS rsk_039_npl_amt_pers_loan
,CASE WHEN rsk_040_npl_amt_non_instal_cash_loan IS NULL THEN 0 ELSE rsk_040_npl_amt_non_instal_cash_loan END AS rsk_040_npl_amt_non_instal_cash_loan
,CASE WHEN rsk_041_npl_amt_noncash_loan IS NULL THEN 0 ELSE rsk_041_npl_amt_noncash_loan END AS rsk_041_npl_amt_noncash_loan
,CASE WHEN rsk_042_npl_amt_cheq IS NULL THEN 0 ELSE rsk_042_npl_amt_cheq END AS rsk_042_npl_amt_cheq
,CASE WHEN rsk_043_tot_npl_recover_amt IS NULL THEN 0 ELSE rsk_043_tot_npl_recover_amt END AS rsk_043_tot_npl_recover_amt
,CASE WHEN rsk_044_tot_npl_sales_amt IS NULL THEN 0 ELSE rsk_044_tot_npl_sales_amt END AS rsk_044_tot_npl_sales_amt
,CASE WHEN rsk_045_cc_delinquent_days IS NULL THEN 0 ELSE rsk_045_cc_delinquent_days END AS rsk_045_cc_delinquent_days
,CASE WHEN sas_1_bs_lim_management_cc IS NULL THEN 0 ELSE sas_1_bs_lim_management_cc END AS sas_1_bs_lim_management_cc
,CASE WHEN sas_10_kkb_inquiry_flg IS NULL THEN 'NULL' ELSE sas_10_kkb_inquiry_flg END AS sas_10_kkb_inquiry_flg
,CASE WHEN sas_11_eligible_preapp_loan_flg IS NULL THEN 'NULL' ELSE sas_11_eligible_preapp_loan_flg END AS sas_11_eligible_preapp_loan_flg
,CASE WHEN sas_12_eligible_lim_increase_flg IS NULL THEN 'NULL' ELSE sas_12_eligible_lim_increase_flg END AS sas_12_eligible_lim_increase_flg
,CASE WHEN sas_13_eligible_lim_decrease_flg IS NULL THEN 'NULL' ELSE sas_13_eligible_lim_decrease_flg END AS sas_13_eligible_lim_decrease_flg
,CASE WHEN sas_14_od_reccomended_lim IS NULL THEN 0 ELSE sas_14_od_reccomended_lim END AS sas_14_od_reccomended_lim
,CASE WHEN sas_15_preselec_rule_cc_lim_increase IS NULL THEN 'NULL' ELSE sas_15_preselec_rule_cc_lim_increase END AS sas_15_preselec_rule_cc_lim_increase
,CASE WHEN sas_16_kkb_inquiry_req_flg_preapp_loan IS NULL THEN 'NULL' ELSE sas_16_kkb_inquiry_req_flg_preapp_loan END AS sas_16_kkb_inquiry_req_flg_preapp_loan
,CASE WHEN sas_2_bs_preapp_loan IS NULL THEN 0 ELSE sas_2_bs_preapp_loan END AS sas_2_bs_preapp_loan
,CASE WHEN sas_3_scoreband_lim_cc IS NULL THEN 'NULL' ELSE CAST(sas_3_scoreband_lim_cc AS VARCHAR(20)) END AS sas_3_scoreband_lim_cc
,CASE WHEN sas_4_scoreband_preapp_loan IS NULL THEN 'NULL' ELSE CAST(sas_4_scoreband_preapp_loan AS VARCHAR(20)) END AS sas_4_scoreband_preapp_loan
,CASE WHEN sas_5_eligible_lim_increase_flg IS NULL THEN 'NULL' ELSE sas_5_eligible_lim_increase_flg END AS sas_5_eligible_lim_increase_flg
,CASE WHEN sas_6_recommended_lim IS NULL THEN 0 ELSE sas_6_recommended_lim END AS sas_6_recommended_lim
,CASE WHEN sas_7_exit_pool_flg IS NULL THEN 'NULL' ELSE sas_7_exit_pool_flg END AS sas_7_exit_pool_flg
,CASE WHEN sas_8_cc_bloking_flg IS NULL THEN 'NULL' ELSE sas_8_cc_bloking_flg END AS sas_8_cc_bloking_flg
,CASE WHEN sas_9_lim_decrease_flg IS NULL THEN 'NULL' ELSE sas_9_lim_decrease_flg END AS sas_9_lim_decrease_flg
,CASE WHEN score_1_1_bs_cc_lim_management_date IS NULL THEN 40 ELSE EXTRACT(DAY FROM stmt_dt - score_1_1_bs_cc_lim_management_date) END AS score_1_1_bs_cc_lim_management_date
,CASE WHEN score_1_2_bs_cc_lim_management_flg IS NULL THEN 'NULL' ELSE score_1_2_bs_cc_lim_management_flg END AS score_1_2_bs_cc_lim_management_flg
,CASE WHEN score_1_3_bs_cc_lim_management IS NULL THEN 0 ELSE score_1_3_bs_cc_lim_management END AS score_1_3_bs_cc_lim_management
,CASE WHEN score_1_4_scoreband_lim_management IS NULL THEN 'NULL' ELSE CAST(score_1_4_scoreband_lim_management AS VARCHAR(20)) END AS score_1_4_scoreband_lim_management
,CASE WHEN score_2_1_bs_preapp_loan IS NULL THEN 1095 ELSE EXTRACT(DAY FROM stmt_dt - score_2_1_bs_preapp_loan) END AS score_2_1_bs_preapp_loan
,CASE WHEN score_2_2_new_bs_calculated_flg IS NULL THEN 'NULL' ELSE score_2_2_new_bs_calculated_flg END AS score_2_2_new_bs_calculated_flg
,CASE WHEN score_2_3_last_bs_preapp_loan IS NULL THEN 0 ELSE score_2_3_last_bs_preapp_loan END AS score_2_3_last_bs_preapp_loan
,CASE WHEN score_2_4_scoreband_preapp_loan IS NULL THEN 'NULL' ELSE CAST(score_2_4_scoreband_preapp_loan AS VARCHAR(20)) END AS score_2_4_scoreband_preapp_loan
,CASE WHEN sta_001_tot_amt_statement_l1m IS NULL THEN 0 ELSE sta_001_tot_amt_statement_l1m END AS sta_001_tot_amt_statement_l1m
,CASE WHEN sta_002_tot_amt_statement_l3m IS NULL THEN 0 ELSE sta_002_tot_amt_statement_l3m END AS sta_002_tot_amt_statement_l3m
,CASE WHEN sta_003_tot_amt_statement_l6m IS NULL THEN 0 ELSE sta_003_tot_amt_statement_l6m END AS sta_003_tot_amt_statement_l6m
,CASE WHEN sta_005_1_avg_amt_statement_l3m IS NULL THEN 0 ELSE sta_005_1_avg_amt_statement_l3m END AS sta_005_1_avg_amt_statement_l3m
,CASE WHEN sta_005_2_avg_amt_statement_l3m IS NULL THEN 0 ELSE sta_005_2_avg_amt_statement_l3m END AS sta_005_2_avg_amt_statement_l3m
,CASE WHEN sta_005_avg_amt_statement_l3m IS NULL THEN 0 ELSE sta_005_avg_amt_statement_l3m END AS sta_005_avg_amt_statement_l3m
,CASE WHEN sta_006_1_avg_amt_statement_l6m IS NULL THEN 0 ELSE sta_006_1_avg_amt_statement_l6m END AS sta_006_1_avg_amt_statement_l6m
,CASE WHEN sta_006_2_avg_amt_statement_l6m IS NULL THEN 0 ELSE sta_006_2_avg_amt_statement_l6m END AS sta_006_2_avg_amt_statement_l6m
,CASE WHEN sta_006_avg_amt_statement_l6m IS NULL THEN 0 ELSE sta_006_avg_amt_statement_l6m END AS sta_006_avg_amt_statement_l6m
,CASE WHEN sta_008_tot_amt_cash_adv_statement_l1m IS NULL THEN 0 ELSE sta_008_tot_amt_cash_adv_statement_l1m END AS sta_008_tot_amt_cash_adv_statement_l1m
,CASE WHEN sta_009_tot_amt_cash_adv_statement_l3m IS NULL THEN 0 ELSE sta_009_tot_amt_cash_adv_statement_l3m END AS sta_009_tot_amt_cash_adv_statement_l3m
,CASE WHEN sta_010_tot_amt_cash_adv_statement_l6m IS NULL THEN 0 ELSE sta_010_tot_amt_cash_adv_statement_l6m END AS sta_010_tot_amt_cash_adv_statement_l6m
,CASE WHEN sta_012_1_avg_amt_cash_adv_statement_l3m IS NULL THEN 0 ELSE sta_012_1_avg_amt_cash_adv_statement_l3m END AS sta_012_1_avg_amt_cash_adv_statement_l3m
,CASE WHEN sta_012_2_avg_amt_cash_adv_statement_l3m IS NULL THEN 0 ELSE sta_012_2_avg_amt_cash_adv_statement_l3m END AS sta_012_2_avg_amt_cash_adv_statement_l3m
,CASE WHEN sta_012_avg_amt_cash_adv_statement_l3m IS NULL THEN 0 ELSE sta_012_avg_amt_cash_adv_statement_l3m END AS sta_012_avg_amt_cash_adv_statement_l3m
,CASE WHEN sta_013_1_avg_amt_cash_adv_statement_l6m IS NULL THEN 0 ELSE sta_013_1_avg_amt_cash_adv_statement_l6m END AS sta_013_1_avg_amt_cash_adv_statement_l6m
,CASE WHEN sta_013_2_avg_amt_cash_adv_statement_l6m IS NULL THEN 0 ELSE sta_013_2_avg_amt_cash_adv_statement_l6m END AS sta_013_2_avg_amt_cash_adv_statement_l6m
,CASE WHEN sta_013_avg_amt_cash_adv_statement_l6m IS NULL THEN 0 ELSE sta_013_avg_amt_cash_adv_statement_l6m END AS sta_013_avg_amt_cash_adv_statement_l6m
,CASE WHEN sta_036_tot_revolved_amt_l1m IS NULL THEN 0 ELSE sta_036_tot_revolved_amt_l1m END AS sta_036_tot_revolved_amt_l1m
,CASE WHEN sta_037_tot_revolved_amt_l3m IS NULL THEN 0 ELSE sta_037_tot_revolved_amt_l3m END AS sta_037_tot_revolved_amt_l3m
,CASE WHEN sta_038_tot_revolved_amt_l6m IS NULL THEN 0 ELSE sta_038_tot_revolved_amt_l6m END AS sta_038_tot_revolved_amt_l6m
,CASE WHEN sta_040_1_avg_revolved_amt_l3m IS NULL THEN 0 ELSE sta_040_1_avg_revolved_amt_l3m END AS sta_040_1_avg_revolved_amt_l3m
,CASE WHEN sta_040_2_avg_revolved_amt_l3m IS NULL THEN 0 ELSE sta_040_2_avg_revolved_amt_l3m END AS sta_040_2_avg_revolved_amt_l3m
,CASE WHEN sta_040_avg_revolved_amt_l3m IS NULL THEN 0 ELSE sta_040_avg_revolved_amt_l3m END AS sta_040_avg_revolved_amt_l3m
,CASE WHEN sta_041_1_avg_revolved_amt_l6m IS NULL THEN 0 ELSE sta_041_1_avg_revolved_amt_l6m END AS sta_041_1_avg_revolved_amt_l6m
,CASE WHEN sta_041_2_avg_revolved_amt_l6m IS NULL THEN 0 ELSE sta_041_2_avg_revolved_amt_l6m END AS sta_041_2_avg_revolved_amt_l6m
,CASE WHEN sta_041_avg_revolved_amt_l6m IS NULL THEN 0 ELSE sta_041_avg_revolved_amt_l6m END AS sta_041_avg_revolved_amt_l6m
,CASE WHEN sta_045_cnt_days_cc_over_lim IS NULL THEN 0 ELSE sta_045_cnt_days_cc_over_lim END AS sta_045_cnt_days_cc_over_lim
,CASE WHEN sta_046_cnt_days_cc_over_lim_l3m IS NULL THEN 0 ELSE sta_046_cnt_days_cc_over_lim_l3m END AS sta_046_cnt_days_cc_over_lim_l3m
,CASE WHEN sta_047_cnt_days_cc_over_lim_l6m IS NULL THEN 0 ELSE sta_047_cnt_days_cc_over_lim_l6m END AS sta_047_cnt_days_cc_over_lim_l6m
,CASE WHEN uti_002_avg_cc_lim_util_l6m IS NULL THEN 0 ELSE uti_002_avg_cc_lim_util_l6m END AS uti_002_avg_cc_lim_util_l6m
,CASE WHEN uti_003_avg_cc_lim_util_l3m IS NULL THEN 0 ELSE uti_003_avg_cc_lim_util_l3m END AS uti_003_avg_cc_lim_util_l3m
,CASE WHEN uti_004_avg_cc_lim_util_l1m IS NULL THEN 0 ELSE uti_004_avg_cc_lim_util_l1m END AS uti_004_avg_cc_lim_util_l1m
,CASE WHEN uti_006_avg_cash_adv_lim_util_l6m IS NULL THEN 0 ELSE uti_006_avg_cash_adv_lim_util_l6m END AS uti_006_avg_cash_adv_lim_util_l6m
,CASE WHEN uti_007_avg_cash_adv_lim_util_l3m IS NULL THEN 0 ELSE uti_007_avg_cash_adv_lim_util_l3m END AS uti_007_avg_cash_adv_lim_util_l3m
,CASE WHEN uti_008_avg_cash_adv_lim_util_l1m IS NULL THEN 0 ELSE uti_008_avg_cash_adv_lim_util_l1m END AS uti_008_avg_cash_adv_lim_util_l1m
,CASE WHEN uti_010_avg_ovd_lim_util_l6m IS NULL THEN 0 ELSE uti_010_avg_ovd_lim_util_l6m END AS uti_010_avg_ovd_lim_util_l6m
,CASE WHEN uti_011_avg_ovd_lim_util_l3m IS NULL THEN 0 ELSE uti_011_avg_ovd_lim_util_l3m END AS uti_011_avg_ovd_lim_util_l3m
,CASE WHEN uti_012_ovd_lim_util_l1m IS NULL THEN 0 ELSE uti_012_ovd_lim_util_l1m END AS uti_012_ovd_lim_util_l1m
,CASE WHEN uti_017_avg_ovd_util_l3m IS NULL THEN 0 ELSE uti_017_avg_ovd_util_l3m END AS uti_017_avg_ovd_util_l3m
,CASE WHEN uti_018_avg_ovd_util_l6m IS NULL THEN 0 ELSE uti_018_avg_ovd_util_l6m END AS uti_018_avg_ovd_util_l6m
,CASE WHEN kkb_last_inq_date IS NULL THEN 1 ELSE 0 END AS kkb_last_inq_date_NF


,CASE WHEN aut_050_1_avg_cc_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_050_1_avg_cc_trx_l3m_NF
,CASE WHEN aut_050_avg_cc_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_050_avg_cc_trx_l3m_NF
,CASE WHEN aut_051_1_avg_cc_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_051_1_avg_cc_trx_l6m_NF
,CASE WHEN aut_051_avg_cc_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_051_avg_cc_trx_l6m_NF
,CASE WHEN aut_053_cnt_cc_trx_l1m IS NULL THEN 1 ELSE 0 END AS aut_053_cnt_cc_trx_l1m_NF
,CASE WHEN aut_054_cnt_cc_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_054_cnt_cc_trx_l3m_NF
,CASE WHEN aut_055_cnt_cc_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_055_cnt_cc_trx_l6m_NF
,CASE WHEN aut_057_avg_amt_cc_trx_l1m IS NULL THEN 1 ELSE 0 END AS aut_057_avg_amt_cc_trx_l1m_NF
,CASE WHEN aut_058_1_avg_amt_cc_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_058_1_avg_amt_cc_trx_l3m_NF
,CASE WHEN aut_058_2_avg_amt_cc_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_058_2_avg_amt_cc_trx_l3m_NF
,CASE WHEN aut_058_avg_amt_cc_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_058_avg_amt_cc_trx_l3m_NF
,CASE WHEN aut_059_1_avg_amt_cc_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_059_1_avg_amt_cc_trx_l6m_NF
,CASE WHEN aut_059_2_avg_amt_cc_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_059_2_avg_amt_cc_trx_l6m_NF
,CASE WHEN aut_059_avg_amt_cc_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_059_avg_amt_cc_trx_l6m_NF
,CASE WHEN aut_061_tot_amt_cc_trx_l1m IS NULL THEN 1 ELSE 0 END AS aut_061_tot_amt_cc_trx_l1m_NF
,CASE WHEN aut_062_tot_amt_cc_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_062_tot_amt_cc_trx_l3m_NF
,CASE WHEN aut_063_tot_amt_cc_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_063_tot_amt_cc_trx_l6m_NF
,CASE WHEN aut_065_1_avg_cnt_c_adv_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_065_1_avg_cnt_c_adv_trx_l3m_NF
,CASE WHEN aut_065_avg_cnt_c_adv_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_065_avg_cnt_c_adv_trx_l3m_NF
,CASE WHEN aut_066_1_avg_cnt_c_adv_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_066_1_avg_cnt_c_adv_trx_l6m_NF
,CASE WHEN aut_066_avg_cnt_c_adv_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_066_avg_cnt_c_adv_trx_l6m_NF
,CASE WHEN aut_068_cnt_c_adv_trx_l1m IS NULL THEN 1 ELSE 0 END AS aut_068_cnt_c_adv_trx_l1m_NF
,CASE WHEN aut_069_cnt_c_adv_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_069_cnt_c_adv_trx_l3m_NF
,CASE WHEN aut_070_cnt_c_adv_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_070_cnt_c_adv_trx_l6m_NF
,CASE WHEN aut_072_avg_amt_c_adv_trx_l1m IS NULL THEN 1 ELSE 0 END AS aut_072_avg_amt_c_adv_trx_l1m_NF
,CASE WHEN aut_073_1_avg_amt_c_adv_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_073_1_avg_amt_c_adv_trx_l3m_NF
,CASE WHEN aut_073_2_avg_amt_c_adv_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_073_2_avg_amt_c_adv_trx_l3m_NF
,CASE WHEN aut_073_avg_amt_c_adv_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_073_avg_amt_c_adv_trx_l3m_NF
,CASE WHEN aut_074_1_avg_amt_c_adv_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_074_1_avg_amt_c_adv_trx_l6m_NF
,CASE WHEN aut_074_2_avg_amt_c_adv_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_074_2_avg_amt_c_adv_trx_l6m_NF
,CASE WHEN aut_074_avg_amt_c_adv_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_074_avg_amt_c_adv_trx_l6m_NF
,CASE WHEN aut_076_amt_c_adv_trx_l1m IS NULL THEN 1 ELSE 0 END AS aut_076_amt_c_adv_trx_l1m_NF
,CASE WHEN aut_077_amt_c_adv_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_077_amt_c_adv_trx_l3m_NF
,CASE WHEN aut_078_amt_c_adv_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_078_amt_c_adv_trx_l6m_NF
,CASE WHEN aut_110_1_avg_cnt_ovd_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_110_1_avg_cnt_ovd_trx_l3m_NF
,CASE WHEN aut_110_avg_cnt_ovd_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_110_avg_cnt_ovd_trx_l3m_NF
,CASE WHEN aut_111_1_avg_cnt_ovd_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_111_1_avg_cnt_ovd_trx_l6m_NF
,CASE WHEN aut_111_avg_cnt_ovd_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_111_avg_cnt_ovd_trx_l6m_NF
,CASE WHEN aut_113_cnt_ovd_trx_l1m IS NULL THEN 1 ELSE 0 END AS aut_113_cnt_ovd_trx_l1m_NF
,CASE WHEN aut_114_cnt_ovd_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_114_cnt_ovd_trx_l3m_NF
,CASE WHEN aut_115_cnt_ovd_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_115_cnt_ovd_trx_l6m_NF
,CASE WHEN aut_117_avg_amt_ovd_trx_l1m IS NULL THEN 1 ELSE 0 END AS aut_117_avg_amt_ovd_trx_l1m_NF
,CASE WHEN aut_118_1_avg_amt_ovd_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_118_1_avg_amt_ovd_trx_l3m_NF
,CASE WHEN aut_118_2_avg_amt_ovd_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_118_2_avg_amt_ovd_trx_l3m_NF
,CASE WHEN aut_118_avg_amt_ovd_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_118_avg_amt_ovd_trx_l3m_NF
,CASE WHEN aut_119_1_avg_amt_ovd_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_119_1_avg_amt_ovd_trx_l6m_NF
,CASE WHEN aut_119_2_avg_amt_ovd_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_119_2_avg_amt_ovd_trx_l6m_NF
,CASE WHEN aut_119_avg_amt_ovd_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_119_avg_amt_ovd_trx_l6m_NF
,CASE WHEN aut_121_tot_amt_ovd_trx_l1m IS NULL THEN 1 ELSE 0 END AS aut_121_tot_amt_ovd_trx_l1m_NF
,CASE WHEN aut_122__tot_amt_ovd_trx_l3m IS NULL THEN 1 ELSE 0 END AS aut_122__tot_amt_ovd_trx_l3m_NF
,CASE WHEN aut_123__tot_amt_ovd_trx_l6m IS NULL THEN 1 ELSE 0 END AS aut_123__tot_amt_ovd_trx_l6m_NF
,CASE WHEN cus_009_tot_instal_amt_pers_loan IS NULL THEN 1 ELSE 0 END AS cus_009_tot_instal_amt_pers_loan_NF
,CASE WHEN cus_010_tot_instal_amt_car_loan IS NULL THEN 1 ELSE 0 END AS cus_010_tot_instal_amt_car_loan_NF
,CASE WHEN cus_011_tot_instal_amt_mortgage IS NULL THEN 1 ELSE 0 END AS cus_011_tot_instal_amt_mortgage_NF
,CASE WHEN cus_012_tot_instal_amt_ret_loan IS NULL THEN 1 ELSE 0 END AS cus_012_tot_instal_amt_ret_loan_NF
,CASE WHEN cus_014_1_avg_instal_pers_loan_l3m IS NULL THEN 1 ELSE 0 END AS cus_014_1_avg_instal_pers_loan_l3m_NF
,CASE WHEN cus_014_2_avg_instal_pers_loan_l3m IS NULL THEN 1 ELSE 0 END AS cus_014_2_avg_instal_pers_loan_l3m_NF
,CASE WHEN cus_014_avg_instal_pers_loan_l3m IS NULL THEN 1 ELSE 0 END AS cus_014_avg_instal_pers_loan_l3m_NF
,CASE WHEN cus_015_1_avg_instal_car_loan_l3m IS NULL THEN 1 ELSE 0 END AS cus_015_1_avg_instal_car_loan_l3m_NF
,CASE WHEN cus_015_2_avg_instal_car_loan_l3m IS NULL THEN 1 ELSE 0 END AS cus_015_2_avg_instal_car_loan_l3m_NF
,CASE WHEN cus_015_avg_instal_car_loan_l3m IS NULL THEN 1 ELSE 0 END AS cus_015_avg_instal_car_loan_l3m_NF
,CASE WHEN cus_016_1_avg_instal_mortgage_l3m IS NULL THEN 1 ELSE 0 END AS cus_016_1_avg_instal_mortgage_l3m_NF
,CASE WHEN cus_016_2_avg_instal_mortgage_l3m IS NULL THEN 1 ELSE 0 END AS cus_016_2_avg_instal_mortgage_l3m_NF
,CASE WHEN cus_016_avg_instal_mortgage_l3m IS NULL THEN 1 ELSE 0 END AS cus_016_avg_instal_mortgage_l3m_NF
,CASE WHEN cus_017_1_avg_instal_ret_loan_l3m IS NULL THEN 1 ELSE 0 END AS cus_017_1_avg_instal_ret_loan_l3m_NF
,CASE WHEN cus_017_2_avg_instal_ret_loan_l3m IS NULL THEN 1 ELSE 0 END AS cus_017_2_avg_instal_ret_loan_l3m_NF
,CASE WHEN cus_017_avg_instal_ret_loan_l3m IS NULL THEN 1 ELSE 0 END AS cus_017_avg_instal_ret_loan_l3m_NF
,CASE WHEN cus_019_1_avg_instal_pers_loan_l6m IS NULL THEN 1 ELSE 0 END AS cus_019_1_avg_instal_pers_loan_l6m_NF
,CASE WHEN cus_019_2_avg_instal_pers_loan_l6m IS NULL THEN 1 ELSE 0 END AS cus_019_2_avg_instal_pers_loan_l6m_NF
,CASE WHEN cus_019_avg_instal_pers_loan_l6m IS NULL THEN 1 ELSE 0 END AS cus_019_avg_instal_pers_loan_l6m_NF
,CASE WHEN cus_020_1_avg_instal_car_loan_l6m IS NULL THEN 1 ELSE 0 END AS cus_020_1_avg_instal_car_loan_l6m_NF
,CASE WHEN cus_020_2_avg_instal_car_loan_l6m IS NULL THEN 1 ELSE 0 END AS cus_020_2_avg_instal_car_loan_l6m_NF
,CASE WHEN cus_020_avg_instal_car_loan_l6m IS NULL THEN 1 ELSE 0 END AS cus_020_avg_instal_car_loan_l6m_NF
,CASE WHEN cus_021_1_avg_instal_mortgage_l6m IS NULL THEN 1 ELSE 0 END AS cus_021_1_avg_instal_mortgage_l6m_NF
,CASE WHEN cus_021_2_avg_instal_mortgage_l6m IS NULL THEN 1 ELSE 0 END AS cus_021_2_avg_instal_mortgage_l6m_NF
,CASE WHEN cus_021_avg_instal_mortgage_l6m IS NULL THEN 1 ELSE 0 END AS cus_021_avg_instal_mortgage_l6m_NF
,CASE WHEN cus_022_1_avg_instal_other_loan_l6m IS NULL THEN 1 ELSE 0 END AS cus_022_1_avg_instal_other_loan_l6m_NF
,CASE WHEN cus_022_2_avg_instal_other_loan_l6m IS NULL THEN 1 ELSE 0 END AS cus_022_2_avg_instal_other_loan_l6m_NF
,CASE WHEN cus_022_avg_instal_other_loan_l6m IS NULL THEN 1 ELSE 0 END AS cus_022_avg_instal_other_loan_l6m_NF
,CASE WHEN cus_034_canceled_card_reason_code IS NULL THEN 1 ELSE 0 END AS cus_034_canceled_card_reason_code_NF
,CASE WHEN cus_069_credit_hunger IS NULL THEN 1 ELSE 0 END AS cus_069_credit_hunger_NF
,CASE WHEN cus_099_cnt_litigated_prod_ever_had IS NULL THEN 1 ELSE 0 END AS cus_099_cnt_litigated_prod_ever_had_NF
,CASE WHEN cus_104_min_litigation_date IS NULL THEN 1 ELSE 0 END AS cus_104_min_litigation_date_NF
,CASE WHEN cus_105_cust_litigation_flg IS NULL THEN 1 ELSE 0 END AS cus_105_cust_litigation_flg_NF
,CASE WHEN kkb_001_1_avg_cc_limit_in_kkb IS NULL THEN 1 ELSE 0 END AS kkb_001_1_avg_cc_limit_in_kkb_NF
,CASE WHEN kkb_001_tot_cc_limit_kkb IS NULL THEN 1 ELSE 0 END AS kkb_001_tot_cc_limit_kkb_NF
,CASE WHEN kkb_003_tot_ovd_limit_kkb IS NULL THEN 1 ELSE 0 END AS kkb_003_tot_ovd_limit_kkb_NF
,CASE WHEN kkb_031_tot_outstand_credits_kkb IS NULL THEN 1 ELSE 0 END AS kkb_031_tot_outstand_credits_kkb_NF
,CASE WHEN kkb_032_tot_outsand_cc_kkb IS NULL THEN 1 ELSE 0 END AS kkb_032_tot_outsand_cc_kkb_NF
,CASE WHEN kkb_038_tot_outstand_ovd_kkb IS NULL THEN 1 ELSE 0 END AS kkb_038_tot_outstand_ovd_kkb_NF
,CASE WHEN kkb_040_tot_outstand_pers_loan_kkb IS NULL THEN 1 ELSE 0 END AS kkb_040_tot_outstand_pers_loan_kkb_NF
,CASE WHEN kkb_044_tot_outstand_mortgage_kkb IS NULL THEN 1 ELSE 0 END AS kkb_044_tot_outstand_mortgage_kkb_NF
,CASE WHEN kkb_051_tot_outstand_delinquent_ratio IS NULL THEN 1 ELSE 0 END AS kkb_051_tot_outstand_delinquent_ratio_NF
,CASE WHEN kkb_073_tot_cc_kkb IS NULL THEN 1 ELSE 0 END AS kkb_073_tot_cc_kkb_NF
,CASE WHEN kkb_081_tot_ovd_kkb IS NULL THEN 1 ELSE 0 END AS kkb_081_tot_ovd_kkb_NF
,CASE WHEN kkb_110_tot_instal_amt_all_statements_kkb_l1m IS NULL THEN 1 ELSE 0 END AS kkb_110_tot_instal_amt_all_statements_kkb_l1m_NF
,CASE WHEN kkb_143_tot_npl_amt_kkb IS NULL THEN 1 ELSE 0 END AS kkb_143_tot_npl_amt_kkb_NF
,CASE WHEN kkb_145_cnt_1_mon_delay_kkb_l3m IS NULL THEN 1 ELSE 0 END AS kkb_145_cnt_1_mon_delay_kkb_l3m_NF
,CASE WHEN kkb_146_cnt_1_mon_delay_kkb_l6m IS NULL THEN 1 ELSE 0 END AS kkb_146_cnt_1_mon_delay_kkb_l6m_NF
,CASE WHEN kkb_148_cnt_2_mon_delay_kkb_l3m IS NULL THEN 1 ELSE 0 END AS kkb_148_cnt_2_mon_delay_kkb_l3m_NF
,CASE WHEN kkb_149_cnt_2_mon_delay_kkb_l6m IS NULL THEN 1 ELSE 0 END AS kkb_149_cnt_2_mon_delay_kkb_l6m_NF
,CASE WHEN kkb_248_cc_first_pay_on_time_kkb_flg IS NULL THEN 1 ELSE 0 END AS kkb_248_cc_first_pay_on_time_kkb_flg_NF
,CASE WHEN kkb_249_ins_pers_loan_first_pay_on_time_kkb_flg IS NULL THEN 1 ELSE 0 END AS kkb_249_ins_pers_loan_first_pay_on_time_kkb_flg_NF
,CASE WHEN kkb_251_ins_mortgage_first_pay_on_time_kkb_flg IS NULL THEN 1 ELSE 0 END AS kkb_251_ins_mortgage_first_pay_on_time_kkb_flg_NF
,CASE WHEN kkb_151_cnt_min_3_mon_delay_kkb_l3m IS NULL THEN 1 ELSE 0 END AS kkb_151_cnt_min_3_mon_delay_kkb_l3m_NF
,CASE WHEN kkb_138_current_pay_stat_kkb IS NULL THEN 1 ELSE 0 END AS kkb_138_current_pay_stat_kkb_NF
,CASE WHEN kkb_139_worst_pay_stat_kkb IS NULL THEN 1 ELSE 0 END AS kkb_139_worst_pay_stat_kkb_NF
,CASE WHEN kkb_142_follow_up_stat_kkb IS NULL THEN 1 ELSE 0 END AS kkb_142_follow_up_stat_kkb_NF
,CASE WHEN kkb_152_cnt_min_3_mon_delay_kkb_l3m IS NULL THEN 1 ELSE 0 END AS kkb_152_cnt_min_3_mon_delay_kkb_l3m_NF
,CASE WHEN kkb_166_tot_deliquency_kkb_l3m IS NULL THEN 1 ELSE 0 END AS kkb_166_tot_deliquency_kkb_l3m_NF
,CASE WHEN kkb_167_tot_deliquency_kkb_l6m IS NULL THEN 1 ELSE 0 END AS kkb_167_tot_deliquency_kkb_l6m_NF
,CASE WHEN kkb_180_tot_mon_instal_amt_pers_loan_kkb IS NULL THEN 1 ELSE 0 END AS kkb_180_tot_mon_instal_amt_pers_loan_kkb_NF
,CASE WHEN kkb_182_tot_mon_instal_amt_mortgage_kkb IS NULL THEN 1 ELSE 0 END AS kkb_182_tot_mon_instal_amt_mortgage_kkb_NF
,CASE WHEN kkb_215_cnt_litigated_prod_kkb_ever IS NULL THEN 1 ELSE 0 END AS kkb_215_cnt_litigated_prod_kkb_ever_NF
,CASE WHEN kkb_220_tot_pay_all_prod_kkb_l1m IS NULL THEN 1 ELSE 0 END AS kkb_220_tot_pay_all_prod_kkb_l1m_NF
,CASE WHEN kkb_163_worst_pay_stat_kkb_l3m IS NULL THEN 1 ELSE 0 END AS kkb_163_worst_pay_stat_kkb_l3m_NF
,CASE WHEN kkb_164_worst_pay_stat_kkb_l6m IS NULL THEN 1 ELSE 0 END AS kkb_164_worst_pay_stat_kkb_l6m_NF
,CASE WHEN kkb_227_tot_pay_cc_kkb_l1m IS NULL THEN 1 ELSE 0 END AS kkb_227_tot_pay_cc_kkb_l1m_NF
,CASE WHEN kkb_235_tot_pay_ovd_kkb_l1m IS NULL THEN 1 ELSE 0 END AS kkb_235_tot_pay_ovd_kkb_l1m_NF
,CASE WHEN kkb_254_tot_outstand_amt_deliquent_prod_kkb_ratio IS NULL THEN 1 ELSE 0 END AS kkb_254_tot_outstand_amt_deliquent_prod_kkb_ratio_NF
,CASE WHEN kkb_256_kkb_score IS NULL THEN 1 ELSE 0 END AS kkb_256_kkb_score_NF
,CASE WHEN kkb_257_time_since_cc_open_date IS NULL THEN 1 ELSE 0 END AS kkb_257_time_since_cc_open_date_NF
,CASE WHEN lim_01_cc_limit IS NULL THEN 1 ELSE 0 END AS lim_01_cc_limit_NF
,CASE WHEN lim_02_c_adv_limit IS NULL THEN 1 ELSE 0 END AS lim_02_c_adv_limit_NF
,CASE WHEN lim_03_ovd_limit IS NULL THEN 1 ELSE 0 END AS lim_03_ovd_limit_NF
,CASE WHEN lim_22_cc_last_lim_increase_date IS NULL THEN 1 ELSE 0 END AS lim_22_cc_last_lim_increase_date_NF
,CASE WHEN lim_22_1_last_lim_decrease_date IS NULL THEN 1 ELSE 0 END AS lim_22_1_last_lim_decrease_date_NF
,CASE WHEN lim_25_last_lim_increase_request_flg IS NULL THEN 1 ELSE 0 END AS lim_25_last_lim_increase_request_flg_NF
,CASE WHEN lim_25_1_last_lim_decrease_request_flg IS NULL THEN 1 ELSE 0 END AS lim_25_1_last_lim_decrease_request_flg_NF
,CASE WHEN lim_29_1_lim_change_to_previous_mon IS NULL THEN 1 ELSE 0 END AS lim_29_1_lim_change_to_previous_mon_NF
,CASE WHEN out_01_tot_outstand_credits IS NULL THEN 1 ELSE 0 END AS out_01_tot_outstand_credits_NF
,CASE WHEN out_02_1_avg_mon_outstand_cc IS NULL THEN 1 ELSE 0 END AS out_02_1_avg_mon_outstand_cc_NF
,CASE WHEN out_02_outstand_cc IS NULL THEN 1 ELSE 0 END AS out_02_outstand_cc_NF
,CASE WHEN out_03_outstand_c_adv IS NULL THEN 1 ELSE 0 END AS out_03_outstand_c_adv_NF
,CASE WHEN out_08_outstand_ovd IS NULL THEN 1 ELSE 0 END AS out_08_outstand_ovd_NF
,CASE WHEN out_10_outstand_pers_loan IS NULL THEN 1 ELSE 0 END AS out_10_outstand_pers_loan_NF
,CASE WHEN out_12_outstand_pers_loan IS NULL THEN 1 ELSE 0 END AS out_12_outstand_pers_loan_NF
,CASE WHEN out_14_outstand_car_loan IS NULL THEN 1 ELSE 0 END AS out_14_outstand_car_loan_NF
,CASE WHEN out_16_outstand_ret_loan IS NULL THEN 1 ELSE 0 END AS out_16_outstand_ret_loan_NF
,CASE WHEN out_24_avg_outstand_cc_l6m IS NULL THEN 1 ELSE 0 END AS out_24_avg_outstand_cc_l6m_NF
,CASE WHEN out_25_outstand_ovd_l6m IS NULL THEN 1 ELSE 0 END AS out_25_outstand_ovd_l6m_NF
,CASE WHEN out_26_avg_outstand_cc_l3m IS NULL THEN 1 ELSE 0 END AS out_26_avg_outstand_cc_l3m_NF
,CASE WHEN out_27_outstand_ovd_l3m IS NULL THEN 1 ELSE 0 END AS out_27_outstand_ovd_l3m_NF
,CASE WHEN pay_001_tot_pay_all_prod_l1m IS NULL THEN 1 ELSE 0 END AS pay_001_tot_pay_all_prod_l1m_NF
,CASE WHEN pay_002_tot_pay_all_prod_l3m IS NULL THEN 1 ELSE 0 END AS pay_002_tot_pay_all_prod_l3m_NF
,CASE WHEN pay_003_tot_pay_all_prod_l6m IS NULL THEN 1 ELSE 0 END AS pay_003_tot_pay_all_prod_l6m_NF
,CASE WHEN pay_005_1_avg_pay_all_prod_l3m IS NULL THEN 1 ELSE 0 END AS pay_005_1_avg_pay_all_prod_l3m_NF
,CASE WHEN pay_005_2_avg_pay_all_prod_l3m IS NULL THEN 1 ELSE 0 END AS pay_005_2_avg_pay_all_prod_l3m_NF
,CASE WHEN pay_005_avg_pay_all_prod_l3m IS NULL THEN 1 ELSE 0 END AS pay_005_avg_pay_all_prod_l3m_NF
,CASE WHEN pay_006_1_avg_pay_all_prod_l6m IS NULL THEN 1 ELSE 0 END AS pay_006_1_avg_pay_all_prod_l6m_NF
,CASE WHEN pay_006_2_avg_pay_all_prod_l6m IS NULL THEN 1 ELSE 0 END AS pay_006_2_avg_pay_all_prod_l6m_NF
,CASE WHEN pay_006_avg_pay_all_prod_l6m IS NULL THEN 1 ELSE 0 END AS pay_006_avg_pay_all_prod_l6m_NF
,CASE WHEN pay_008_tot_pay_cc_l1m IS NULL THEN 1 ELSE 0 END AS pay_008_tot_pay_cc_l1m_NF
,CASE WHEN pay_009_tot_pay_cc_l3m IS NULL THEN 1 ELSE 0 END AS pay_009_tot_pay_cc_l3m_NF
,CASE WHEN pay_010_tot_pay_cc_l6m IS NULL THEN 1 ELSE 0 END AS pay_010_tot_pay_cc_l6m_NF
,CASE WHEN pay_012_1_avg_pay_cc_l3m IS NULL THEN 1 ELSE 0 END AS pay_012_1_avg_pay_cc_l3m_NF
,CASE WHEN pay_012_2_avg_pay_cc_l3m IS NULL THEN 1 ELSE 0 END AS pay_012_2_avg_pay_cc_l3m_NF
,CASE WHEN pay_012_3_tot_pay_cc_l3m IS NULL THEN 1 ELSE 0 END AS pay_012_3_tot_pay_cc_l3m_NF
,CASE WHEN pay_012_4_cnt_mon_pay_cc_l3m IS NULL THEN 1 ELSE 0 END AS pay_012_4_cnt_mon_pay_cc_l3m_NF
,CASE WHEN pay_012_avg_pay_cc_l3m IS NULL THEN 1 ELSE 0 END AS pay_012_avg_pay_cc_l3m_NF
,CASE WHEN pay_013_1_avg_pay_cc_l6m IS NULL THEN 1 ELSE 0 END AS pay_013_1_avg_pay_cc_l6m_NF
,CASE WHEN pay_013_2_avg_pay_cc_l6m IS NULL THEN 1 ELSE 0 END AS pay_013_2_avg_pay_cc_l6m_NF
,CASE WHEN pay_013_3_tot_pay_cc_l6m IS NULL THEN 1 ELSE 0 END AS pay_013_3_tot_pay_cc_l6m_NF
,CASE WHEN pay_013_4_cnt_mon_pay_cc_l6m IS NULL THEN 1 ELSE 0 END AS pay_013_4_cnt_mon_pay_cc_l6m_NF
,CASE WHEN pay_013_avg_pay_cc_l6m IS NULL THEN 1 ELSE 0 END AS pay_013_avg_pay_cc_l6m_NF
,CASE WHEN pay_016_tot_pay_ovd_l1m IS NULL THEN 1 ELSE 0 END AS pay_016_tot_pay_ovd_l1m_NF
,CASE WHEN pay_018_tot_pay_ovd_l3m IS NULL THEN 1 ELSE 0 END AS pay_018_tot_pay_ovd_l3m_NF
,CASE WHEN pay_020_tot_pay_ovd_l6m IS NULL THEN 1 ELSE 0 END AS pay_020_tot_pay_ovd_l6m_NF
,CASE WHEN pay_024_1_avg_pay_ovd_l3m IS NULL THEN 1 ELSE 0 END AS pay_024_1_avg_pay_ovd_l3m_NF
,CASE WHEN pay_024_2_avg_pay_ovd_l3m IS NULL THEN 1 ELSE 0 END AS pay_024_2_avg_pay_ovd_l3m_NF
,CASE WHEN pay_024_3_tot_pay_ovd_l3m IS NULL THEN 1 ELSE 0 END AS pay_024_3_tot_pay_ovd_l3m_NF
,CASE WHEN pay_024_4_cnt_mon_pay_ovd_l3m IS NULL THEN 1 ELSE 0 END AS pay_024_4_cnt_mon_pay_ovd_l3m_NF
,CASE WHEN pay_024_avg_pay_ovd_l3m IS NULL THEN 1 ELSE 0 END AS pay_024_avg_pay_ovd_l3m_NF
,CASE WHEN pay_026_1_avg_pay_ovd_l6m IS NULL THEN 1 ELSE 0 END AS pay_026_1_avg_pay_ovd_l6m_NF
,CASE WHEN pay_026_2_avg_pay_ovd_l6m IS NULL THEN 1 ELSE 0 END AS pay_026_2_avg_pay_ovd_l6m_NF
,CASE WHEN pay_026_3_tot_pay_ovd_l6m IS NULL THEN 1 ELSE 0 END AS pay_026_3_tot_pay_ovd_l6m_NF
,CASE WHEN pay_026_4_cnt_mon_pay_ovd_l6m IS NULL THEN 1 ELSE 0 END AS pay_026_4_cnt_mon_pay_ovd_l6m_NF
,CASE WHEN pay_026_avg_pay_ovd_l6m IS NULL THEN 1 ELSE 0 END AS pay_026_avg_pay_ovd_l6m_NF
,CASE WHEN pay_029_first_cc_pay_on_time_flg IS NULL THEN 1 ELSE 0 END AS pay_029_first_cc_pay_on_time_flg_NF
,CASE WHEN pay_030_first_pers_loan_pay_on_time_flg IS NULL THEN 1 ELSE 0 END AS pay_030_first_pers_loan_pay_on_time_flg_NF
,CASE WHEN pay_031_first_car_loan_pay_on_time_flg IS NULL THEN 1 ELSE 0 END AS pay_031_first_car_loan_pay_on_time_flg_NF
,CASE WHEN pay_032_first_mortgage_pay_on_time_flg IS NULL THEN 1 ELSE 0 END AS pay_032_first_mortgage_pay_on_time_flg_NF
,CASE WHEN pay_033_first_other_ret_loan_pay_on_time_flg IS NULL THEN 1 ELSE 0 END AS pay_033_first_other_ret_loan_pay_on_time_flg_NF
,CASE WHEN pay_035_tot_pay_ret_loan IS NULL THEN 1 ELSE 0 END AS pay_035_tot_pay_ret_loan_NF
,CASE WHEN pay_036_tot_pay_ret_loan_l3m IS NULL THEN 1 ELSE 0 END AS pay_036_tot_pay_ret_loan_l3m_NF
,CASE WHEN pay_037_tot_pay_ret_loan_l6m IS NULL THEN 1 ELSE 0 END AS pay_037_tot_pay_ret_loan_l6m_NF
,CASE WHEN pay_038_1_avg_pay_ret_loan_l3m IS NULL THEN 1 ELSE 0 END AS pay_038_1_avg_pay_ret_loan_l3m_NF
,CASE WHEN pay_038_2_avg_pay_ret_loan_l3m IS NULL THEN 1 ELSE 0 END AS pay_038_2_avg_pay_ret_loan_l3m_NF
,CASE WHEN pay_038_3_tot_pay_ret_loan_l3m IS NULL THEN 1 ELSE 0 END AS pay_038_3_tot_pay_ret_loan_l3m_NF
,CASE WHEN pay_038_4_cnt_mon_pay_ret_loan_l3m IS NULL THEN 1 ELSE 0 END AS pay_038_4_cnt_mon_pay_ret_loan_l3m_NF
,CASE WHEN pay_038_avg_pay_ret_loan_l3m IS NULL THEN 1 ELSE 0 END AS pay_038_avg_pay_ret_loan_l3m_NF
,CASE WHEN pay_039_1_avg_pay_ret_loan_l6m IS NULL THEN 1 ELSE 0 END AS pay_039_1_avg_pay_ret_loan_l6m_NF
,CASE WHEN pay_039_2_avg_pay_ret_loan_l6m IS NULL THEN 1 ELSE 0 END AS pay_039_2_avg_pay_ret_loan_l6m_NF
,CASE WHEN pay_039_3_tot_pay_ret_loan_l6m IS NULL THEN 1 ELSE 0 END AS pay_039_3_tot_pay_ret_loan_l6m_NF
,CASE WHEN pay_039_4_cnt_mon_pay_ret_loan_l6m IS NULL THEN 1 ELSE 0 END AS pay_039_4_cnt_mon_pay_ret_loan_l6m_NF
,CASE WHEN pay_039_avg_pay_ret_loan_l6m IS NULL THEN 1 ELSE 0 END AS pay_039_avg_pay_ret_loan_l6m_NF
,CASE WHEN pay_040_cc_pay_ratio_l3m IS NULL THEN 1 ELSE 0 END AS pay_040_cc_pay_ratio_l3m_NF
,CASE WHEN pay_041_cc_avg_pay_ratio_l3m IS NULL THEN 1 ELSE 0 END AS pay_041_cc_avg_pay_ratio_l3m_NF
,CASE WHEN pay_042_cc_avg_pay_ratio_l6m IS NULL THEN 1 ELSE 0 END AS pay_042_cc_avg_pay_ratio_l6m_NF
,CASE WHEN rsk_001_pay_stat IS NULL THEN 1 ELSE 0 END AS rsk_001_pay_stat_NF
,CASE WHEN rsk_001_1_pay_stat IS NULL THEN 1 ELSE 0 END AS rsk_001_1_pay_stat_NF
,CASE WHEN rsk_002_worst_pay_stat IS NULL THEN 1 ELSE 0 END AS rsk_002_worst_pay_stat_NF
,CASE WHEN rsk_003_extra_stat IS NULL THEN 1 ELSE 0 END AS rsk_003_extra_stat_NF
,CASE WHEN rsk_004_cnt_extra_stat IS NULL THEN 1 ELSE 0 END AS rsk_004_cnt_extra_stat_NF
,CASE WHEN rsk_005_follow_up_stat IS NULL THEN 1 ELSE 0 END AS rsk_005_follow_up_stat_NF
,CASE WHEN rsk_006_tot_npl_amt IS NULL THEN 1 ELSE 0 END AS rsk_006_tot_npl_amt_NF
,CASE WHEN rsk_007_mon_npl_amt IS NULL THEN 1 ELSE 0 END AS rsk_007_mon_npl_amt_NF
,CASE WHEN rsk_008_cnt_1_mon_delay_l3m IS NULL THEN 1 ELSE 0 END AS rsk_008_cnt_1_mon_delay_l3m_NF
,CASE WHEN rsk_009_cnt_1_mon_delay_l6m IS NULL THEN 1 ELSE 0 END AS rsk_009_cnt_1_mon_delay_l6m_NF
,CASE WHEN rsk_011_cnt_2_mon_delay_l3m IS NULL THEN 1 ELSE 0 END AS rsk_011_cnt_2_mon_delay_l3m_NF
,CASE WHEN rsk_012_cnt_2_mon_delay_l6m IS NULL THEN 1 ELSE 0 END AS rsk_012_cnt_2_mon_delay_l6m_NF
,CASE WHEN rsk_014_cnt_min_3_mon_delay_l3m IS NULL THEN 1 ELSE 0 END AS rsk_014_cnt_min_3_mon_delay_l3m_NF
,CASE WHEN rsk_015_cnt_min_3_mon_delay_l6m IS NULL THEN 1 ELSE 0 END AS rsk_015_cnt_min_3_mon_delay_l6m_NF
,CASE WHEN rsk_017_tot_1_mon_delay_l3m IS NULL THEN 1 ELSE 0 END AS rsk_017_tot_1_mon_delay_l3m_NF
,CASE WHEN rsk_018_tot_1_mon_delay_l6m IS NULL THEN 1 ELSE 0 END AS rsk_018_tot_1_mon_delay_l6m_NF
,CASE WHEN rsk_020_tot_2_mon_delay_l3m IS NULL THEN 1 ELSE 0 END AS rsk_020_tot_2_mon_delay_l3m_NF
,CASE WHEN rsk_021_tot_2_mon_delay_l6m IS NULL THEN 1 ELSE 0 END AS rsk_021_tot_2_mon_delay_l6m_NF
,CASE WHEN rsk_023_tot_min_3_mon_delay_l3m IS NULL THEN 1 ELSE 0 END AS rsk_023_tot_min_3_mon_delay_l3m_NF
,CASE WHEN rsk_024_tot_min_3_mon_delay_l6m IS NULL THEN 1 ELSE 0 END AS rsk_024_tot_min_3_mon_delay_l6m_NF
,CASE WHEN rsk_026_worst_pay_stat_l3m IS NULL THEN 1 ELSE 0 END AS rsk_026_worst_pay_stat_l3m_NF
,CASE WHEN rsk_026_1_worst_pay_stat_l3m IS NULL THEN 1 ELSE 0 END AS rsk_026_1_worst_pay_stat_l3m_NF
,CASE WHEN rsk_027_worst_pay_stat_l6m IS NULL THEN 1 ELSE 0 END AS rsk_027_worst_pay_stat_l6m_NF
,CASE WHEN rsk_027_1_worst_pay_stat_l6m IS NULL THEN 1 ELSE 0 END AS rsk_027_1_worst_pay_stat_l6m_NF
,CASE WHEN rsk_029_tot_deliquency_l3m IS NULL THEN 1 ELSE 0 END AS rsk_029_tot_deliquency_l3m_NF
,CASE WHEN rsk_030_tot_deliquency_l6m IS NULL THEN 1 ELSE 0 END AS rsk_030_tot_deliquency_l6m_NF
,CASE WHEN rsk_032_restruc_credit_flg IS NULL THEN 1 ELSE 0 END AS rsk_032_restruc_credit_flg_NF
,CASE WHEN rsk_033_tot_amt_restruc_credt IS NULL THEN 1 ELSE 0 END AS rsk_033_tot_amt_restruc_credt_NF
,CASE WHEN rsk_034_npl_amt_cc IS NULL THEN 1 ELSE 0 END AS rsk_034_npl_amt_cc_NF
,CASE WHEN rsk_035_npl_amt_ovd IS NULL THEN 1 ELSE 0 END AS rsk_035_npl_amt_ovd_NF
,CASE WHEN rsk_036_npl_amt_pers_loan IS NULL THEN 1 ELSE 0 END AS rsk_036_npl_amt_pers_loan_NF
,CASE WHEN rsk_037_npl_amt_car_loan IS NULL THEN 1 ELSE 0 END AS rsk_037_npl_amt_car_loan_NF
,CASE WHEN rsk_038_npl_amt_motgages IS NULL THEN 1 ELSE 0 END AS rsk_038_npl_amt_motgages_NF
,CASE WHEN rsk_039_npl_amt_pers_loan IS NULL THEN 1 ELSE 0 END AS rsk_039_npl_amt_pers_loan_NF
,CASE WHEN rsk_040_npl_amt_non_instal_cash_loan IS NULL THEN 1 ELSE 0 END AS rsk_040_npl_amt_non_instal_cash_loan_NF
,CASE WHEN rsk_041_npl_amt_noncash_loan IS NULL THEN 1 ELSE 0 END AS rsk_041_npl_amt_noncash_loan_NF
,CASE WHEN rsk_042_npl_amt_cheq IS NULL THEN 1 ELSE 0 END AS rsk_042_npl_amt_cheq_NF
,CASE WHEN rsk_043_tot_npl_recover_amt IS NULL THEN 1 ELSE 0 END AS rsk_043_tot_npl_recover_amt_NF
,CASE WHEN rsk_044_tot_npl_sales_amt IS NULL THEN 1 ELSE 0 END AS rsk_044_tot_npl_sales_amt_NF
,CASE WHEN rsk_045_cc_delinquent_days IS NULL THEN 1 ELSE 0 END AS rsk_045_cc_delinquent_days_NF
,CASE WHEN sas_1_bs_lim_management_cc IS NULL THEN 1 ELSE 0 END AS sas_1_bs_lim_management_cc_NF
,CASE WHEN sas_10_kkb_inquiry_flg IS NULL THEN 1 ELSE 0 END AS sas_10_kkb_inquiry_flg_NF
,CASE WHEN sas_11_eligible_preapp_loan_flg IS NULL THEN 1 ELSE 0 END AS sas_11_eligible_preapp_loan_flg_NF
,CASE WHEN sas_12_eligible_lim_increase_flg IS NULL THEN 1 ELSE 0 END AS sas_12_eligible_lim_increase_flg_NF
,CASE WHEN sas_13_eligible_lim_decrease_flg IS NULL THEN 1 ELSE 0 END AS sas_13_eligible_lim_decrease_flg_NF
,CASE WHEN sas_14_od_reccomended_lim IS NULL THEN 1 ELSE 0 END AS sas_14_od_reccomended_lim_NF
,CASE WHEN sas_15_preselec_rule_cc_lim_increase IS NULL THEN 1 ELSE 0 END AS sas_15_preselec_rule_cc_lim_increase_NF
,CASE WHEN sas_16_kkb_inquiry_req_flg_preapp_loan IS NULL THEN 1 ELSE 0 END AS sas_16_kkb_inquiry_req_flg_preapp_loan_NF
,CASE WHEN sas_2_bs_preapp_loan IS NULL THEN 1 ELSE 0 END AS sas_2_bs_preapp_loan_NF
,CASE WHEN sas_3_scoreband_lim_cc IS NULL THEN 1 ELSE 0 END AS sas_3_scoreband_lim_cc_NF
,CASE WHEN sas_4_scoreband_preapp_loan IS NULL THEN 1 ELSE 0 END AS sas_4_scoreband_preapp_loan_NF
,CASE WHEN sas_5_eligible_lim_increase_flg IS NULL THEN 1 ELSE 0 END AS sas_5_eligible_lim_increase_flg_NF
,CASE WHEN sas_6_recommended_lim IS NULL THEN 1 ELSE 0 END AS sas_6_recommended_lim_NF
,CASE WHEN sas_7_exit_pool_flg IS NULL THEN 1 ELSE 0 END AS sas_7_exit_pool_flg_NF
,CASE WHEN sas_8_cc_bloking_flg IS NULL THEN 1 ELSE 0 END AS sas_8_cc_bloking_flg_NF
,CASE WHEN sas_9_lim_decrease_flg IS NULL THEN 1 ELSE 0 END AS sas_9_lim_decrease_flg_NF
,CASE WHEN score_1_1_bs_cc_lim_management_date IS NULL THEN 1 ELSE 0 END AS score_1_1_bs_cc_lim_management_date_NF
,CASE WHEN score_1_2_bs_cc_lim_management_flg IS NULL THEN 1 ELSE 0 END AS score_1_2_bs_cc_lim_management_flg_NF
,CASE WHEN score_1_3_bs_cc_lim_management IS NULL THEN 1 ELSE 0 END AS score_1_3_bs_cc_lim_management_NF
,CASE WHEN score_1_4_scoreband_lim_management IS NULL THEN 1 ELSE 0 END AS score_1_4_scoreband_lim_management_NF
,CASE WHEN score_2_1_bs_preapp_loan IS NULL THEN 1 ELSE 0 END AS score_2_1_bs_preapp_loan_NF
,CASE WHEN score_2_2_new_bs_calculated_flg IS NULL THEN 1 ELSE 0 END AS score_2_2_new_bs_calculated_flg_NF
,CASE WHEN score_2_3_last_bs_preapp_loan IS NULL THEN 1 ELSE 0 END AS score_2_3_last_bs_preapp_loan_NF
,CASE WHEN score_2_4_scoreband_preapp_loan IS NULL THEN 1 ELSE 0 END AS score_2_4_scoreband_preapp_loan_NF
,CASE WHEN sta_001_tot_amt_statement_l1m IS NULL THEN 1 ELSE 0 END AS sta_001_tot_amt_statement_l1m_NF
,CASE WHEN sta_002_tot_amt_statement_l3m IS NULL THEN 1 ELSE 0 END AS sta_002_tot_amt_statement_l3m_NF
,CASE WHEN sta_003_tot_amt_statement_l6m IS NULL THEN 1 ELSE 0 END AS sta_003_tot_amt_statement_l6m_NF
,CASE WHEN sta_005_1_avg_amt_statement_l3m IS NULL THEN 1 ELSE 0 END AS sta_005_1_avg_amt_statement_l3m_NF
,CASE WHEN sta_005_2_avg_amt_statement_l3m IS NULL THEN 1 ELSE 0 END AS sta_005_2_avg_amt_statement_l3m_NF
,CASE WHEN sta_005_avg_amt_statement_l3m IS NULL THEN 1 ELSE 0 END AS sta_005_avg_amt_statement_l3m_NF
,CASE WHEN sta_006_1_avg_amt_statement_l6m IS NULL THEN 1 ELSE 0 END AS sta_006_1_avg_amt_statement_l6m_NF
,CASE WHEN sta_006_2_avg_amt_statement_l6m IS NULL THEN 1 ELSE 0 END AS sta_006_2_avg_amt_statement_l6m_NF
,CASE WHEN sta_006_avg_amt_statement_l6m IS NULL THEN 1 ELSE 0 END AS sta_006_avg_amt_statement_l6m_NF
,CASE WHEN sta_008_tot_amt_cash_adv_statement_l1m IS NULL THEN 1 ELSE 0 END AS sta_008_tot_amt_cash_adv_statement_l1m_NF
,CASE WHEN sta_009_tot_amt_cash_adv_statement_l3m IS NULL THEN 1 ELSE 0 END AS sta_009_tot_amt_cash_adv_statement_l3m_NF
,CASE WHEN sta_010_tot_amt_cash_adv_statement_l6m IS NULL THEN 1 ELSE 0 END AS sta_010_tot_amt_cash_adv_statement_l6m_NF
,CASE WHEN sta_012_1_avg_amt_cash_adv_statement_l3m IS NULL THEN 1 ELSE 0 END AS sta_012_1_avg_amt_cash_adv_statement_l3m_NF
,CASE WHEN sta_012_2_avg_amt_cash_adv_statement_l3m IS NULL THEN 1 ELSE 0 END AS sta_012_2_avg_amt_cash_adv_statement_l3m_NF
,CASE WHEN sta_012_avg_amt_cash_adv_statement_l3m IS NULL THEN 1 ELSE 0 END AS sta_012_avg_amt_cash_adv_statement_l3m_NF
,CASE WHEN sta_013_1_avg_amt_cash_adv_statement_l6m IS NULL THEN 1 ELSE 0 END AS sta_013_1_avg_amt_cash_adv_statement_l6m_NF
,CASE WHEN sta_013_2_avg_amt_cash_adv_statement_l6m IS NULL THEN 1 ELSE 0 END AS sta_013_2_avg_amt_cash_adv_statement_l6m_NF
,CASE WHEN sta_013_avg_amt_cash_adv_statement_l6m IS NULL THEN 1 ELSE 0 END AS sta_013_avg_amt_cash_adv_statement_l6m_NF
,CASE WHEN sta_036_tot_revolved_amt_l1m IS NULL THEN 1 ELSE 0 END AS sta_036_tot_revolved_amt_l1m_NF
,CASE WHEN sta_037_tot_revolved_amt_l3m IS NULL THEN 1 ELSE 0 END AS sta_037_tot_revolved_amt_l3m_NF
,CASE WHEN sta_038_tot_revolved_amt_l6m IS NULL THEN 1 ELSE 0 END AS sta_038_tot_revolved_amt_l6m_NF
,CASE WHEN sta_040_1_avg_revolved_amt_l3m IS NULL THEN 1 ELSE 0 END AS sta_040_1_avg_revolved_amt_l3m_NF
,CASE WHEN sta_040_2_avg_revolved_amt_l3m IS NULL THEN 1 ELSE 0 END AS sta_040_2_avg_revolved_amt_l3m_NF
,CASE WHEN sta_040_avg_revolved_amt_l3m IS NULL THEN 1 ELSE 0 END AS sta_040_avg_revolved_amt_l3m_NF
,CASE WHEN sta_041_1_avg_revolved_amt_l6m IS NULL THEN 1 ELSE 0 END AS sta_041_1_avg_revolved_amt_l6m_NF
,CASE WHEN sta_041_2_avg_revolved_amt_l6m IS NULL THEN 1 ELSE 0 END AS sta_041_2_avg_revolved_amt_l6m_NF
,CASE WHEN sta_041_avg_revolved_amt_l6m IS NULL THEN 1 ELSE 0 END AS sta_041_avg_revolved_amt_l6m_NF
,CASE WHEN sta_045_cnt_days_cc_over_lim IS NULL THEN 1 ELSE 0 END AS sta_045_cnt_days_cc_over_lim_NF
,CASE WHEN sta_046_cnt_days_cc_over_lim_l3m IS NULL THEN 1 ELSE 0 END AS sta_046_cnt_days_cc_over_lim_l3m_NF
,CASE WHEN sta_047_cnt_days_cc_over_lim_l6m IS NULL THEN 1 ELSE 0 END AS sta_047_cnt_days_cc_over_lim_l6m_NF
,CASE WHEN uti_002_avg_cc_lim_util_l6m IS NULL THEN 1 ELSE 0 END AS uti_002_avg_cc_lim_util_l6m_NF
,CASE WHEN uti_003_avg_cc_lim_util_l3m IS NULL THEN 1 ELSE 0 END AS uti_003_avg_cc_lim_util_l3m_NF
,CASE WHEN uti_004_avg_cc_lim_util_l1m IS NULL THEN 1 ELSE 0 END AS uti_004_avg_cc_lim_util_l1m_NF
,CASE WHEN uti_006_avg_cash_adv_lim_util_l6m IS NULL THEN 1 ELSE 0 END AS uti_006_avg_cash_adv_lim_util_l6m_NF
,CASE WHEN uti_007_avg_cash_adv_lim_util_l3m IS NULL THEN 1 ELSE 0 END AS uti_007_avg_cash_adv_lim_util_l3m_NF
,CASE WHEN uti_008_avg_cash_adv_lim_util_l1m IS NULL THEN 1 ELSE 0 END AS uti_008_avg_cash_adv_lim_util_l1m_NF
,CASE WHEN uti_010_avg_ovd_lim_util_l6m IS NULL THEN 1 ELSE 0 END AS uti_010_avg_ovd_lim_util_l6m_NF
,CASE WHEN uti_011_avg_ovd_lim_util_l3m IS NULL THEN 1 ELSE 0 END AS uti_011_avg_ovd_lim_util_l3m_NF
,CASE WHEN uti_012_ovd_lim_util_l1m IS NULL THEN 1 ELSE 0 END AS uti_012_ovd_lim_util_l1m_NF
,CASE WHEN uti_017_avg_ovd_util_l3m IS NULL THEN 1 ELSE 0 END AS uti_017_avg_ovd_util_l3m_NF
,CASE WHEN uti_018_avg_ovd_util_l6m IS NULL THEN 1 ELSE 0 END AS uti_018_avg_ovd_util_l6m_NF

FROM
	(select
	CUST_DT_DUMMY.*
	,ROW_NUMBER() OVER(PARTITION by CUST_DT_DUMMY.CUST_ID, CUST_DT_DUMMY.CARD_ID, CUST_DT_DUMMY.STMT_DT ORDER BY score_1_1_bs_cc_lim_management_date DESC, kkb_last_inq_date DESC) as RANKING
	,bureau_data.*
	from
	RISK.CUST_DT_DUMMY
	LEFT OUTER JOIN
	risk.bureau_data
	ON
	score_1_1_bs_cc_lim_management_date < stmt_dt
	AND
	cmusno = cust_id
	--WHERE cust_id = 19634265
	) AS INNER_TABLE
WHERE RANKING = 1
);


GRANT ALL ON RISK.blm_bureau_vars TO PUBLIC;
ANALYZE RISK.blm_bureau_vars;