DROP	TABLE IF EXISTS risk.BLM_CUSTOMER_INFO_VAR; -- created by gizem
CREATE	TABLE risk.BLM_CUSTOMER_INFO_VAR()
DISTRIBUTE	BY HASH(CUST_ID)
COMPRESS LOW
AS (
SELECT
DT.cust_id
,DT.stmt_dt
,DT.TARGET
,DT.CARD_ID
,SUM(_3M_CI_UP) AS _3M_CI_UP
,SUM(_3M_CI_DWN) AS _3M_CI_DWN  
,SUM(_3M_FLG_CT_UP) AS _3M_FLG_CT_UP 
,SUM(_3M_FLG_CT_DWN) AS _3M_FLG_CT_DWN 
,SUM(_3M_FLG_EDU_UP) AS _3M_FLG_EDU_UP  
,SUM(_3M_FLG_EDU_DWN) AS _3M_FLG_EDU_DWN 

,MAX(_LM_CO) AS _LM_CO
,MAX(_GEN) AS _GEN
,MAX(_ED) AS _ED
,MAX(_LM_EMP) AS _LM_EMP
,MAX(_LM_AGE) AS _LM_AGE
,MAX(_MSF_TENR_AL) AS _MSF_TENR_AL
,MAX(_PY_FLG) AS _PY_FLG
,MAX(_LM_MR_STS) AS _LM_MR_STS

,SUM(_3M_PY_FLG_CHNG) AS _3M_PY_FLG_CHNG
,SUM(_6M_MR_STS_CHNG) AS _6M_MR_STS_CHNG
FROM
	(SELECT	
	cust_id,
	dt, 
	CASE
		WHEN
			LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT > LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(INC::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT > LAG(INC::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(INC::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT > LAG(INC::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		ELSE 0 
		END AS _3M_CI_UP,
	CASE
		WHEN
			LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT < LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(INC::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT < LAG(INC::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		WHEN
			LAG(INC::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT < LAG(INC::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		ELSE 0 
		END AS _3M_CI_DWN,

	CASE
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT > LAG(CUST_TYPE_KEY_P::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT > LAG(CUST_TYPE_KEY_P::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT > LAG(CUST_TYPE_KEY_P::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		ELSE 0 
		END AS _3M_FLG_CT_UP,
	CASE
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT < LAG(CUST_TYPE_KEY_P::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT < LAG(CUST_TYPE_KEY_P::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT < LAG(CUST_TYPE_KEY_P::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		ELSE 0 
		END AS _3M_FLG_CT_DWN,
	CASE
		WHEN
			LAG(EDU_KEY::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT > LAG(EDU_KEY::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(EDU_KEY::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT > LAG(EDU_KEY::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(EDU_KEY::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT > LAG(EDU_KEY::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		ELSE 0 
		END AS _3M_FLG_EDU_UP,
	CASE
		WHEN
			LAG(EDU_KEY::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT < LAG(EDU_KEY::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(EDU_KEY::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT < LAG(EDU_KEY::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		WHEN
			LAG(EDU_KEY::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT < LAG(EDU_KEY::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		ELSE 0 
		END AS _3M_FLG_EDU_DWN,

	coalesce( CAST(occ_key AS varchar(4)), '99') AS _LM_CO,
	sex AS _GEN,
	coalesce(edu_key, '99') AS _ED,
	coalesce(emp_key, '99') AS _LM_EMP,
	coalesce(DOB, 39) AS _LM_AGE,
	coalesce( extract(year from dt) - extract(year from CUST_ACQ_DT), 0 ) AS _MSF_TENR_AL,
	CASE WHEN SALARY_CUST_FLG = 'E' THEN 1 ELSE 0 END AS _PY_FLG,
	coalesce(MARITAL_STS, 'XX') AS _LM_MR_STS,

	CASE
		WHEN
			SALARY_CUST_FLG <> LAG(SALARY_CUST_FLG, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			SALARY_CUST_FLG <> LAG(SALARY_CUST_FLG, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			SALARY_CUST_FLG <> LAG(SALARY_CUST_FLG, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		ELSE 0 
		END AS _3M_PY_FLG_CHNG,

	CASE
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 4, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 5, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 6, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		ELSE 0 
		END AS _6M_MR_STS_CHNG
		
	FROM
	risk.cust_info_monthly) AS INNER_TABLO
	
RIGHT JOIN 
	(SELECT
	CUST_ID
	,STMT_DT
	,TARGET
	,CARD_ID
	FROM
	RISK.CUST_DT_DUMMY
	GROUP BY 1,2,3,4
	) AS DT
ON 
INNER_TABLO.CUST_ID = DT.CUST_ID
AND
extract(year from INNER_TABLO.DT) = EXTRACT(year from DT.STMT_DT - Interval '1 month')
AND
extract(month from INNER_TABLO.DT) = EXTRACT(month from DT.STMT_DT - Interval '1 month')

GROUP BY 1,2,3,4
); 

grant all on risk.BLM_CUSTOMER_INFO_VAR to public;
analyze risk.BLM_CUSTOMER_INFO_VAR;


DROP	TABLE IF EXISTS risk.BLM_CUSTOMER_INFO_VAR; -- created by gizem
CREATE	TABLE risk.BLM_CUSTOMER_INFO_VAR()
DISTRIBUTE	BY HASH(CUST_ID)
COMPRESS LOW
AS (
SELECT
DT.cust_id
,DT.stmt_dt
,DT.TARGET
,DT.CARD_ID
,SUM(_3M_CI_UP) AS _3M_CI_UP
,SUM(_3M_CI_DWN) AS _3M_CI_DWN  
,SUM(_3M_FLG_CT_UP) AS _3M_FLG_CT_UP 
,SUM(_3M_FLG_CT_DWN) AS _3M_FLG_CT_DWN 
,SUM(_3M_FLG_EDU_UP) AS _3M_FLG_EDU_UP  
,SUM(_3M_FLG_EDU_DWN) AS _3M_FLG_EDU_DWN 

,MAX(_LM_CO) AS _LM_CO
,MAX(_GEN) AS _GEN
,MAX(_ED) AS _ED
,MAX(_LM_EMP) AS _LM_EMP
,MAX(_LM_AGE) AS _LM_AGE
,MAX(_MSF_TENR_AL) AS _MSF_TENR_AL
,MAX(_PY_FLG) AS _PY_FLG
,MAX(_LM_MR_STS) AS _LM_MR_STS

,SUM(_3M_PY_FLG_CHNG) AS _3M_PY_FLG_CHNG
,SUM(_6M_MR_STS_CHNG) AS _6M_MR_STS_CHNG
FROM
	(SELECT	
	cust_id,
	dt, 
	CASE
		WHEN
			LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT > LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(INC::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT > LAG(INC::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(INC::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT > LAG(INC::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		ELSE 0 
		END AS _3M_CI_UP,
	CASE
		WHEN
			LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT < LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(INC::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT < LAG(INC::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		WHEN
			LAG(INC::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND INC::INT < LAG(INC::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		ELSE 0 
		END AS _3M_CI_DWN,

	CASE
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT > LAG(CUST_TYPE_KEY_P::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT > LAG(CUST_TYPE_KEY_P::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT > LAG(CUST_TYPE_KEY_P::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		ELSE 0 
		END AS _3M_FLG_CT_UP,
	CASE
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT < LAG(CUST_TYPE_KEY_P::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT < LAG(CUST_TYPE_KEY_P::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		WHEN
			LAG(CUST_TYPE_KEY_P::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND CUST_TYPE_KEY_P::INT < LAG(CUST_TYPE_KEY_P::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		ELSE 0 
		END AS _3M_FLG_CT_DWN,
	CASE
		WHEN
			LAG(EDU_KEY::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT > LAG(EDU_KEY::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(EDU_KEY::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT > LAG(EDU_KEY::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(EDU_KEY::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT > LAG(EDU_KEY::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		ELSE 0 
		END AS _3M_FLG_EDU_UP,
	CASE
		WHEN
			LAG(EDU_KEY::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT < LAG(EDU_KEY::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			LAG(EDU_KEY::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT < LAG(EDU_KEY::INT, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		WHEN
			LAG(EDU_KEY::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND EDU_KEY::INT < LAG(EDU_KEY::INT, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1 
		ELSE 0 
		END AS _3M_FLG_EDU_DWN,

	coalesce( CAST(occ_key AS varchar(4)), '99') AS _LM_CO,
	sex AS _GEN,
	coalesce(edu_key, '99') AS _ED,
	coalesce(emp_key, '99') AS _LM_EMP,
	coalesce(DOB, 39) AS _LM_AGE,
	coalesce( extract(year from dt) - extract(year from CUST_ACQ_DT), 0 ) AS _MSF_TENR_AL,
	CASE WHEN SALARY_CUST_FLG = 'E' THEN 1 ELSE 0 END AS _PY_FLG,
	coalesce(MARITAL_STS, 'XX') AS _LM_MR_STS,

	CASE
		WHEN
			SALARY_CUST_FLG <> LAG(SALARY_CUST_FLG, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			SALARY_CUST_FLG <> LAG(SALARY_CUST_FLG, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			SALARY_CUST_FLG <> LAG(SALARY_CUST_FLG, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		ELSE 0 
		END AS _3M_PY_FLG_CHNG,

	CASE
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 2, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 3, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 4, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 5, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		WHEN
			MARITAL_STS <> LAG(MARITAL_STS, 6, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
		THEN 1
		ELSE 0 
		END AS _6M_MR_STS_CHNG
		
	FROM
	risk.cust_info_monthly) AS INNER_TABLO
	
RIGHT JOIN 
	(SELECT
	CUST_ID
	,STMT_DT
	,TARGET
	,CARD_ID
	FROM
	RISK.CUST_DT_DUMMY
	GROUP BY 1,2,3,4
	) AS DT
ON 
INNER_TABLO.CUST_ID = DT.CUST_ID
AND
extract(year from INNER_TABLO.DT) = EXTRACT(year from DT.STMT_DT - Interval '1 month')
AND
extract(month from INNER_TABLO.DT) = EXTRACT(month from DT.STMT_DT - Interval '1 month')

GROUP BY 1,2,3,4
); 

grant all on risk.BLM_CUSTOMER_INFO_VAR to public;
analyze risk.BLM_CUSTOMER_INFO_VAR;

