DROP	TABLE IF EXISTS risk.BLM_INSURANCE_VAR; -- created by zeren
CREATE	TABLE risk.BLM_INSURANCE_VAR()
DISTRIBUTE	BY HASH(CUST_ID)
COMPRESS LOW
AS (
SELECT
DT.CUST_ID
,DT.STMT_DT
,TARGET
,CARD_ID
,COUNT(DISTINCT CASE WHEN dt_of_issue BETWEEN DT.STMT_DT - Interval '2 month' AND DT.STMT_DT - Interval '1 month' THEN POLICY_NO ELSE NULL END) AS _1M_SBSCR_INSRNC_CNT
,COUNT(DISTINCT CASE WHEN dt_of_issue BETWEEN DT.STMT_DT - Interval '7 month' AND DT.STMT_DT - Interval '1 month' THEN POLICY_NO ELSE NULL END) AS _6M_SBSCR_INSRNC_CNT
,COUNT(DISTINCT CASE WHEN dt_of_issue BETWEEN DT.STMT_DT - Interval '13 month' AND DT.STMT_DT - Interval '1 month' THEN POLICY_NO ELSE NULL END) AS _12M_SBSCR_INSRNC_CNT

,SUM(DISTINCT CASE WHEN pol_amt_dt BETWEEN DT.STMT_DT - Interval '7 month' AND DT.STMT_DT - Interval '1 month' THEN COALESCE(pmt_amt, 0) ELSE 0 END) AS _6M_PMT_INSRNC_SUM
,SUM(DISTINCT CASE WHEN pol_amt_dt BETWEEN DT.STMT_DT - Interval '13 month' AND DT.STMT_DT - Interval '1 month' THEN COALESCE(pmt_amt, 0) ELSE 0 END) AS _12M_PMT_INSRNC_SUM

,SUM(DISTINCT CASE WHEN pol_amt_dt BETWEEN DT.STMT_DT - Interval '7 month' AND DT.STMT_DT - Interval '1 month' THEN COALESCE(paid_pmt_amt, 0) ELSE 0 END) AS _6M_PMT_DUE_INSRNC_SUM
,SUM(DISTINCT CASE WHEN pol_amt_dt BETWEEN DT.STMT_DT - Interval '13 month' AND DT.STMT_DT - Interval '1 month' THEN COALESCE(paid_pmt_amt, 0) ELSE 0 END) AS _12M_PMT_DUE_INSRNC_SUM

FROM
	(SELECT
	CUST_ID
	,STMT_DT
	,TARGET
	,CARD_ID
	FROM
	RISK.CUST_DT_DUMMY
	GROUP BY 1,2,3,4
	) AS DT
LEFT OUTER JOIN
risk.insr_info_cr
ON 
insr_info_cr.CUST_ID = DT.CUST_ID
AND
extract(year from insr_info_cr.DT) = EXTRACT(year from DT.STMT_DT - Interval '1 month')
AND
extract(month from insr_info_cr.DT) = EXTRACT(month from DT.STMT_DT - Interval '1 month')
GROUP BY 1,2,3,4
);


grant all on risk.BLM_INSURANCE_VAR to public;
analyze risk.BLM_INSURANCE_VAR;


