DROP TABLE IF EXISTS RISK.BLM_Overdraft_VAR;
CREATE FACT TABLE RISK.BLM_Overdraft_VAR() 
DISTRIBUTE BY HASH(CUST_ID)
COMPRESS LOW
AS
(	
	SELECT
		CUST_ID
		,STMT_DT
		,TARGET
		,CARD_ID
		,COALESCE(MAX(
				CASE
					WHEN YR_MNTH 
						BETWEEN STMT_DT - INTEGER '31' AND STMT_DT
					THEN PCT_MNTH
				END
			),0) _1M_OVD_LIMIT_UT
	
	
		,COALESCE(MAX(
				CASE
					WHEN YR_MNTH 
						BETWEEN STMT_DT - INTEGER '185' AND STMT_DT
					THEN PCT_MNTH
				END
			),0) _6M_OVD_LIMIT_UT
	FROM
	(
		SELECT 
		 	DT.CUST_ID
		 	,OVD.YR_MNTH
		 	,DT.STMT_DT
			,((OVD.OVD_LMT_UTL)*-1)/OVD.OVD_LMT   PCT_MNTH
			,TARGET
			,CARD_ID
		FROM
		 RISK.OVD_STS_CR AS OVD
		 right JOIN 
		 (
		 	SELECT 
		 		CUST_ID
		 		,STMT_DT
		 		,TARGET
		 		,CARD_ID
		 	FROM RISK.CUST_DT_DUMMY
		 	GROUP BY 1,2,3,4
		 	
		 ) AS DT
		 	ON OVD.CUST_ID = DT.CUST_ID
	 )RES
	 GROUP BY 1,2,3,4
);

grant all on risk.BLM_Overdraft_VAR to public;
analyze risk.BLM_Overdraft_VAR;
