DROP TABLE IF EXISTS RISK.BLM_PRODUCT_OWNERSHIP_VAR;
CREATE FACT TABLE RISK.BLM_PRODUCT_OWNERSHIP_VAR() 
DISTRIBUTE BY HASH(CUST_ID)
COMPRESS LOW
AS
(	SELECT
	CUST_ID
	,stmt_dt
	,card_id
	,target
	,_1M_SBSCR_TD+_2M_SBSCR_TD+_3M_SBSCR_TD+_4M_SBSCR_TD+_5M_SBSCR_TD+_6M_SBSCR_TD AS _6M_SBSCR_TD
	,_1M_SBSCR_PER_L+_2M_SBSCR_PER_L+_3M_SBSCR_PER_L+_4M_SBSCR_PER_L+_5M_SBSCR_PER_L+_6M_SBSCR_PER_L AS _6M_SBSCR_PER_L
	,_1M_SBSCR_OFF_L+_2M_SBSCR_OFF_L+_3M_SBSCR_OFF_L+_4M_SBSCR_OFF_L+_5M_SBSCR_OFF_L+_6M_SBSCR_OFF_L AS _6M_SBSCR_OFF_L
	,_1M_SBSCR_OD+_2M_SBSCR_OD+_3M_SBSCR_OD+_4M_SBSCR_OD+_5M_SBSCR_OD+_6M_SBSCR_OD AS _6M_SBSCR_OD
	,_1M_SBSCR_MOR_L+_2M_SBSCR_MOR_L+_3M_SBSCR_MOR_L+_4M_SBSCR_MOR_L+_5M_SBSCR_MOR_L+_6M_SBSCR_MOR_L AS _6M_SBSCR_MOR_L
	,_1M_SBSCR_LNS+_2M_SBSCR_LNS+_3M_SBSCR_LNS+_4M_SBSCR_LNS+_5M_SBSCR_LNS+_6M_SBSCR_LNS AS _6M_SBSCR_LNS
	,_1M_SBSCR_MUTUAL_FUND+_2M_SBSCR_MUTUAL_FUND+_3M_SBSCR_MUTUAL_FUND+_4M_SBSCR_MUTUAL_FUND+_5M_SBSCR_MUTUAL_FUND+_6M_SBSCR_MUTUAL_FUND AS _6M_SBSCR_MUTUAL_FUND
	,_1M_SBSCR_ON_SAV+_2M_SBSCR_ON_SAV+_3M_SBSCR_ON_SAV+_4M_SBSCR_ON_SAV+_5M_SBSCR_ON_SAV+_6M_SBSCR_ON_SAV AS _6M_SBSCR_ON_SAV
	,_1M_SBSCR_DEP+_2M_SBSCR_DEP+_3M_SBSCR_DEP+_4M_SBSCR_DEP+_5M_SBSCR_DEP+_6M_SBSCR_DEP AS _6M_SBSCR_DEP
	,_1M_SBSCR_CAR_L+_2M_SBSCR_CAR_L+_3M_SBSCR_CAR_L+_4M_SBSCR_CAR_L+_5M_SBSCR_CAR_L+_6M_SBSCR_CAR_L AS _6M_SBSCR_CAR_L
	,_1M_SBSCR_AST+_2M_SBSCR_AST+_3M_SBSCR_AST+_4M_SBSCR_AST+_5M_SBSCR_AST+_6M_SBSCR_AST AS _6M_SBSCR_AST
	,_1M_SBSCR+_2M_SBSCR+_3M_SBSCR+_4M_SBSCR+_5M_SBSCR+_6M_SBSCR AS _6M_SBSCR
	,_1M_SBSCR_TD AS _1M_SBSCR_TD
	,_1M_SBSCR_PER_L AS _1M_SBSCR_PER_L
	,_1M_SBSCR_OFF_L AS _1M_SBSCR_OFF_L
	,_1M_SBSCR_OD AS _1M_SBSCR_OD
	,_1M_SBSCR_MOR_L AS _1M_SBSCR_MOR_L
	,_1M_SBSCR_LNS AS _1M_SBSCR_LNS
	,_1M_SBSCR_MUTUAL_FUND AS _1M_SBSCR_MUTUAL_FUND
	,_1M_SBSCR_ON_SAV AS _1M_SBSCR_ON_SAV
	,_1M_SBSCR_DEP AS _1M_SBSCR_DEP
	,_1M_SBSCR_CAR_L AS _1M_SBSCR_CAR_L
	,_1M_SBSCR_AST AS _1M_SBSCR_AST
	,_1M_SBSCR AS _1M_SBSCR
	,_1M_SBSCR_TD+_2M_SBSCR_TD+_3M_SBSCR_TD+_4M_SBSCR_TD+_5M_SBSCR_TD+_6M_SBSCR_TD+_7M_SBSCR_TD+_8M_SBSCR_TD+_9M_SBSCR_TD+_10M_SBSCR_TD+_11M_SBSCR_TD+_12M_SBSCR_TD AS _12M_SBSCR_TD
	,_1M_SBSCR_PER_L+_2M_SBSCR_PER_L+_3M_SBSCR_PER_L+_4M_SBSCR_PER_L+_5M_SBSCR_PER_L+_6M_SBSCR_PER_L+_7M_SBSCR_PER_L+_8M_SBSCR_PER_L+_9M_SBSCR_PER_L+_10M_SBSCR_PER_L+_11M_SBSCR_PER_L+_12M_SBSCR_PER_L AS _12M_SBSCR_PER_L
	,_1M_SBSCR_OFF_L+_2M_SBSCR_OFF_L+_3M_SBSCR_OFF_L+_4M_SBSCR_OFF_L+_5M_SBSCR_OFF_L+_6M_SBSCR_OFF_L+_7M_SBSCR_OFF_L+_8M_SBSCR_OFF_L+_9M_SBSCR_OFF_L+_10M_SBSCR_OFF_L+_11M_SBSCR_OFF_L+_12M_SBSCR_OFF_L AS _12M_SBSCR_OFF_L
	,_1M_SBSCR_OD+_2M_SBSCR_OD+_3M_SBSCR_OD+_4M_SBSCR_OD+_5M_SBSCR_OD+_6M_SBSCR_OD+_7M_SBSCR_OD+_8M_SBSCR_OD+_9M_SBSCR_OD+_10M_SBSCR_OD+_11M_SBSCR_OD+_12M_SBSCR_OD AS _12M_SBSCR_OD
	,_1M_SBSCR_MOR_L+_2M_SBSCR_MOR_L+_3M_SBSCR_MOR_L+_4M_SBSCR_MOR_L+_5M_SBSCR_MOR_L+_6M_SBSCR_MOR_L+_7M_SBSCR_MOR_L+_8M_SBSCR_MOR_L+_9M_SBSCR_MOR_L+_10M_SBSCR_MOR_L+_11M_SBSCR_MOR_L+_12M_SBSCR_MOR_L AS _12M_SBSCR_MOR_L
	,_1M_SBSCR_LNS+_2M_SBSCR_LNS+_3M_SBSCR_LNS+_4M_SBSCR_LNS+_5M_SBSCR_LNS+_6M_SBSCR_LNS+_7M_SBSCR_LNS+_8M_SBSCR_LNS+_9M_SBSCR_LNS+_10M_SBSCR_LNS+_11M_SBSCR_LNS+_12M_SBSCR_LNS AS _12M_SBSCR_LNS
	,_1M_SBSCR_MUTUAL_FUND+_2M_SBSCR_MUTUAL_FUND+_3M_SBSCR_MUTUAL_FUND+_4M_SBSCR_MUTUAL_FUND+_5M_SBSCR_MUTUAL_FUND+_6M_SBSCR_MUTUAL_FUND+_7M_SBSCR_MUTUAL_FUND+_8M_SBSCR_MUTUAL_FUND+_9M_SBSCR_MUTUAL_FUND+_10M_SBSCR_MUTUAL_FUND+_11M_SBSCR_MUTUAL_FUND+_12M_SBSCR_MUTUAL_FUND AS _12M_SBSCR_MUTUAL_FUND
	,_1M_SBSCR_ON_SAV+_2M_SBSCR_ON_SAV+_3M_SBSCR_ON_SAV+_4M_SBSCR_ON_SAV+_5M_SBSCR_ON_SAV+_6M_SBSCR_ON_SAV+_7M_SBSCR_ON_SAV+_8M_SBSCR_ON_SAV+_9M_SBSCR_ON_SAV+_10M_SBSCR_ON_SAV+_11M_SBSCR_ON_SAV+_12M_SBSCR_ON_SAV AS _12M_SBSCR_ON_SAV
	,_1M_SBSCR_DEP+_2M_SBSCR_DEP+_3M_SBSCR_DEP+_4M_SBSCR_DEP+_5M_SBSCR_DEP+_6M_SBSCR_DEP+_7M_SBSCR_DEP+_8M_SBSCR_DEP+_9M_SBSCR_DEP+_10M_SBSCR_DEP+_11M_SBSCR_DEP+_12M_SBSCR_DEP AS _12M_SBSCR_DEP
	,_1M_SBSCR_CAR_L+_2M_SBSCR_CAR_L+_3M_SBSCR_CAR_L+_4M_SBSCR_CAR_L+_5M_SBSCR_CAR_L+_6M_SBSCR_CAR_L+_7M_SBSCR_CAR_L+_8M_SBSCR_CAR_L+_9M_SBSCR_CAR_L+_10M_SBSCR_CAR_L+_11M_SBSCR_CAR_L+_12M_SBSCR_CAR_L AS _12M_SBSCR_CAR_L
	,_1M_SBSCR_AST+_2M_SBSCR_AST+_3M_SBSCR_AST+_4M_SBSCR_AST+_5M_SBSCR_AST+_6M_SBSCR_AST+_7M_SBSCR_AST+_8M_SBSCR_AST+_9M_SBSCR_AST+_10M_SBSCR_AST+_11M_SBSCR_AST+_12M_SBSCR_AST AS _12M_SBSCR_AST
	,_1M_SBSCR+_2M_SBSCR+_3M_SBSCR+_4M_SBSCR+_5M_SBSCR+_6M_SBSCR+_7M_SBSCR+_8M_SBSCR+_9M_SBSCR+_10M_SBSCR+_11M_SBSCR+_12M_SBSCR AS _12M_SBSCR
	,_LM_LN_BALANCE
	,_LM_AST_BALANCE
	,_L2M_LN_BALANCE 
	,_L2M_AST_BALANCE
	,_L3M_LN_BALANCE
	,_L3M_AST_BALANCE

	FROM
	(	SELECT
		CUST_ID
		,stmt_dt
		,card_id
		,target
		,case when (sum(lm_flg*1*prod_cnt) - sum(l2m_flg*1*prod_cnt)) > 0 THEN (sum(lm_flg*1*prod_cnt) - sum(l2m_flg*1*prod_cnt)) ELSE 0 END AS _1M_SBSCR
		,case when (sum(l2m_flg*1*prod_cnt) - sum(l3m_flg*1*prod_cnt)) > 0 THEN (sum(l2m_flg*1*prod_cnt) - sum(l3m_flg*1*prod_cnt)) ELSE 0 END AS _2M_SBSCR
		,case when (sum(l3m_flg*1*prod_cnt) - sum(l4m_flg*1*prod_cnt)) > 0 THEN (sum(l3m_flg*1*prod_cnt) - sum(l4m_flg*1*prod_cnt)) ELSE 0 END AS _3M_SBSCR
		,case when (sum(l4m_flg*1*prod_cnt) - sum(l5m_flg*1*prod_cnt)) > 0 THEN (sum(l4m_flg*1*prod_cnt) - sum(l5m_flg*1*prod_cnt)) ELSE 0 END AS _4M_SBSCR
		,case when (sum(l5m_flg*1*prod_cnt) - sum(l6m_flg*1*prod_cnt)) > 0 THEN (sum(l5m_flg*1*prod_cnt) - sum(l6m_flg*1*prod_cnt)) ELSE 0 END AS _5M_SBSCR
		,case when (sum(l6m_flg*1*prod_cnt) - sum(l7m_flg*1*prod_cnt)) > 0 THEN (sum(l6m_flg*1*prod_cnt) - sum(l7m_flg*1*prod_cnt)) ELSE 0 END AS _6M_SBSCR
		,case when (sum(l7m_flg*1*prod_cnt) - sum(l8m_flg*1*prod_cnt)) > 0 THEN (sum(l7m_flg*1*prod_cnt) - sum(l8m_flg*1*prod_cnt)) ELSE 0 END AS _7M_SBSCR
		,case when (sum(l8m_flg*1*prod_cnt) - sum(l9m_flg*1*prod_cnt)) > 0 THEN (sum(l8m_flg*1*prod_cnt) - sum(l9m_flg*1*prod_cnt)) ELSE 0 END AS _8M_SBSCR
		,case when (sum(l9m_flg*1*prod_cnt) - sum(l10m_flg*1*prod_cnt)) > 0 THEN (sum(l9m_flg*1*prod_cnt) - sum(l10m_flg*1*prod_cnt)) ELSE 0 END AS _9M_SBSCR
		,case when (sum(l10m_flg*1*prod_cnt) - sum(l11m_flg*1*prod_cnt)) > 0 THEN (sum(l10m_flg*1*prod_cnt) - sum(l11m_flg*1*prod_cnt)) ELSE 0 END AS _10M_SBSCR
		,case when (sum(l11m_flg*1*prod_cnt) - sum(l12m_flg*1*prod_cnt)) > 0 THEN (sum(l11m_flg*1*prod_cnt) - sum(l12m_flg*1*prod_cnt)) ELSE 0 END AS _11M_SBSCR
		,case when (sum(l12m_flg*1*prod_cnt) - sum(l13m_flg*1*prod_cnt)) > 0 THEN (sum(l12m_flg*1*prod_cnt) - sum(l13m_flg*1*prod_cnt)) ELSE 0 END AS _12M_SBSCR
		,case when (sum(lm_flg*loan_flg*prod_cnt) - sum(l2m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(lm_flg*loan_flg*prod_cnt) - sum(l2m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _1M_SBSCR_LNS
		,case when (sum(lm_flg*asset_flg*prod_cnt) - sum(l2m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(lm_flg*asset_flg*prod_cnt) - sum(l2m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _1M_SBSCR_AST
		,case when (sum(lm_flg*td_flg*prod_cnt) - sum(l2m_flg*td_flg*prod_cnt)) > 0 THEN (sum(lm_flg*td_flg*prod_cnt) - sum(l2m_flg*td_flg*prod_cnt)) ELSE 0 END AS _1M_SBSCR_TD
		,case when (sum(lm_flg*ONS_FLG*prod_cnt) - sum(l2m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(lm_flg*ONS_FLG*prod_cnt) - sum(l2m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _1M_SBSCR_ON_SAV
		,case when (sum(lm_flg*d_flg*prod_cnt) - sum(l2m_flg*d_flg*prod_cnt)) > 0 THEN (sum(lm_flg*d_flg*prod_cnt) - sum(l2m_flg*d_flg*prod_cnt)) ELSE 0 END AS _1M_SBSCR_DEP
		,case when (sum(lm_flg*cl_flg*prod_cnt) - sum(l2m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(lm_flg*cl_flg*prod_cnt) - sum(l2m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _1M_SBSCR_CAR_L
		,case when (sum(lm_flg*MF_FLG*prod_cnt) - sum(l2m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(lm_flg*MF_FLG*prod_cnt) - sum(l2m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _1M_SBSCR_MUTUAL_FUND
		,case when (sum(lm_flg*ml_flg*prod_cnt) - sum(l2m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(lm_flg*ml_flg*prod_cnt) - sum(l2m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _1M_SBSCR_MOR_L
		,case when (sum(lm_flg*od_flg*prod_cnt) - sum(l2m_flg*od_flg*prod_cnt)) > 0 THEN (sum(lm_flg*od_flg*prod_cnt) - sum(l2m_flg*od_flg*prod_cnt)) ELSE 0 END AS _1M_SBSCR_OD
		,case when (sum(lm_flg*ol_flg*prod_cnt) - sum(l2m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(lm_flg*ol_flg*prod_cnt) - sum(l2m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _1M_SBSCR_OFF_L
		,case when (sum(lm_flg*pl_flg*prod_cnt) - sum(l2m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(lm_flg*pl_flg*prod_cnt) - sum(l2m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _1M_SBSCR_PER_L
		,case when (sum(l2m_flg*loan_flg*prod_cnt) - sum(l3m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l2m_flg*loan_flg*prod_cnt) - sum(l3m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _2M_SBSCR_LNS
		,case when (sum(l2m_flg*asset_flg*prod_cnt) - sum(l3m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l2m_flg*asset_flg*prod_cnt) - sum(l3m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _2M_SBSCR_AST
		,case when (sum(l2m_flg*td_flg*prod_cnt) - sum(l3m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l2m_flg*td_flg*prod_cnt) - sum(l3m_flg*td_flg*prod_cnt)) ELSE 0 END AS _2M_SBSCR_TD
		,case when (sum(l2m_flg*ONS_FLG*prod_cnt) - sum(l3m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l2m_flg*ONS_FLG*prod_cnt) - sum(l3m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _2M_SBSCR_ON_SAV
		,case when (sum(l2m_flg*d_flg*prod_cnt) - sum(l3m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l2m_flg*d_flg*prod_cnt) - sum(l3m_flg*d_flg*prod_cnt)) ELSE 0 END AS _2M_SBSCR_DEP
		,case when (sum(l2m_flg*cl_flg*prod_cnt) - sum(l3m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l2m_flg*cl_flg*prod_cnt) - sum(l3m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _2M_SBSCR_CAR_L
		,case when (sum(l2m_flg*MF_FLG*prod_cnt) - sum(l3m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l2m_flg*MF_FLG*prod_cnt) - sum(l3m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _2M_SBSCR_MUTUAL_FUND
		,case when (sum(l2m_flg*ml_flg*prod_cnt) - sum(l3m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l2m_flg*ml_flg*prod_cnt) - sum(l3m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _2M_SBSCR_MOR_L
		,case when (sum(l2m_flg*od_flg*prod_cnt) - sum(l3m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l2m_flg*od_flg*prod_cnt) - sum(l3m_flg*od_flg*prod_cnt)) ELSE 0 END AS _2M_SBSCR_OD
		,case when (sum(l2m_flg*ol_flg*prod_cnt) - sum(l3m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l2m_flg*ol_flg*prod_cnt) - sum(l3m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _2M_SBSCR_OFF_L
		,case when (sum(l2m_flg*pl_flg*prod_cnt) - sum(l3m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l2m_flg*pl_flg*prod_cnt) - sum(l3m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _2M_SBSCR_PER_L
		,case when (sum(l3m_flg*loan_flg*prod_cnt) - sum(l4m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l3m_flg*loan_flg*prod_cnt) - sum(l4m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _3M_SBSCR_LNS
		,case when (sum(l3m_flg*asset_flg*prod_cnt) - sum(l4m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l3m_flg*asset_flg*prod_cnt) - sum(l4m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _3M_SBSCR_AST
		,case when (sum(l3m_flg*td_flg*prod_cnt) - sum(l4m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l3m_flg*td_flg*prod_cnt) - sum(l4m_flg*td_flg*prod_cnt)) ELSE 0 END AS _3M_SBSCR_TD
		,case when (sum(l3m_flg*ONS_FLG*prod_cnt) - sum(l4m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l3m_flg*ONS_FLG*prod_cnt) - sum(l4m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _3M_SBSCR_ON_SAV
		,case when (sum(l3m_flg*d_flg*prod_cnt) - sum(l4m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l3m_flg*d_flg*prod_cnt) - sum(l4m_flg*d_flg*prod_cnt)) ELSE 0 END AS _3M_SBSCR_DEP
		,case when (sum(l3m_flg*cl_flg*prod_cnt) - sum(l4m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l3m_flg*cl_flg*prod_cnt) - sum(l4m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _3M_SBSCR_CAR_L
		,case when (sum(l3m_flg*MF_FLG*prod_cnt) - sum(l4m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l3m_flg*MF_FLG*prod_cnt) - sum(l4m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _3M_SBSCR_MUTUAL_FUND
		,case when (sum(l3m_flg*ml_flg*prod_cnt) - sum(l4m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l3m_flg*ml_flg*prod_cnt) - sum(l4m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _3M_SBSCR_MOR_L
		,case when (sum(l3m_flg*od_flg*prod_cnt) - sum(l4m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l3m_flg*od_flg*prod_cnt) - sum(l4m_flg*od_flg*prod_cnt)) ELSE 0 END AS _3M_SBSCR_OD
		,case when (sum(l3m_flg*ol_flg*prod_cnt) - sum(l4m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l3m_flg*ol_flg*prod_cnt) - sum(l4m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _3M_SBSCR_OFF_L
		,case when (sum(l3m_flg*pl_flg*prod_cnt) - sum(l4m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l3m_flg*pl_flg*prod_cnt) - sum(l4m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _3M_SBSCR_PER_L
		,case when (sum(l4m_flg*loan_flg*prod_cnt) - sum(l5m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l4m_flg*loan_flg*prod_cnt) - sum(l5m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _4M_SBSCR_LNS
		,case when (sum(l4m_flg*asset_flg*prod_cnt) - sum(l5m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l4m_flg*asset_flg*prod_cnt) - sum(l5m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _4M_SBSCR_AST
		,case when (sum(l4m_flg*td_flg*prod_cnt) - sum(l5m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l4m_flg*td_flg*prod_cnt) - sum(l5m_flg*td_flg*prod_cnt)) ELSE 0 END AS _4M_SBSCR_TD
		,case when (sum(l4m_flg*ONS_FLG*prod_cnt) - sum(l5m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l4m_flg*ONS_FLG*prod_cnt) - sum(l5m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _4M_SBSCR_ON_SAV
		,case when (sum(l4m_flg*d_flg*prod_cnt) - sum(l5m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l4m_flg*d_flg*prod_cnt) - sum(l5m_flg*d_flg*prod_cnt)) ELSE 0 END AS _4M_SBSCR_DEP
		,case when (sum(l4m_flg*cl_flg*prod_cnt) - sum(l5m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l4m_flg*cl_flg*prod_cnt) - sum(l5m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _4M_SBSCR_CAR_L
		,case when (sum(l4m_flg*MF_FLG*prod_cnt) - sum(l5m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l4m_flg*MF_FLG*prod_cnt) - sum(l5m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _4M_SBSCR_MUTUAL_FUND
		,case when (sum(l4m_flg*ml_flg*prod_cnt) - sum(l5m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l4m_flg*ml_flg*prod_cnt) - sum(l5m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _4M_SBSCR_MOR_L
		,case when (sum(l4m_flg*od_flg*prod_cnt) - sum(l5m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l4m_flg*od_flg*prod_cnt) - sum(l5m_flg*od_flg*prod_cnt)) ELSE 0 END AS _4M_SBSCR_OD
		,case when (sum(l4m_flg*ol_flg*prod_cnt) - sum(l5m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l4m_flg*ol_flg*prod_cnt) - sum(l5m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _4M_SBSCR_OFF_L
		,case when (sum(l4m_flg*pl_flg*prod_cnt) - sum(l5m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l4m_flg*pl_flg*prod_cnt) - sum(l5m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _4M_SBSCR_PER_L
		,case when (sum(l5m_flg*loan_flg*prod_cnt) - sum(l6m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l5m_flg*loan_flg*prod_cnt) - sum(l6m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _5M_SBSCR_LNS
		,case when (sum(l5m_flg*asset_flg*prod_cnt) - sum(l6m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l5m_flg*asset_flg*prod_cnt) - sum(l6m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _5M_SBSCR_AST
		,case when (sum(l5m_flg*td_flg*prod_cnt) - sum(l6m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l5m_flg*td_flg*prod_cnt) - sum(l6m_flg*td_flg*prod_cnt)) ELSE 0 END AS _5M_SBSCR_TD
		,case when (sum(l5m_flg*ONS_FLG*prod_cnt) - sum(l6m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l5m_flg*ONS_FLG*prod_cnt) - sum(l6m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _5M_SBSCR_ON_SAV
		,case when (sum(l5m_flg*d_flg*prod_cnt) - sum(l6m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l5m_flg*d_flg*prod_cnt) - sum(l6m_flg*d_flg*prod_cnt)) ELSE 0 END AS _5M_SBSCR_DEP
		,case when (sum(l5m_flg*cl_flg*prod_cnt) - sum(l6m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l5m_flg*cl_flg*prod_cnt) - sum(l6m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _5M_SBSCR_CAR_L
		,case when (sum(l5m_flg*MF_FLG*prod_cnt) - sum(l6m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l5m_flg*MF_FLG*prod_cnt) - sum(l6m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _5M_SBSCR_MUTUAL_FUND
		,case when (sum(l5m_flg*ml_flg*prod_cnt) - sum(l6m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l5m_flg*ml_flg*prod_cnt) - sum(l6m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _5M_SBSCR_MOR_L
		,case when (sum(l5m_flg*od_flg*prod_cnt) - sum(l6m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l5m_flg*od_flg*prod_cnt) - sum(l6m_flg*od_flg*prod_cnt)) ELSE 0 END AS _5M_SBSCR_OD
		,case when (sum(l5m_flg*ol_flg*prod_cnt) - sum(l6m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l5m_flg*ol_flg*prod_cnt) - sum(l6m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _5M_SBSCR_OFF_L
		,case when (sum(l5m_flg*pl_flg*prod_cnt) - sum(l6m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l5m_flg*pl_flg*prod_cnt) - sum(l6m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _5M_SBSCR_PER_L
		,case when (sum(l6m_flg*loan_flg*prod_cnt) - sum(l7m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l6m_flg*loan_flg*prod_cnt) - sum(l7m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _6M_SBSCR_LNS
		,case when (sum(l6m_flg*asset_flg*prod_cnt) - sum(l7m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l6m_flg*asset_flg*prod_cnt) - sum(l7m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _6M_SBSCR_AST
		,case when (sum(l6m_flg*td_flg*prod_cnt) - sum(l7m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l6m_flg*td_flg*prod_cnt) - sum(l7m_flg*td_flg*prod_cnt)) ELSE 0 END AS _6M_SBSCR_TD
		,case when (sum(l6m_flg*ONS_FLG*prod_cnt) - sum(l7m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l6m_flg*ONS_FLG*prod_cnt) - sum(l7m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _6M_SBSCR_ON_SAV
		,case when (sum(l6m_flg*d_flg*prod_cnt) - sum(l7m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l6m_flg*d_flg*prod_cnt) - sum(l7m_flg*d_flg*prod_cnt)) ELSE 0 END AS _6M_SBSCR_DEP
		,case when (sum(l6m_flg*cl_flg*prod_cnt) - sum(l7m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l6m_flg*cl_flg*prod_cnt) - sum(l7m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _6M_SBSCR_CAR_L
		,case when (sum(l6m_flg*MF_FLG*prod_cnt) - sum(l7m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l6m_flg*MF_FLG*prod_cnt) - sum(l7m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _6M_SBSCR_MUTUAL_FUND
		,case when (sum(l6m_flg*ml_flg*prod_cnt) - sum(l7m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l6m_flg*ml_flg*prod_cnt) - sum(l7m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _6M_SBSCR_MOR_L
		,case when (sum(l6m_flg*od_flg*prod_cnt) - sum(l7m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l6m_flg*od_flg*prod_cnt) - sum(l7m_flg*od_flg*prod_cnt)) ELSE 0 END AS _6M_SBSCR_OD
		,case when (sum(l6m_flg*ol_flg*prod_cnt) - sum(l7m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l6m_flg*ol_flg*prod_cnt) - sum(l7m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _6M_SBSCR_OFF_L
		,case when (sum(l6m_flg*pl_flg*prod_cnt) - sum(l7m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l6m_flg*pl_flg*prod_cnt) - sum(l7m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _6M_SBSCR_PER_L
		,case when (sum(l7m_flg*loan_flg*prod_cnt) - sum(l8m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l7m_flg*loan_flg*prod_cnt) - sum(l8m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _7M_SBSCR_LNS
		,case when (sum(l7m_flg*asset_flg*prod_cnt) - sum(l8m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l7m_flg*asset_flg*prod_cnt) - sum(l8m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _7M_SBSCR_AST
		,case when (sum(l7m_flg*td_flg*prod_cnt) - sum(l8m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l7m_flg*td_flg*prod_cnt) - sum(l8m_flg*td_flg*prod_cnt)) ELSE 0 END AS _7M_SBSCR_TD
		,case when (sum(l7m_flg*ONS_FLG*prod_cnt) - sum(l8m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l7m_flg*ONS_FLG*prod_cnt) - sum(l8m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _7M_SBSCR_ON_SAV
		,case when (sum(l7m_flg*d_flg*prod_cnt) - sum(l8m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l7m_flg*d_flg*prod_cnt) - sum(l8m_flg*d_flg*prod_cnt)) ELSE 0 END AS _7M_SBSCR_DEP
		,case when (sum(l7m_flg*cl_flg*prod_cnt) - sum(l8m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l7m_flg*cl_flg*prod_cnt) - sum(l8m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _7M_SBSCR_CAR_L
		,case when (sum(l7m_flg*MF_FLG*prod_cnt) - sum(l8m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l7m_flg*MF_FLG*prod_cnt) - sum(l8m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _7M_SBSCR_MUTUAL_FUND
		,case when (sum(l7m_flg*ml_flg*prod_cnt) - sum(l8m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l7m_flg*ml_flg*prod_cnt) - sum(l8m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _7M_SBSCR_MOR_L
		,case when (sum(l7m_flg*od_flg*prod_cnt) - sum(l8m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l7m_flg*od_flg*prod_cnt) - sum(l8m_flg*od_flg*prod_cnt)) ELSE 0 END AS _7M_SBSCR_OD
		,case when (sum(l7m_flg*ol_flg*prod_cnt) - sum(l8m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l7m_flg*ol_flg*prod_cnt) - sum(l8m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _7M_SBSCR_OFF_L
		,case when (sum(l7m_flg*pl_flg*prod_cnt) - sum(l8m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l7m_flg*pl_flg*prod_cnt) - sum(l8m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _7M_SBSCR_PER_L
		,case when (sum(l8m_flg*loan_flg*prod_cnt) - sum(l9m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l8m_flg*loan_flg*prod_cnt) - sum(l9m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _8M_SBSCR_LNS
		,case when (sum(l8m_flg*asset_flg*prod_cnt) - sum(l9m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l8m_flg*asset_flg*prod_cnt) - sum(l9m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _8M_SBSCR_AST
		,case when (sum(l8m_flg*td_flg*prod_cnt) - sum(l9m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l8m_flg*td_flg*prod_cnt) - sum(l9m_flg*td_flg*prod_cnt)) ELSE 0 END AS _8M_SBSCR_TD
		,case when (sum(l8m_flg*ONS_FLG*prod_cnt) - sum(l9m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l8m_flg*ONS_FLG*prod_cnt) - sum(l9m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _8M_SBSCR_ON_SAV
		,case when (sum(l8m_flg*d_flg*prod_cnt) - sum(l9m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l8m_flg*d_flg*prod_cnt) - sum(l9m_flg*d_flg*prod_cnt)) ELSE 0 END AS _8M_SBSCR_DEP
		,case when (sum(l8m_flg*cl_flg*prod_cnt) - sum(l9m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l8m_flg*cl_flg*prod_cnt) - sum(l9m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _8M_SBSCR_CAR_L
		,case when (sum(l8m_flg*MF_FLG*prod_cnt) - sum(l9m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l8m_flg*MF_FLG*prod_cnt) - sum(l9m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _8M_SBSCR_MUTUAL_FUND
		,case when (sum(l8m_flg*ml_flg*prod_cnt) - sum(l9m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l8m_flg*ml_flg*prod_cnt) - sum(l9m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _8M_SBSCR_MOR_L
		,case when (sum(l8m_flg*od_flg*prod_cnt) - sum(l9m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l8m_flg*od_flg*prod_cnt) - sum(l9m_flg*od_flg*prod_cnt)) ELSE 0 END AS _8M_SBSCR_OD
		,case when (sum(l8m_flg*ol_flg*prod_cnt) - sum(l9m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l8m_flg*ol_flg*prod_cnt) - sum(l9m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _8M_SBSCR_OFF_L
		,case when (sum(l8m_flg*pl_flg*prod_cnt) - sum(l9m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l8m_flg*pl_flg*prod_cnt) - sum(l9m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _8M_SBSCR_PER_L
		,case when (sum(l9m_flg*loan_flg*prod_cnt) - sum(l10m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l9m_flg*loan_flg*prod_cnt) - sum(l10m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _9M_SBSCR_LNS
		,case when (sum(l9m_flg*asset_flg*prod_cnt) - sum(l10m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l9m_flg*asset_flg*prod_cnt) - sum(l10m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _9M_SBSCR_AST
		,case when (sum(l9m_flg*td_flg*prod_cnt) - sum(l10m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l9m_flg*td_flg*prod_cnt) - sum(l10m_flg*td_flg*prod_cnt)) ELSE 0 END AS _9M_SBSCR_TD
		,case when (sum(l9m_flg*ONS_FLG*prod_cnt) - sum(l10m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l9m_flg*ONS_FLG*prod_cnt) - sum(l10m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _9M_SBSCR_ON_SAV
		,case when (sum(l9m_flg*d_flg*prod_cnt) - sum(l10m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l9m_flg*d_flg*prod_cnt) - sum(l10m_flg*d_flg*prod_cnt)) ELSE 0 END AS _9M_SBSCR_DEP
		,case when (sum(l9m_flg*cl_flg*prod_cnt) - sum(l10m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l9m_flg*cl_flg*prod_cnt) - sum(l10m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _9M_SBSCR_CAR_L
		,case when (sum(l9m_flg*MF_FLG*prod_cnt) - sum(l10m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l9m_flg*MF_FLG*prod_cnt) - sum(l10m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _9M_SBSCR_MUTUAL_FUND
		,case when (sum(l9m_flg*ml_flg*prod_cnt) - sum(l10m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l9m_flg*ml_flg*prod_cnt) - sum(l10m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _9M_SBSCR_MOR_L
		,case when (sum(l9m_flg*od_flg*prod_cnt) - sum(l10m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l9m_flg*od_flg*prod_cnt) - sum(l10m_flg*od_flg*prod_cnt)) ELSE 0 END AS _9M_SBSCR_OD
		,case when (sum(l9m_flg*ol_flg*prod_cnt) - sum(l10m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l9m_flg*ol_flg*prod_cnt) - sum(l10m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _9M_SBSCR_OFF_L
		,case when (sum(l9m_flg*pl_flg*prod_cnt) - sum(l10m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l9m_flg*pl_flg*prod_cnt) - sum(l10m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _9M_SBSCR_PER_L
		,case when (sum(l10m_flg*loan_flg*prod_cnt) - sum(l11m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l10m_flg*loan_flg*prod_cnt) - sum(l11m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _10M_SBSCR_LNS
		,case when (sum(l10m_flg*asset_flg*prod_cnt) - sum(l11m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l10m_flg*asset_flg*prod_cnt) - sum(l11m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _10M_SBSCR_AST
		,case when (sum(l10m_flg*td_flg*prod_cnt) - sum(l11m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l10m_flg*td_flg*prod_cnt) - sum(l11m_flg*td_flg*prod_cnt)) ELSE 0 END AS _10M_SBSCR_TD
		,case when (sum(l10m_flg*ONS_FLG*prod_cnt) - sum(l11m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l10m_flg*ONS_FLG*prod_cnt) - sum(l11m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _10M_SBSCR_ON_SAV
		,case when (sum(l10m_flg*d_flg*prod_cnt) - sum(l11m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l10m_flg*d_flg*prod_cnt) - sum(l11m_flg*d_flg*prod_cnt)) ELSE 0 END AS _10M_SBSCR_DEP
		,case when (sum(l10m_flg*cl_flg*prod_cnt) - sum(l11m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l10m_flg*cl_flg*prod_cnt) - sum(l11m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _10M_SBSCR_CAR_L
		,case when (sum(l10m_flg*MF_FLG*prod_cnt) - sum(l11m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l10m_flg*MF_FLG*prod_cnt) - sum(l11m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _10M_SBSCR_MUTUAL_FUND
		,case when (sum(l10m_flg*ml_flg*prod_cnt) - sum(l11m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l10m_flg*ml_flg*prod_cnt) - sum(l11m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _10M_SBSCR_MOR_L
		,case when (sum(l10m_flg*od_flg*prod_cnt) - sum(l11m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l10m_flg*od_flg*prod_cnt) - sum(l11m_flg*od_flg*prod_cnt)) ELSE 0 END AS _10M_SBSCR_OD
		,case when (sum(l10m_flg*ol_flg*prod_cnt) - sum(l11m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l10m_flg*ol_flg*prod_cnt) - sum(l11m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _10M_SBSCR_OFF_L
		,case when (sum(l10m_flg*pl_flg*prod_cnt) - sum(l11m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l10m_flg*pl_flg*prod_cnt) - sum(l11m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _10M_SBSCR_PER_L
		,case when (sum(l11m_flg*loan_flg*prod_cnt) - sum(l12m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l11m_flg*loan_flg*prod_cnt) - sum(l12m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _11M_SBSCR_LNS
		,case when (sum(l11m_flg*asset_flg*prod_cnt) - sum(l12m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l11m_flg*asset_flg*prod_cnt) - sum(l12m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _11M_SBSCR_AST
		,case when (sum(l11m_flg*td_flg*prod_cnt) - sum(l12m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l11m_flg*td_flg*prod_cnt) - sum(l12m_flg*td_flg*prod_cnt)) ELSE 0 END AS _11M_SBSCR_TD
		,case when (sum(l11m_flg*ONS_FLG*prod_cnt) - sum(l12m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l11m_flg*ONS_FLG*prod_cnt) - sum(l12m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _11M_SBSCR_ON_SAV
		,case when (sum(l11m_flg*d_flg*prod_cnt) - sum(l12m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l11m_flg*d_flg*prod_cnt) - sum(l12m_flg*d_flg*prod_cnt)) ELSE 0 END AS _11M_SBSCR_DEP
		,case when (sum(l11m_flg*cl_flg*prod_cnt) - sum(l12m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l11m_flg*cl_flg*prod_cnt) - sum(l12m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _11M_SBSCR_CAR_L
		,case when (sum(l11m_flg*MF_FLG*prod_cnt) - sum(l12m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l11m_flg*MF_FLG*prod_cnt) - sum(l12m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _11M_SBSCR_MUTUAL_FUND
		,case when (sum(l11m_flg*ml_flg*prod_cnt) - sum(l12m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l11m_flg*ml_flg*prod_cnt) - sum(l12m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _11M_SBSCR_MOR_L
		,case when (sum(l11m_flg*od_flg*prod_cnt) - sum(l12m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l11m_flg*od_flg*prod_cnt) - sum(l12m_flg*od_flg*prod_cnt)) ELSE 0 END AS _11M_SBSCR_OD
		,case when (sum(l11m_flg*ol_flg*prod_cnt) - sum(l12m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l11m_flg*ol_flg*prod_cnt) - sum(l12m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _11M_SBSCR_OFF_L
		,case when (sum(l11m_flg*pl_flg*prod_cnt) - sum(l12m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l11m_flg*pl_flg*prod_cnt) - sum(l12m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _11M_SBSCR_PER_L
		,case when (sum(l12m_flg*loan_flg*prod_cnt) - sum(l13m_flg*loan_flg*prod_cnt)) > 0 THEN (sum(l12m_flg*loan_flg*prod_cnt) - sum(l13m_flg*loan_flg*prod_cnt)) ELSE 0 END AS _12M_SBSCR_LNS
		,case when (sum(l12m_flg*asset_flg*prod_cnt) - sum(l13m_flg*asset_flg*prod_cnt)) > 0 THEN (sum(l12m_flg*asset_flg*prod_cnt) - sum(l13m_flg*asset_flg*prod_cnt)) ELSE 0 END AS _12M_SBSCR_AST
		,case when (sum(l12m_flg*td_flg*prod_cnt) - sum(l13m_flg*td_flg*prod_cnt)) > 0 THEN (sum(l12m_flg*td_flg*prod_cnt) - sum(l13m_flg*td_flg*prod_cnt)) ELSE 0 END AS _12M_SBSCR_TD
		,case when (sum(l12m_flg*ONS_FLG*prod_cnt) - sum(l13m_flg*ONS_FLG*prod_cnt)) > 0 THEN (sum(l12m_flg*ONS_FLG*prod_cnt) - sum(l13m_flg*ONS_FLG*prod_cnt)) ELSE 0 END AS _12M_SBSCR_ON_SAV
		,case when (sum(l12m_flg*d_flg*prod_cnt) - sum(l13m_flg*d_flg*prod_cnt)) > 0 THEN (sum(l12m_flg*d_flg*prod_cnt) - sum(l13m_flg*d_flg*prod_cnt)) ELSE 0 END AS _12M_SBSCR_DEP
		,case when (sum(l12m_flg*cl_flg*prod_cnt) - sum(l13m_flg*cl_flg*prod_cnt)) > 0 THEN (sum(l12m_flg*cl_flg*prod_cnt) - sum(l13m_flg*cl_flg*prod_cnt)) ELSE 0 END AS _12M_SBSCR_CAR_L
		,case when (sum(l12m_flg*MF_FLG*prod_cnt) - sum(l13m_flg*MF_FLG*prod_cnt)) > 0 THEN (sum(l12m_flg*MF_FLG*prod_cnt) - sum(l13m_flg*MF_FLG*prod_cnt)) ELSE 0 END AS _12M_SBSCR_MUTUAL_FUND
		,case when (sum(l12m_flg*ml_flg*prod_cnt) - sum(l13m_flg*ml_flg*prod_cnt)) > 0 THEN (sum(l12m_flg*ml_flg*prod_cnt) - sum(l13m_flg*ml_flg*prod_cnt)) ELSE 0 END AS _12M_SBSCR_MOR_L
		,case when (sum(l12m_flg*od_flg*prod_cnt) - sum(l13m_flg*od_flg*prod_cnt)) > 0 THEN (sum(l12m_flg*od_flg*prod_cnt) - sum(l13m_flg*od_flg*prod_cnt)) ELSE 0 END AS _12M_SBSCR_OD
		,case when (sum(l12m_flg*ol_flg*prod_cnt) - sum(l13m_flg*ol_flg*prod_cnt)) > 0 THEN (sum(l12m_flg*ol_flg*prod_cnt) - sum(l13m_flg*ol_flg*prod_cnt)) ELSE 0 END AS _12M_SBSCR_OFF_L
		,case when (sum(l12m_flg*pl_flg*prod_cnt) - sum(l13m_flg*pl_flg*prod_cnt)) > 0 THEN (sum(l12m_flg*pl_flg*prod_cnt) - sum(l13m_flg*pl_flg*prod_cnt)) ELSE 0 END AS _12M_SBSCR_PER_L
		
		,sum(lm_flg*loan_flg*balance) AS _LM_LN_BALANCE
		,sum(lm_flg*asset_flg*balance) AS _LM_AST_BALANCE
		
		,sum(l2m_flg*loan_flg*balance) AS _L2M_LN_BALANCE 
		,sum(l2m_flg*asset_flg*balance) AS _L2M_AST_BALANCE
		
		,sum(l3m_flg*loan_flg*balance) AS _L3M_LN_BALANCE
		,sum(l3m_flg*asset_flg*balance) AS _L3M_AST_BALANCE
				
		FROM
		(	SELECT
			DT.CUST_ID
			,card_id
			,target
			,stmt_dt
			,yr_mnth
			,tree_family_code_v2 AS product_group
			,tree_single_code_v2 AS PRODUCT_CLASS
			,prod_cnt
			,coalesce(balance,0) AS balance
			
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '30' and stmt_dt THEN 1 ELSE 0 END AS LM_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '60' and stmt_dt  - INTEGER '30' THEN 1 ELSE 0 END AS L2M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '90' and stmt_dt  - INTEGER '60' THEN 1 ELSE 0 END AS L3M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '120' and stmt_dt  - INTEGER '90' THEN 1 ELSE 0 END AS L4M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '150' and stmt_dt  - INTEGER '120' THEN 1 ELSE 0 END AS L5M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '180' and stmt_dt - INTEGER '150' THEN 1 ELSE 0 END AS L6M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '210' and stmt_dt  - INTEGER '180' THEN 1 ELSE 0 END AS L7M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '240' and stmt_dt  - INTEGER '210' THEN 1 ELSE 0 END AS L8M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '270' and stmt_dt  - INTEGER '240' THEN 1 ELSE 0 END AS L9M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '300' and stmt_dt  - INTEGER '270' THEN 1 ELSE 0 END AS L10M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '330' and stmt_dt  - INTEGER '300' THEN 1 ELSE 0 END AS L11M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '360' and stmt_dt - INTEGER '330' THEN 1 ELSE 0 END AS L12M_FLG
			,CASE WHEN yr_mnth between stmt_dt - INTEGER '390' and stmt_dt  - INTEGER '360' THEN 1 ELSE 0 END AS L13M_FLG
			
			
			,CASE WHEN tree_family_code_v2 in ('KRD.BRY', 'KRD.TIC') THEN 1 ELSE 0 END as LOAN_FLG
			
			,CASE WHEN tree_single_code_v2 in ('KRD.TIC.TAK') THEN 1 ELSE 0 END as OL_FLG
			,CASE WHEN tree_single_code_v2 in ('KRD.BRY.KMH') THEN 1 ELSE 0 END as OD_FLG
			,CASE WHEN tree_single_code_v2 in ('KRD.BRY.IHTIYAC') THEN 1 ELSE 0 END as PL_FLG
			,CASE WHEN tree_single_code_v2 in ('KRD.BRY.KONUT') THEN 1 ELSE 0 END as ML_FLG
			,CASE WHEN tree_single_code_v2 in ('KRD.BRY.TASIT') THEN 1 ELSE 0 END as CL_FLG
			
			
			,CASE WHEN tree_family_code_v2 in ('MVD.VDL', 'MVD.VDS', 'YAT.FON') THEN 1 ELSE 0 END as ASSET_FLG
			
			,CASE WHEN tree_single_code_v2 in ('MVD.VDL.DML', 'MVD.VDL.CEK', 'MVD.VDL.MFN', 'MVD.VDL.VDL', 'MVD.VDL.UST', 'MVD.VDL.BKM', 'MVD.VDL.PLN') THEN 1 ELSE 0 END as TD_FLG
			,CASE WHEN tree_single_code_v2 in ('MVD.VDS.VDS') THEN 1 ELSE 0 END as D_FLG
			,CASE WHEN tree_single_code_v2 in ('YAT.FON.LKT', 'YAT.FON.FON', 'YAT.FON.FSF', 'YAT.FON.HSF', 'YAT.FON.SGF', 'YAT.FON.DEG', 'YAT.FON.SER', 'YAT.FON.KAF', 'YAT.FON.KMF') THEN 1 ELSE 0 END as MF_FLG
			,CASE WHEN tree_single_code_v2 in ('MVD.VDL.FRS', 'MVD.VDL.MRF', 'MVD.VDL.ONH', 'MVD.VDL.CEP') THEN 1 ELSE 0 END as ONS_FLG
			
			
			FROM
			RISK.PROD_OWNSHIP as PO
			
			RIGHT JOIN 
				(SELECT
				CUST_ID
				,STMT_DT
				,card_id
				,target
				FROM
				RISK.CUST_DT_DUMMY
				GROUP BY 1,2,3,4
				) AS DT
			ON 
			PO.CUST_ID = DT.CUST_ID
			AND
			PO.yr_mnth < DT.STMT_DT
			AND
			PO.yr_mnth > DT.STMT_DT - INTEGER '360'
			
--			WHERE 
--			PO.CUST_ID IN ('2151330', '2432511', '7572399')
--			AND
--				(DT.STMT_DT = '2018-01-23'
--				OR
--				DT.STMT_DT = '2018-01-15'
--				OR
--				DT.STMT_DT = '2017-09-25')
		) AS DATA_PREP
		GROUP BY 1,2,3,4
	) AS PREP_STEP2
);

grant all on risk.BLM_PRODUCT_OWNERSHIP_VAR to public;
analyze risk.BLM_PRODUCT_OWNERSHIP_VAR;
