DROP	TABLE IF EXISTS risk.BLM_RESTRUCTURE_VAR; -- created by zeren
CREATE	TABLE risk.BLM_RESTRUCTURE_VAR()
DISTRIBUTE	BY HASH(CUST_ID)
COMPRESS LOW
AS (
SELECT
dt.cust_id
,dt.CARD_ID
,dt.STMT_DT
,dt.TARGET
,sum(coalesce(rstrd_loan_count,0)) AS _AL_RST_LOAN_CNT
FROM
	(SELECT
	CUST_ID
	,CARD_ID
	,STMT_DT
	,TARGET
	FROM
	RISK.CUST_DT_DUMMY
	GROUP BY 1,2,3,4
	) AS DT
LEFT OUTER JOIN
risk.rest_loan
ON 
rest_loan.CUST_ID = DT.CUST_ID
AND
rest_loan.rstrd_dt between DT.STMT_DT - Interval '6 month' AND DT.STMT_DT
GROUP BY 1,2,3,4); 


grant all on risk.BLM_RESTRUCTURE_VAR to public;
analyze risk.BLM_RESTRUCTURE_VAR;