DROP TABLE IF EXISTS risk.blm_model_table;
CREATE ANALYTIC TABLE risk.blm_model_table
DISTRIBUTE BY HASH (cust_id)
COMPRESS LOW
AS
(
SELECT 
CUST_DT_DUMMY.CUST_ID||CUST_DT_DUMMY.CARD_ID||CUST_DT_DUMMY.STMT_DT as JOINKEY
,CUST_DT_DUMMY.CUST_ID
,CUST_DT_DUMMY.CARD_ID
,CUST_DT_DUMMY.STMT_DT
,CASE WHEN CUST_DT_DUMMY.TARGET = 0 THEN 1 ELSE 0 END AS TARGET
,first_teb_card
,last_prim_cc_iss
,number_actv_cc_6m
,has_virt_cc_6m
,last_supp_cc_iss
,limit_cc_6m
,salary_amt
,credit_sc
,salary_acct_cnt
,credit_sc_nf
,top10pct_med_salary_nf
,_1m_sbscr_insrnc_cnt
,_6m_sbscr_insrnc_cnt
,_6m_pmt_insrnc_sum
,_12m_pmt_insrnc_sum
,_6m_pmt_due_insrnc_sum
,_12m_pmt_due_insrnc_sum
,_1m_trf_amt_otg
,_1m_trf_amt_inter_bnk
,_6m_trf_amt_otg
,_6m_trf_amt_cc
,_6m_trf_frq_otg
,_6m_trf_frq_cc
,_1m_tot_amt_web0
,_1m_tot_amt_web1
,_1m_tot_frq_mc_shp_ctr_pct
,_1m_tot_frq_mc_clth_pct
,_1m_tot_frq_mc_fl_stnt_pct
,_1m_tot_frq_mc_tlcm_pct
,_1m_tot_frq_mc_eltrn_pct
,_1m_tot_frq_mc_hlth_pct
,_1m_tot_frq_mc_othr_pct
,_6m_tot_amt_web0
,_6m_tot_amt_web1
,_6m_tot_frq_web1
,_6m_tot_frq_lc1
,_6m_tot_frq_mc_clth_pct
,_6m_tot_frq_mc_srvc_pct
,_6m_tot_frq_mc_tlcm_pct
,_6m_tot_frq_mc_eltrn_pct
,_6m_tot_frq_mc_hlth_pct
,_6m_tot_frq_mc_othr_pct
,_6m_tot_frq_mc_fd_pct
,_6m_tot_frq_mc_trvl_pct
,_6m_tot_frq_mc_frntr_pct
,_6m_tot_frq_mc_ed_mtrl_pct
,_6m_tot_frq_mc_bdmt_pct
,_6m_tot_frq_mc_arprt_pct
,_6m_tot_frq_mc_srvc_prts_pct
,_al_rst_loan_cnt
,_1m_ovd_limit_ut
from 
RISK.CUST_DT_DUMMY
LEFT OUTER JOIN
"risk"."blm_cust_card_info_var"
ON
CUST_DT_DUMMY.CUST_ID = blm_cust_card_info_var.CUST_ID
AND
CUST_DT_DUMMY.CARD_ID = blm_cust_card_info_var.CARD_ID
AND 
CUST_DT_DUMMY.STMT_DT = blm_cust_card_info_var.STMT_DT 

LEFT OUTER JOIN
"risk"."blm_employment_info_var"
ON
CUST_DT_DUMMY.CUST_ID = blm_employment_info_var.CUST_ID 
AND
CUST_DT_DUMMY.CARD_ID = blm_employment_info_var.CARD_ID 
AND
CUST_DT_DUMMY.STMT_DT = blm_employment_info_var.STMT_DT

LEFT OUTER JOIN
"risk"."blm_insurance_var"
ON
CUST_DT_DUMMY.CUST_ID = blm_insurance_var.CUST_ID 
AND
CUST_DT_DUMMY.CARD_ID = blm_insurance_var.CARD_ID 
AND
CUST_DT_DUMMY.STMT_DT = blm_insurance_var.STMT_DT

LEFT OUTER JOIN
"risk"."blm_money_transfer_var"
ON
CUST_DT_DUMMY.CUST_ID = blm_money_transfer_var.CUST_ID 
AND
CUST_DT_DUMMY.CARD_ID = blm_money_transfer_var.CARD_ID 
AND
CUST_DT_DUMMY.STMT_DT = blm_money_transfer_var.STMT_DT

LEFT OUTER JOIN
"risk"."blm_merch_segment_var"
ON
CUST_DT_DUMMY.CUST_ID = blm_merch_segment_var.CUST_ID 
AND
CUST_DT_DUMMY.CARD_ID = blm_merch_segment_var.CARD_ID 
AND
CUST_DT_DUMMY.STMT_DT = blm_merch_segment_var.STMT_DT

LEFT OUTER JOIN
"risk"."blm_restructure_var"
ON
CUST_DT_DUMMY.CUST_ID = blm_restructure_var.CUST_ID 
AND
CUST_DT_DUMMY.CARD_ID = blm_restructure_var.CARD_ID 
AND
CUST_DT_DUMMY.STMT_DT = blm_restructure_var.STMT_DT

LEFT OUTER JOIN
"risk"."blm_overdraft_var"
ON
CUST_DT_DUMMY.CUST_ID = blm_overdraft_var.CUST_ID 
AND
CUST_DT_DUMMY.CARD_ID = blm_overdraft_var.CARD_ID 
AND
CUST_DT_DUMMY.STMT_DT = blm_overdraft_var.STMT_DT

);



GRANT ALL ON RISK.blm_model_table TO PUBLIC;
ANALYZE RISK.blm_model_table;

