DROP TABLE IF EXISTS RISK.CUST_DT_DUMMY;
CREATE FACT TABLE RISK.CUST_DT_DUMMY() 
DISTRIBUTE BY HASH(card_id)
COMPRESS LOW
AS
(
SELECT	cust_id, cc_no as card_id, stmt_dt, target
FROM	
	(
	SELECT	* FROM risk.target_aug17
	UNION ALL
	SELECT	* FROM risk.target_oct17
	UNION ALL
	SELECT	* FROM risk.target_dec17
	) unioner
where
cust_id NOT IN 
	(
	SELECT cmusno from staging.pov_dwd_kon_musteri 
	where ref_mus_dosya='P' and tarih_id in ('2017-08-31','2017-10-31','2017-12-31')
	)
);

CREATE	INDEX index_cust_dt_dummy
	ON 	risk.CUST_DT_DUMMY(cust_id);
	
GRANT 	ALL on risk.CUST_DT_DUMMY to public;

analyze risk.CUST_DT_DUMMY;