DROP TABLE IF EXISTS RISK.BLM_Merch_Segment_VAR;
CREATE FACT TABLE RISK.BLM_Merch_Segment_VAR() 
DISTRIBUTE BY HASH(CARD_ID)
COMPRESS LOW
AS
(
	SELECT
		CUST_ID
		,CARD_ID
		,STMT_DT
		, _1M_TOT_AMT_
		, _1M_TOT_AMT_WEB0
		, _1M_TOT_AMT_WEB1
		, _1M_TOT_AMT_LC0
		, _1M_TOT_AMT_LC1
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_SHP_CTR/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_SHP_CTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_CLTH/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_CLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_SRVC/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_SRVC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_FL_STNT/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_FL_STNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_TLCM/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_TLCM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_ELTRN/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_ELTRN_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_INSRNC/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_INSRNC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_HLTH/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_HLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_OTHR/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_OTHR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_FD/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_TRVL/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_TRVL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_FRNTR/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_FRNTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_ED_MTRL/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_ED_MTRL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_BDMT/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_BDMT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_ARPRT/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_ARPRT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_SRVC_PRTS/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_SRVC_PRTS_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_DR_MKT/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_DR_MKT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_JWLR/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_JWLR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_CLB/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_CLB_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_ACCOM/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_ACCOM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_VR_FD/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_VR_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_CNSTR_WK/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_CNSTR_WK_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_CR_RNT/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_CR_RNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_AMT_MC_GMBLN/ _1M_TOT_AMT_ END AS  _1M_TOT_AMT_MC_GMBLN_PCT
		
		, _1M_TOT_FRQ_
		, _1M_TOT_FRQ_WEB0
		, _1M_TOT_FRQ_WEB1
		, _1M_TOT_FRQ_LC0
		, _1M_TOT_FRQ_LC1
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_SHP_CTR/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_SHP_CTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_CLTH/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_CLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_SRVC/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_SRVC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_FL_STNT/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_FL_STNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_TLCM/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_TLCM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_ELTRN/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_ELTRN_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_INSRNC/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_INSRNC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_HLTH/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_HLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_OTHR/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_OTHR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_FD/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_TRVL/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_TRVL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_FRNTR/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_FRNTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_ED_MTRL/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_ED_MTRL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_BDMT/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_BDMT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_ARPRT/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_ARPRT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_SRVC_PRTS/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_SRVC_PRTS_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_DR_MKT/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_DR_MKT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_JWLR/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_JWLR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_CLB/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_CLB_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_ACCOM/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_ACCOM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_VR_FD/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_VR_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_CNSTR_WK/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_CNSTR_WK_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_CR_RNT/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_CR_RNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_FRQ_MC_GMBLN/ _1M_TOT_FRQ_ END AS  _1M_TOT_FRQ_MC_GMBLN_PCT
		
		, _1M_TOT_DYS_
		, _1M_TOT_DYS_WEB0
		, _1M_TOT_DYS_WEB1
		, _1M_TOT_DYS_LC0
		, _1M_TOT_DYS_LC1
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_SHP_CTR/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_SHP_CTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_CLTH/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_CLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_SRVC/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_SRVC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_FL_STNT/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_FL_STNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_TLCM/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_TLCM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_ELTRN/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_ELTRN_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_INSRNC/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_INSRNC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_HLTH/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_HLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_OTHR/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_OTHR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_FD/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_TRVL/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_TRVL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_FRNTR/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_FRNTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_ED_MTRL/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_ED_MTRL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_BDMT/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_BDMT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_ARPRT/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_ARPRT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_SRVC_PRTS/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_SRVC_PRTS_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_DR_MKT/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_DR_MKT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_JWLR/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_JWLR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_CLB/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_CLB_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_ACCOM/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_ACCOM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_VR_FD/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_VR_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_CNSTR_WK/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_CNSTR_WK_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_CR_RNT/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_CR_RNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _1M_TOT_DYS_MC_GMBLN/ _1M_TOT_DYS_ END AS  _1M_TOT_DYS_MC_GMBLN_PCT
		
		, _6M_TOT_AMT_
		, _6M_TOT_AMT_WEB0
		, _6M_TOT_AMT_WEB1
		, _6M_TOT_AMT_LC0
		, _6M_TOT_AMT_LC1
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_SHP_CTR/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_SHP_CTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_CLTH/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_CLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_SRVC/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_SRVC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_FL_STNT/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_FL_STNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_TLCM/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_TLCM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_ELTRN/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_ELTRN_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_INSRNC/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_INSRNC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_HLTH/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_HLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_OTHR/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_OTHR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_FD/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_TRVL/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_TRVL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_FRNTR/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_FRNTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_ED_MTRL/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_ED_MTRL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_BDMT/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_BDMT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_ARPRT/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_ARPRT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_SRVC_PRTS/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_SRVC_PRTS_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_DR_MKT/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_DR_MKT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_JWLR/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_JWLR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_CLB/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_CLB_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_ACCOM/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_ACCOM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_VR_FD/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_VR_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_CNSTR_WK/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_CNSTR_WK_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_CR_RNT/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_CR_RNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_AMT_MC_GMBLN/ _6M_TOT_AMT_ END AS  _6M_TOT_AMT_MC_GMBLN_PCT
		
		, _6M_TOT_FRQ_
		, _6M_TOT_FRQ_WEB0
		, _6M_TOT_FRQ_WEB1
		, _6M_TOT_FRQ_LC0
		, _6M_TOT_FRQ_LC1
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_SHP_CTR/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_SHP_CTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_CLTH/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_CLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_SRVC/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_SRVC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_FL_STNT/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_FL_STNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_TLCM/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_TLCM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_ELTRN/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_ELTRN_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_INSRNC/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_INSRNC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_HLTH/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_HLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_OTHR/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_OTHR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_FD/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_TRVL/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_TRVL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_FRNTR/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_FRNTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_ED_MTRL/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_ED_MTRL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_BDMT/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_BDMT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_ARPRT/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_ARPRT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_SRVC_PRTS/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_SRVC_PRTS_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_DR_MKT/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_DR_MKT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_JWLR/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_JWLR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_CLB/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_CLB_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_ACCOM/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_ACCOM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_VR_FD/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_VR_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_CNSTR_WK/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_CNSTR_WK_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_CR_RNT/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_CR_RNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_FRQ_MC_GMBLN/ _6M_TOT_FRQ_ END AS  _6M_TOT_FRQ_MC_GMBLN_PCT
		
		, _6M_TOT_DYS_
		, _6M_TOT_DYS_WEB0
		, _6M_TOT_DYS_WEB1
		, _6M_TOT_DYS_LC0
		, _6M_TOT_DYS_LC1
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_SHP_CTR/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_SHP_CTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_CLTH/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_CLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_SRVC/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_SRVC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_FL_STNT/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_FL_STNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_TLCM/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_TLCM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_ELTRN/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_ELTRN_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_INSRNC/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_INSRNC_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_HLTH/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_HLTH_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_OTHR/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_OTHR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_FD/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_TRVL/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_TRVL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_FRNTR/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_FRNTR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_ED_MTRL/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_ED_MTRL_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_BDMT/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_BDMT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_ARPRT/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_ARPRT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_SRVC_PRTS/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_SRVC_PRTS_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_DR_MKT/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_DR_MKT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_JWLR/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_JWLR_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_CLB/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_CLB_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_ACCOM/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_ACCOM_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_VR_FD/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_VR_FD_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_CNSTR_WK/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_CNSTR_WK_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_CR_RNT/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_CR_RNT_PCT
		,CASE WHEN  _1M_TOT_AMT_ = 0 THEN 0 ELSE _6M_TOT_DYS_MC_GMBLN/ _6M_TOT_DYS_ END AS  _6M_TOT_DYS_MC_GMBLN_PCT


	FROM
	(
		SELECT 
			CUST_ID
			,CARD_ID
			,STMT_DT
			/********1 MONTH VARIABLES TRANSFER AMOUNT***********/
			
			,SUM(	CASE 
						WHEN TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _1M_TOT_AMT_
				
			,SUM(	CASE 
						WHEN ECOMMERCE_FLG = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _1M_TOT_AMT_WEB0	
			
			,SUM(	
					CASE 
						WHEN ECOMMERCE_FLG = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _1M_TOT_AMT_WEB1
				
			,SUM(	
					CASE 
						WHEN LOCAL_CURR = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _1M_TOT_AMT_LC0
				
			,SUM(	
					CASE 
						WHEN LOCAL_CURR = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _1M_TOT_AMT_LC1
				
			,SUM(	
					CASE 
						WHEN MERCH_CATG = 'SHOPPING CENTERS' AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _1M_TOT_AMT_MC_SHP_CTR
				
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CLOTHING & ACCESSORIES' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_CLTH
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'SERVICE STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_SRVC
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FUEL STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_FL_STNT
					
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'TELECOM' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_TLCM
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'ELECTRONICS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_ELTRN
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'INSURANCE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_INSRNC
				
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'HEALTH PRODUCTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_HLTH
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'OTHER' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_OTHR
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FOOD' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_FD
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'TRAVEL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_TRVL
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FURNITURE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_FRNTR
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'EDUCATION & OFFICE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_ED_MTRL
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'BUILDING MATERIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_BDMT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'AIRPORTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_ARPRT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CAR SERVICE & PARTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_SRVC_PRTS
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'DIRECT MARKETING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_DR_MKT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'JEWELERY' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_JWLR
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CLUB & SOCIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_CLB
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'ACCOMODATION' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_ACCOM
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'VARIOUS FOODS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_VR_FD
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CONSTRUCTION WORKS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_CNSTR_WK
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CAR RENTAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_CR_RNT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'GAMBLING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _1M_TOT_AMT_MC_GMBLN
			
			/********1 MONTH VARIABLES FREQUENCY***********/
			
			,SUM(	CASE 
						WHEN TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _1M_TOT_FRQ_
				
			,SUM(	CASE 
						WHEN ECOMMERCE_FLG = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _1M_TOT_FRQ_WEB0	
			
			,SUM(	
					CASE 
						WHEN ECOMMERCE_FLG = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _1M_TOT_FRQ_WEB1
				
			,SUM(	
					CASE 
						WHEN LOCAL_CURR = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _1M_TOT_FRQ_LC0
				
			,SUM(	
					CASE 
						WHEN LOCAL_CURR = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _1M_TOT_FRQ_LC1
				
			,SUM(	
					CASE 
						WHEN MERCH_CATG = 'SHOPPING CENTERS' AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _1M_TOT_FRQ_MC_SHP_CTR
				
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CLOTHING & ACCESSORIES' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_CLTH
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'SERVICE STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_SRVC
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FUEL STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_FL_STNT
					
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'TELECOM' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_TLCM
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'ELECTRONICS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_ELTRN
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'INSURANCE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_INSRNC
				
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'HEALTH PRODUCTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_HLTH
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'OTHER' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_OTHR
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FOOD' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_FD
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'TRAVEL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_TRVL
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FURNITURE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_FRNTR
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'EDUCATION & OFFICE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_ED_MTRL
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'BUILDING MATERIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_BDMT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'AIRPORTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_ARPRT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CAR SERVICE & PARTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_SRVC_PRTS
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'DIRECT MARKETING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_DR_MKT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'JEWELERY' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_JWLR
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CLUB & SOCIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_CLB
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'ACCOMODATION' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_ACCOM
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'VARIOUS FOODS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_VR_FD
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CONSTRUCTION WORKS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_CNSTR_WK
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CAR RENTAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_CR_RNT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'GAMBLING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _1M_TOT_FRQ_MC_GMBLN	
			
			
			/********1 MONTH VARIABLES TRANSACTION DAYS***********/
		
				,COUNT( DISTINCT	CASE 
						WHEN TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _1M_TOT_DYS_
				
			,COUNT( DISTINCT	CASE 
						WHEN ECOMMERCE_FLG = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _1M_TOT_DYS_WEB0	
			
			,COUNT( DISTINCT	
					CASE 
						WHEN ECOMMERCE_FLG = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _1M_TOT_DYS_WEB1
				
			,COUNT( DISTINCT	
					CASE 
						WHEN LOCAL_CURR = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _1M_TOT_DYS_LC0
				
			,COUNT( DISTINCT	
					CASE 
						WHEN LOCAL_CURR = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _1M_TOT_DYS_LC1
				
			,COUNT( DISTINCT	
					CASE 
						WHEN MERCH_CATG = 'SHOPPING CENTERS' AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _1M_TOT_DYS_MC_SHP_CTR
				
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'CLOTHING & ACCESSORIES' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_CLTH
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'SERVICE STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_SRVC
		
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'FUEL STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_FL_STNT
					
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'TELECOM' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_TLCM
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'ELECTRONICS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_ELTRN
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'INSURANCE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_INSRNC
				
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'HEALTH PRODUCTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_HLTH
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'OTHER' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_OTHR
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'FOOD' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_FD
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'TRAVEL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_TRVL
		
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'FURNITURE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_FRNTR
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'EDUCATION & OFFICE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_ED_MTRL
		
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'BUILDING MATERIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_BDMT
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'AIRPORTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_ARPRT
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'CAR SERVICE & PARTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_SRVC_PRTS
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'DIRECT MARKETING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_DR_MKT
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'JEWELERY' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_JWLR
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'CLUB & SOCIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_CLB
		
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'ACCOMODATION' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_ACCOM
		
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'VARIOUS FOODS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_VR_FD
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'CONSTRUCTION WORKS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_CNSTR_WK
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'CAR RENTAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_CR_RNT
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'GAMBLING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _1M_TOT_DYS_MC_GMBLN
			
			
			/********6 MONTH VARIABLES TRANSFER AMOUNT***********/
			
			,SUM(	CASE 
						WHEN TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _6M_TOT_AMT_
				
			,SUM(	CASE 
						WHEN ECOMMERCE_FLG = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _6M_TOT_AMT_WEB0	
			
			,SUM(	
					CASE 
						WHEN ECOMMERCE_FLG = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _6M_TOT_AMT_WEB1
				
			,SUM(	
					CASE 
						WHEN LOCAL_CURR = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _6M_TOT_AMT_LC0
				
			,SUM(	
					CASE 
						WHEN LOCAL_CURR = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _6M_TOT_AMT_LC1
				
			,SUM(	
					CASE 
						WHEN MERCH_CATG = 'SHOPPING CENTERS' AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN AMT
						ELSE 0
					END
				) AS _6M_TOT_AMT_MC_SHP_CTR
				
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CLOTHING & ACCESSORIES' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_CLTH
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'SERVICE STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_SRVC
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FUEL STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_FL_STNT
					
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'TELECOM' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_TLCM
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'ELECTRONICS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_ELTRN
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'INSURANCE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_INSRNC
				
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'HEALTH PRODUCTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_HLTH
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'OTHER' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_OTHR
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FOOD' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_FD
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'TRAVEL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_TRVL
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FURNITURE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_FRNTR
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'EDUCATION & OFFICE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_ED_MTRL
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'BUILDING MATERIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_BDMT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'AIRPORTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_ARPRT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CAR SERVICE & PARTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_SRVC_PRTS
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'DIRECT MARKETING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_DR_MKT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'JEWELERY' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_JWLR
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CLUB & SOCIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_CLB
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'ACCOMODATION' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_ACCOM
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'VARIOUS FOODS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_VR_FD
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CONSTRUCTION WORKS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_CNSTR_WK
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CAR RENTAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_CR_RNT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'GAMBLING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN AMT
					ELSE 0
				END
			) AS _6M_TOT_AMT_MC_GMBLN
			
			/********6 MONTH VARIABLES FREQUENCY***********/
			
			,SUM(	CASE 
						WHEN TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _6M_TOT_FRQ_
				
			,SUM(	CASE 
						WHEN ECOMMERCE_FLG = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _6M_TOT_FRQ_WEB0	
			
			,SUM(	
					CASE 
						WHEN ECOMMERCE_FLG = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _6M_TOT_FRQ_WEB1
				
			,SUM(	
					CASE 
						WHEN LOCAL_CURR = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _6M_TOT_FRQ_LC0
				
			,SUM(	
					CASE 
						WHEN LOCAL_CURR = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _6M_TOT_FRQ_LC1
				
			,SUM(	
					CASE 
						WHEN MERCH_CATG = 'SHOPPING CENTERS' AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN FREQ
						ELSE 0
					END
				) AS _6M_TOT_FRQ_MC_SHP_CTR
				
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CLOTHING & ACCESSORIES' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_CLTH
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'SERVICE STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_SRVC
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FUEL STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_FL_STNT
					
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'TELECOM' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_TLCM
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'ELECTRONICS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_ELTRN
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'INSURANCE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_INSRNC
				
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'HEALTH PRODUCTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_HLTH
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'OTHER' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_OTHR
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FOOD' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_FD
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'TRAVEL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_TRVL
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'FURNITURE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_FRNTR
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'EDUCATION & OFFICE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_ED_MTRL
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'BUILDING MATERIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_BDMT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'AIRPORTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_ARPRT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CAR SERVICE & PARTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_SRVC_PRTS
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'DIRECT MARKETING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_DR_MKT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'JEWELERY' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_JWLR
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CLUB & SOCIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_CLB
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'ACCOMODATION' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_ACCOM
		
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'VARIOUS FOODS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_VR_FD
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CONSTRUCTION WORKS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_CNSTR_WK
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'CAR RENTAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_CR_RNT
			
			,SUM(	
				CASE 
					WHEN MERCH_CATG = 'GAMBLING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN FREQ
					ELSE 0
				END
			) AS _6M_TOT_FRQ_MC_GMBLN	
			
			
			/********6 MONTH VARIABLES TRANSACTION DAYS***********/
		
				,COUNT( DISTINCT	CASE 
						WHEN TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _6M_TOT_DYS_
				
			,COUNT( DISTINCT	CASE 
						WHEN ECOMMERCE_FLG = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _6M_TOT_DYS_WEB0	
			
			,COUNT( DISTINCT	
					CASE 
						WHEN ECOMMERCE_FLG = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _6M_TOT_DYS_WEB1
				
			,COUNT( DISTINCT	
					CASE 
						WHEN LOCAL_CURR = 0 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _6M_TOT_DYS_LC0
				
			,COUNT( DISTINCT	
					CASE 
						WHEN LOCAL_CURR = 1 AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _6M_TOT_DYS_LC1
				
			,COUNT( DISTINCT	
					CASE 
						WHEN MERCH_CATG = 'SHOPPING CENTERS' AND TRX_DATE 
							BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
							THEN TRX_DATE
						ELSE NULL
					END
				) AS _6M_TOT_DYS_MC_SHP_CTR
				
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'CLOTHING & ACCESSORIES' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_CLTH
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'SERVICE STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_SRVC
		
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'FUEL STATIONS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_FL_STNT
					
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'TELECOM' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_TLCM
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'ELECTRONICS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_ELTRN
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'INSURANCE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_INSRNC
				
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'HEALTH PRODUCTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_HLTH
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'OTHER' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_OTHR
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'FOOD' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_FD
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'TRAVEL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_TRVL
		
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'FURNITURE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_FRNTR
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'EDUCATION & OFFICE' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_ED_MTRL
		
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'BUILDING MATERIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_BDMT
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'AIRPORTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_ARPRT
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'CAR SERVICE & PARTS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_SRVC_PRTS
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'DIRECT MARKETING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_DR_MKT
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'JEWELERY' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_JWLR
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'CLUB & SOCIAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_CLB
		
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'ACCOMODATION' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_ACCOM
		
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'VARIOUS FOODS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_VR_FD
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'CONSTRUCTION WORKS' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_CNSTR_WK
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'CAR RENTAL' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_CR_RNT
			
			,COUNT( DISTINCT	
				CASE 
					WHEN MERCH_CATG = 'GAMBLING' AND TRX_DATE 
						BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
						THEN TRX_DATE
					ELSE NULL
				END
			) AS _6M_TOT_DYS_MC_GMBLN
			
			
		FROM
		(
			SELECT 
				MST.CUST_ID
				,MST.CARD_ID
				,MST.TRX_DATE
				,MST.ECOMMERCE_FLG
				,MST.LOCAL_CURR
				,MST.MERCHANT_ID
				,CASE 
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '12 - MARKET AND SHOPPING CENTERS' THEN 'SHOPPING CENTERS'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '11 - CLOTHING AND ACCESSORIES' THEN 'CLOTHING & ACCESSORIES'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '16 - SERVICE SECTION' THEN 'SERVICE STATIONS'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '03 - PETROL AND FUEL STATIONS' THEN 'FUEL STATIONS'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '15 - TELECOMMUNICATION' THEN 'TELECOM'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '14 - ELECTRIC-ELECTRONIC GOODS, COMPUTERS' THEN 'ELECTRONICS'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '17 - INSURANCE' THEN 'INSURANCE'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '09 - HEALTH / HEALTH PRODUCTS / COSMETICS' THEN 'HEALTH PRODUCTS'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '00 - OTHER' THEN 'OTHER'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '10 - FOOD' THEN 'FOOD'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '05 - TRAVEL AGENTS / TRANSPORTATION' THEN 'TRAVEL'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '13 - FURNITURE AND DECORATION' THEN 'FURNITURE'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '22 - EDUCATION / STATIONERY / OFFICE MATERIALS' THEN 'EDUCATION & OFFICE'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '18 - BUILDING MATERIALS' THEN 'BUILDING MATERIAL'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '04 - AIRPORTS' THEN 'AIRPORTS'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '02 - CAR RENTAL-SALES / SERVICE / SPARE PARTS' THEN 'CAR SERVICE & PARTS'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '19 - DIRECT MARKETING' THEN 'DIRECT MARKETING'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '08 - JEWELERY' THEN 'JEWELERY'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '21 - CLUB / ASSOCIATION / SOCIAL SERVICES' THEN 'CLUB & SOCIAL'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '06 - ACCOMMODATION' THEN 'ACCOMODATION'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '20 - VARIOUS FOOD' THEN 'VARIOUS FOODS'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '23 - CONSTRUCTION WORKS' THEN 'CONSTRUCTION WORKS'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '01 - CAR RENTAL' THEN 'CAR RENTAL'
					WHEN  MERCH_CAT.MERCHANT_CATEGORY = '07 - GAMBLING / INTERIOR PLACES' THEN 'GAMBLING'
					ELSE 'NO MERCHANT'
				END AS MERCH_CATG
				,CUST_DT.STMT_DT
				,SUM(MST.TRX_CNT) AS FREQ
				,SUM(MST.TRX_AMT_TL) AS AMT
			FROM 
				(
					SELECT 
						CUST_ID
						,CARD_ID
						,TRX_DATE
						,MERCHANT_ID
						,ECOMMERCE_FLG
						,CASE 
							WHEN CURRENCY = '949'
								THEN 1
							ELSE 0
							END AS LOCAL_CURR
						,TRX_CNT
						,TRX_AMT_TL
						,TRX_AMT_FX
						FROM	RISK.MERCHANT_SEGMENT_TABLE
						--WHERE	TRX_DATE BETWEEN '2017-01-01' AND '2017-12-31'
							--AND CARD_ID IN ('4024580001330609','4024580001366613')
				)AS MST
			LEFT JOIN
			 ( 
				SELECT CAST(TMC.MERCHANTCATEGORY AS NUMERIC) AS MERCHANT_ID,TMC.BKM_MCC, EMC.BKM_MCC_ENG AS MERCHANT_CATEGORY FROM
				RISK.REF_MERCHANTCAT TMC
				INNER JOIN RISK.REF_MERCHANTID_ENG AS EMC
					ON TMC.BKM_MCC = EMC.BKM_MCC
				GROUP BY 1,2,3
			)MERCH_CAT
				ON CAST(MST.MERCHANT_ID AS NUMERIC) = MERCH_CAT.MERCHANT_ID
			INNER JOIN	RISK.CUST_DT_DUMMY CUST_DT
				ON MST.CUST_ID = CUST_DT.CUST_ID
				AND MST.CARD_ID = CUST_DT.CARD_ID
			GROUP BY 1,2,3,4,5,6,7,8
		)MC_TRANS
		GROUP BY 1,2,3
	)RES
);

ANALYZE RISK.BLM_Merch_Segment_VAR;