SELECT 
	CUST_ID
	,SUM(
			CASE WHEN DUE_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN 	COLL_PRINCIPAL_AMT + COLL_AMT_OF_INT + COLL_DEF_INT_AMT
				ELSE 0
			END
		) AS _1M_PMT_F_LNS
		
	,SUM(
			CASE WHEN DUE_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN 	PRINCIPAL_AMT + AMT_OF_INT
				ELSE 0
			END
		)	_1M_PMT_DUE_F_LNS
			
	,SUM(
			CASE WHEN DUE_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN 	 CAST(TRX_DATE AS DATE) -  CAST(DUE_DATE AS DATE)
				ELSE 0
			END
		)_1M_DPD_DT_SUM_F_LNS
	,MIN(
			CASE WHEN DUE_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN 	CAST(TRX_DATE AS DATE) -  CAST(DUE_DATE AS DATE)
				ELSE 0
			END
		)_1M_DPD_DT_MIN_F_LNS

	,MAX(
			CASE WHEN DUE_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN 	CAST(TRX_DATE AS DATE) -  CAST(DUE_DATE AS DATE)
				ELSE 0
			END
		)_1M_DPD_DT_MAX_F_LNS	
	,AVG(
		CASE WHEN DUE_DATE 
				BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
				THEN 	CAST(TRX_DATE AS DATE) -  CAST(DUE_DATE AS DATE)
			ELSE 0
		END
	) _1M_DPD_DT_AVG_F_LNS	

FROM
(
	SELECT 
	PTC.CUST_ID
	,PTC.BANK_PRODUCT_TYPE_ID
	,PTC.CREDIT_NO
	,PTC.PAYMENT_NO
	,PTC.PAYMENT_TYPE
	,PTC.PAYMENT_STATUS
	,PTC.DUE_DATE
	,PTC.TRX_DATE
	,PTC.CREDIT_STATUS
	,PTC.TOTAL_REMAINING_INSTALLMENT
	,PTC.EARLY_PAID_INSTALLMENT
	,PTC.TOTAL_DEFAULT_PAYMENT
	,PTC.PRINCIPAL_AMT
	,PTC.AMT_OF_INT
	,PTC.COLL_PRINCIPAL_AMT
	,PTC.COLL_AMT_OF_INT
	,PTC.COLL_DEF_INT_AMT
	,PG.PRODUCT_GROUP
	,PG.PRODUCT_GROUP_2
	,CUST_DT.STMT_DT
	FROM	RISK.PRODUCT_TARGET_CREDIT PTC
	INNER JOIN 
	(
		SELECT 
			LEVEL0 AS PROD_ID
			,"label" AS PROD_NAME
			,PRODUCT_GROUP
			,PRODUCT_GROUP_2
		FROM	
		RISK.REF_BANKAURUNID_GRP2 
	)PG
		ON PTC.BANK_PRODUCT_TYPE_ID = PG.PROD_ID
	INNER JOIN	
	(
		SELECT
			CUST_ID
			,MAX(STMT_DT) AS STMT_DT
		FROM
		RISK.CUST_DT_DUMMY
		GROUP BY 1
	)CUST_DT
		ON PTC.CUST_ID =CUST_DT.CUST_ID
	WHERE PTC.TRX_DATE BETWEEN '2017-01-01' AND '2017-12-31'
	AND PTC.PAYMENT_STATUS IN ('Paid')

)RES
GROUP BY 1;