SELECT
	CUST_ID
	,SEX
	,DOB
	,CUST_ACQ_DT
	,CUST_TYPE
	,INCOME
	,CURR_LIMIT
	,CASE
		WHEN EMP_CAT = 'Nonworker' THEN 1
		WHEN EMP_CAT = 'Housewife' THEN 1
		WHEN EMP_CAT = 'Retired' THEN 1
		WHEN EMP_CAT = 'Student' THEN 1
		WHEN EMP_CAT = 'Public Sector Employee' THEN 2
		WHEN EMP_CAT = 'Side Income Earner' THEN 2
		WHEN EMP_CAT = 'Independent Emp Producer' THEN 3
		WHEN EMP_CAT = 'Independent Emp Retail' THEN 2
		WHEN EMP_CAT = 'Independent Emp Service' THEN 2
		WHEN EMP_CAT = 'Private Sector Employee' THEN 2
		WHEN EMP_CAT = 'Agriculture' THEN 1
	END AS EMP_CATG
	,CASE
		WHEN OCCUP = 'Cook / Waiter' THEN 1
		WHEN OCCUP = 'Driver' THEN 1
		WHEN OCCUP = 'Farmer / Fisherman / Forrester / Stock Farmer' THEN 1
		WHEN OCCUP = 'Fire Department' THEN 1
		WHEN OCCUP = 'Housewife' THEN 1
		WHEN OCCUP = 'Janitor/Servant' THEN 1
		WHEN OCCUP = 'Journalist / Reporter / Cameraman' THEN 1
		WHEN OCCUP = 'Not working' THEN 1
		WHEN OCCUP = 'Nurse' THEN 1
		WHEN OCCUP = 'Other Profession' THEN 1
		WHEN OCCUP = 'Painter / Plumber / Mechanic' THEN 1
		WHEN OCCUP = 'Retired' THEN 1
		WHEN OCCUP = 'Secretary' THEN 1
		WHEN OCCUP = 'Security' THEN 1
		WHEN OCCUP = 'Teacher / Instructor' THEN 1
		WHEN OCCUP = 'Unknown' THEN 1
		WHEN OCCUP = 'Worker' THEN 1
		WHEN OCCUP = 'Accountant' THEN 2
		WHEN OCCUP = 'Advertiser / Designer' THEN 2
		WHEN OCCUP = 'Athlete / Trainer / Referee' THEN 2
		WHEN OCCUP = 'Banker / Financer / Economist' THEN 2
		WHEN OCCUP = 'Barber / Couffeur / Beautician' THEN 2
		WHEN OCCUP = 'Engineer' THEN 2
		WHEN OCCUP = 'Furnisher' THEN 2
		WHEN OCCUP = 'Guide / Tour Operator' THEN 2
		WHEN OCCUP = 'Police(wo)man' THEN 2
		WHEN OCCUP = 'Programmer / Analist' THEN 2
		WHEN OCCUP = 'Public Notary' THEN 2
		WHEN OCCUP = 'Public Relations' THEN 2
		WHEN OCCUP = 'Public sector paid' THEN 2
		WHEN OCCUP = 'Real Estate Agent / Car Dealer' THEN 2
		WHEN OCCUP = 'Sales - Marketing Representative' THEN 2
		WHEN OCCUP = 'Soldier (obligatory service excluded)' THEN 2
		WHEN OCCUP = 'Tradesman / Merchant' THEN 2
		WHEN OCCUP = 'Tutor / Academician' THEN 2
		WHEN OCCUP = 'Architect / Interior Designer' THEN 3
		WHEN OCCUP = 'Artist / Author' THEN 3
		WHEN OCCUP = 'Consultant / Counsellor' THEN 3
		WHEN OCCUP = 'Contractor' THEN 3
		WHEN OCCUP = 'Dentist' THEN 3
		WHEN OCCUP = 'Diplomat / Bureaucrat / Consul' THEN 3
		WHEN OCCUP = 'Distributor / Supplier' THEN 3
		WHEN OCCUP = 'Doctor' THEN 3
		WHEN OCCUP = 'Financial Advisor' THEN 3
		WHEN OCCUP = 'Flight Attendant' THEN 3
		WHEN OCCUP = 'Insurance Broker' THEN 3
		WHEN OCCUP = 'Investment Expert / Broker / Dealer' THEN 3
		WHEN OCCUP = 'Jeweller / Money Changer' THEN 3
		WHEN OCCUP = 'Judge / Prosecutor' THEN 3
		WHEN OCCUP = 'Lawyer' THEN 3
		WHEN OCCUP = 'Manager / Productor / Organizer' THEN 3
		WHEN OCCUP = 'Pharmacist' THEN 3
		WHEN OCCUP = 'Pilot / Captain (Marines)' THEN 3
		WHEN OCCUP = 'Psychologist' THEN 3
		WHEN OCCUP = 'Veterinerian' THEN 3
		END AS OCCUP_CATG
FROM
				
(
	SELECT 
		CUST_ID
		,SEX
		,EDU_KEY AS EDU
		,OCC.OCCUPATION_REF_ENG AS OCCUP
		,EMP.EMPLOYMENT_REF_ENG AS EMP_CAT
		,DOB
		,CUST_ACQ_DT
		,CASE 
			WHEN TRIM(CUST_TYPE_KEY_P) = '4'
				THEN 'RETAIL'
			WHEN TRIM(CUST_TYPE_KEY_P) = '8'
				THEN 'AFFLUENT'
		END CUST_TYPE
		,INC AS INCOME
		,CURR_LIMIT
	FROM (SELECT * FROM RISK.CUST_INFO)CI
	LEFT JOIN RISK.REF_OCCUPATION OCC
		ON TRIM(CI.OCC_KEY)  = TRIM(CAST(OCC.OCCUPATION_CODE AS VARCHAR(3)))
	LEFT JOIN RISK.REF_EMPLOYMENT EMP
		ON TRIM(CI.EMP_KEY) =   TRIM(CAST(EMP.EMPLOYMENT_CODE AS VARCHAR(3)))
	WHERE TRIM(CUST_TYPE_KEY_P)  IN ('4','8')
	
)CINFO
;
