SELECT
	CUST_ID

/*******1 MONTH VARIABLES TRANSFER AMOUNT*****************/
	,SUM(	
			CASE 
				WHEN  TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _1M_TRF_AMT_
	
	,SUM(	
			CASE 
				WHEN DIRECTION = 'INCOMING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _1M_TRF_AMT_INC

	,SUM(	
			CASE 
				WHEN DIRECTION = 'OUTGOING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _1M_TRF_AMT_OTG
		
		,SUM(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTER-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _1M_TRF_AMT_INTER_BNK

		,SUM(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTRA-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _1M_TRF_AMT_INTRA_BNK
		
		,SUM(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTERNATIONAL' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _1M_TRF_AMT_INTL_BNK

		,SUM(	
			CASE 
				WHEN TRANSFER_SOURCE = 'ASSET ACCOUNT' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _1M_TRF_AMT_AST_ACCNT	
		
		,SUM(	
			CASE 
				WHEN TRANSFER_SOURCE = 'CREDIT CARD' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _1M_TRF_AMT_CC	

     /*******1 MONTH VARIABLES TRANSFER FREQUENCY*****************/
		
	,COUNT(	
			CASE 
				WHEN  TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _1M_TRF_FRQ_
	
	,COUNT(	
			CASE 
				WHEN DIRECTION = 'INCOMING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _1M_TRF_FRQ_INC

	,COUNT(	
			CASE 
				WHEN DIRECTION = 'OUTGOING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _1M_TRF_FRQ_OTG
		
		,COUNT(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTER-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _1M_TRF_FRQ_INTER_BNK

		,COUNT(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTRA-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _1M_TRF_FRQ_INTRA_BNK
		
		,COUNT(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTERNATIONAL' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _1M_TRF_FRQ_INTL_BNK

		,COUNT(	
			CASE 
				WHEN TRANSFER_SOURCE = 'ASSET ACCOUNT' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _1M_TRF_FRQ_AST_ACCNT	
		
		,COUNT(	
			CASE 
				WHEN TRANSFER_SOURCE = 'CREDIT CARD' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '30' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _1M_TRF_FRQ_CC			

/*******6 MONTH VARIABLES TRANSFER AMOUNT*****************/
	,SUM(	
			CASE 
				WHEN  TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _6M_TRF_AMT_
	
	,SUM(	
			CASE 
				WHEN DIRECTION = 'INCOMING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _6M_TRF_AMT_INC

	,SUM(	
			CASE 
				WHEN DIRECTION = 'OUTGOING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _6M_TRF_AMT_OTG
		
		,SUM(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTER-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _6M_TRF_AMT_INTER_BNK

		,SUM(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTRA-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _6M_TRF_AMT_INTRA_BNK
		
		,SUM(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTERNATIONAL' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _6M_TRF_AMT_INTL_BNK

		,SUM(	
			CASE 
				WHEN TRANSFER_SOURCE = 'ASSET ACCOUNT' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _6M_TRF_AMT_AST_ACCNT	
		
		,SUM(	
			CASE 
				WHEN TRANSFER_SOURCE = 'CREDIT CARD' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _6M_TRF_AMT_CC	

     /*******6 MONTH VARIABLES TRANSFER FREQUENCY*****************/
		
	,COUNT(	
			CASE 
				WHEN  TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _6M_TRF_FRQ_
	
	,COUNT(	
			CASE 
				WHEN DIRECTION = 'INCOMING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _6M_TRF_FRQ_INC

	,COUNT(	
			CASE 
				WHEN DIRECTION = 'OUTGOING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _6M_TRF_FRQ_OTG
		
		,COUNT(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTER-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _6M_TRF_FRQ_INTER_BNK

		,COUNT(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTRA-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _6M_TRF_FRQ_INTRA_BNK
		
		,COUNT(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTERNATIONAL' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _6M_TRF_FRQ_INTL_BNK

		,COUNT(	
			CASE 
				WHEN TRANSFER_SOURCE = 'ASSET ACCOUNT' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _6M_TRF_FRQ_AST_ACCNT	
		
		,COUNT(	
			CASE 
				WHEN TRANSFER_SOURCE = 'CREDIT CARD' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '180' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _6M_TRF_FRQ_CC
		

    /*******  12 MONTH VARIABLES TRANSFER AMOUNT*****************/
	,SUM(	
			CASE 
				WHEN  TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _12M_TRF_AMT_
	
	,SUM(	
			CASE 
				WHEN DIRECTION = 'INCOMING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _12M_TRF_AMT_INC

	,SUM(	
			CASE 
				WHEN DIRECTION = 'OUTGOING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _12M_TRF_AMT_OTG
		
		,SUM(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTER-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _12M_TRF_AMT_INTER_BNK

		,SUM(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTRA-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _12M_TRF_AMT_INTRA_BNK
		
		,SUM(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTERNATIONAL' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _12M_TRF_AMT_INTL_BNK

		,SUM(	
			CASE 
				WHEN TRANSFER_SOURCE = 'ASSET ACCOUNT' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _12M_TRF_AMT_AST_ACCNT	
		
		,SUM(	
			CASE 
				WHEN TRANSFER_SOURCE = 'CREDIT CARD' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_AMT
				ELSE 0
			END
		) _12M_TRF_AMT_CC	

     /*******12 MONTH VARIABLES TRANSFER FREQUENCY*****************/
		
	,COUNT(	
			CASE 
				WHEN  TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _12M_TRF_FRQ_
	
	,COUNT(	
			CASE 
				WHEN DIRECTION = 'INCOMING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _12M_TRF_FRQ_INC

	,COUNT(	
			CASE 
				WHEN DIRECTION = 'OUTGOING' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _12M_TRF_FRQ_OTG
		
		,COUNT(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTER-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _12M_TRF_FRQ_INTER_BNK

		,COUNT(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTRA-BANK' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _12M_TRF_FRQ_INTRA_BNK
		
		,COUNT(	
			CASE 
				WHEN TRANSFER_TYPE = 'INTERNATIONAL' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _12M_TRF_FRQ_INTL_BNK

		,COUNT(	
			CASE 
				WHEN TRANSFER_SOURCE = 'ASSET ACCOUNT' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _12M_TRF_FRQ_AST_ACCNT	
		
		,COUNT(	
			CASE 
				WHEN TRANSFER_SOURCE = 'CREDIT CARD' AND TRN_DATE 
					BETWEEN STMT_DT - INTEGER '360' AND STMT_DT
					THEN TRN_DATE
				ELSE NULL
			END
		) _12M_TRF_FRQ_CC	
		
FROM
(
	SELECT 
		MT.CUST_ID
		,CASE 
			WHEN MT.TYPE_OF_TRANSFER IN ('incoming_eft','incoming_havale','incoming_swift') 
				THEN 'INCOMING'
			WHEN MT.TYPE_OF_TRANSFER IN ('outgoing_eft','outgoing_havale','outgoing_swift')
				THEN 'OUTGOING'
		END	AS DIRECTION
		,CASE 
			WHEN MT.TYPE_OF_TRANSFER IN ('incoming_eft','outgoing_eft') 
				THEN 'INTER-BANK'
			WHEN MT.TYPE_OF_TRANSFER IN ('outgoing_havale', 'incoming_havale') 
				THEN 'INTRA-BANK'
			WHEN MT.TYPE_OF_TRANSFER IN ('incoming_swift','outgoing_swift')
				THEN 'INTERNATIONAL'
		END	AS TRANSFER_TYPE
		,CASE
			WHEN MT.TRN_PRD = 'acc_trn' 
				THEN 'ASSET ACCOUNT'
			ELSE 'CREDIT CARD'
		END AS TRANSFER_SOURCE
		,DT.STMT_DT
		,MT.TRN_DATE
		,MT.TRN_AMT	
	FROM RISK.MONEY_TRANSFER MT 
	INNER JOIN 
		(
			SELECT 
				CUST_ID
				,MAX(STMT_DT) AS STMT_DT
			FROM RISK.CUST_DT_DUMMY
			GROUP BY 1
		)DT
		ON MT.CUST_ID = DT.CUST_ID
	WHERE MT.CUST_ID IN ('311249','2774361')
)RES
GROUP BY 1
;