--employer employee yeni kod created by gizem.

DROP TABLE IF EXISTS risk.emp_date_interval_sep17; 
CREATE	TABLE risk.emp_date_interval_sep17()
DISTRIBUTE	BY HASH(calisan_cmusno)
COMPRESS LOW
AS (
	select
		calisan_cmusno, 
		firma_cmusno,
		sum(tut_tl) sum_tut_tl,
		odm_tar_mon
	from
		(
		select 
			calisan_cmusno, 
			firma_cmusno,
			tut_tl, 
			cast(date_trunc('month', cast(odm_tar as DATE)) as date) as odm_tar_mon
		from dw_out.dwf_maas_kesit	
		where odm_tar>= '2017-06-01' 
			and odm_tar <= '2017-08-31' --for sep17 period, salaries taken from 3 months before statement date sep17
			and calisan_cmusno in (select distinct cmusno from staging.pov_dwd_kon_musteri where ref_mus_dosya in ('K', ''))
		) a
	group by calisan_cmusno, firma_cmusno, odm_tar_mon);
	
GRANT ALL ON risk.emp_date_interval_sep17 to public;


DROP	TABLE IF EXISTS risk.employer_employee_sep17;
CREATE	TABLE risk.employer_employee_sep17()
DISTRIBUTE	BY HASH(CUST_ID)
COMPRESS LOW
as(
select
	calisan_cmusno as cust_id,
	firma_cmusno as employer_id,
	extract(year from odm_tar_mon)||'-'||extract(month from odm_tar_mon) as yearmonth,
	salary_amt,
	case when salary_amt<2500 then 1
		when 2500<=salary_amt and salary_amt<5000 then 2
		when 5000<=salary_amt and salary_amt<7500 then 3
		when 7500<=salary_amt and salary_amt<10000 then 4
		when 10000<=salary_amt then 5
	end as tax_info /*salaries divided into brackets of 2500 tl. It is flagged with Minimum bracket as 1 maximum bracket as 5.*/
from
(
select 
	calisan_cmusno,
	firma_cmusno, 
	round(avg(sum_tut_tl),2) as salary_amt, 
	odm_tar_mon 
from 
	(
	select
		calisan_cmusno , 
		firma_cmusno ,
		sum_tut_tl,
		odm_tar_mon
	from risk.emp_date_interval_sep17
	)a
group by a.calisan_cmusno,a.firma_cmusno, odm_tar_mon
) x
);
		
GRANT ALL ON risk.employer_employee_sep17 to public;
ANALYZE risk.employer_employee_sep17;


