
DROP TABLE IF EXISTS "risk"."blm_model_table_train2";
CREATE FACT TABLE "risk"."blm_model_table_train2"() DISTRIBUTE BY HASH("cust_id") COMPRESS LOW AS (
SELECT
blm_customer_base_train.CUST_iD||blm_customer_base_train.CARD_iD||blm_customer_base_train.STMT_DT as JOINKEY
,blm_bureau_vars.*
FROM
"risk"."blm_customer_base_train"
INNER JOIN
"risk"."blm_bureau_vars"
ON
blm_customer_base_train.CUST_ID = blm_bureau_vars.CUST_ID
AND
blm_customer_base_train.CARD_ID = blm_bureau_vars.CARD_ID
AND 
blm_customer_base_train.STMT_DT = blm_bureau_vars.STMT_DT 
);

GRANT ALL ON RISK.blm_model_table_train2 TO PUBLIC;
ANALYZE RISK.blm_model_table_train2;


--/********************  Test ADS ********************/

DROP TABLE IF EXISTS "risk"."blm_model_table_test2";
CREATE FACT TABLE "risk"."blm_model_table_test2"() DISTRIBUTE BY HASH("cust_id") COMPRESS LOW AS (
SELECT
blm_customer_base_test.CUST_iD||blm_customer_base_test.CARD_iD||blm_customer_base_test.STMT_DT as JOINKEY
,blm_bureau_vars.*
FROM
"risk"."blm_customer_base_test"
INNER JOIN
"risk"."blm_bureau_vars"
ON
blm_customer_base_test.CUST_ID = blm_bureau_vars.CUST_ID
AND
blm_customer_base_test.CARD_ID = blm_bureau_vars.CARD_ID
AND 
blm_customer_base_test.STMT_DT = blm_bureau_vars.STMT_DT 
);

GRANT ALL ON RISK.blm_model_table_test2 TO PUBLIC;
ANALYZE RISK.blm_model_table_test2;

--/******************** train 0 ********************/
--Using only Bu variables before corr test 

DROP TABLE IF EXISTS risk.blm_collectıons_model_0_temp; -- Selected columns
select * from Forest_drive
(
ON (SELECT 1)
PARTITION BY 1
InputTable('risk.blm_model_table_train2')
OutputTable('risk.blm_collectıons_model_0_temp')
NumericInputs('rsk_043_tot_npl_recover_amt','rsk_045_cc_delinquent_days','sas_1_bs_lim_management_cc','score_1_1_bs_cc_lim_management_date','score_1_3_bs_cc_lim_management','sta_001_tot_amt_statement_l1m','sta_002_tot_amt_statement_l3m','sta_003_tot_amt_statement_l6m','sta_005_1_avg_amt_statement_l3m','sta_005_2_avg_amt_statement_l3m','sta_005_avg_amt_statement_l3m','sta_006_1_avg_amt_statement_l6m','sta_006_2_avg_amt_statement_l6m','sta_006_avg_amt_statement_l6m','sta_008_tot_amt_cash_adv_statement_l1m','sta_009_tot_amt_cash_adv_statement_l3m','sta_010_tot_amt_cash_adv_statement_l6m','sta_012_1_avg_amt_cash_adv_statement_l3m','sta_012_2_avg_amt_cash_adv_statement_l3m','sta_012_avg_amt_cash_adv_statement_l3m','sta_013_1_avg_amt_cash_adv_statement_l6m','sta_013_2_avg_amt_cash_adv_statement_l6m','sta_013_avg_amt_cash_adv_statement_l6m','sta_036_tot_revolved_amt_l1m','sta_037_tot_revolved_amt_l3m','sta_038_tot_revolved_amt_l6m','sta_040_1_avg_revolved_amt_l3m','sta_040_2_avg_revolved_amt_l3m','sta_040_avg_revolved_amt_l3m','sta_041_1_avg_revolved_amt_l6m','sta_041_2_avg_revolved_amt_l6m','sta_041_avg_revolved_amt_l6m','sta_045_cnt_days_cc_over_lim','sta_046_cnt_days_cc_over_lim_l3m','sta_047_cnt_days_cc_over_lim_l6m','uti_002_avg_cc_lim_util_l6m','uti_003_avg_cc_lim_util_l3m','uti_004_avg_cc_lim_util_l1m','uti_006_avg_cash_adv_lim_util_l6m','uti_007_avg_cash_adv_lim_util_l3m','uti_008_avg_cash_adv_lim_util_l1m','uti_010_avg_ovd_lim_util_l6m','uti_011_avg_ovd_lim_util_l3m','uti_012_ovd_lim_util_l1m','uti_017_avg_ovd_util_l3m','uti_018_avg_ovd_util_l6m','aut_050_1_avg_cc_trx_l3m_nf','aut_058_1_avg_amt_cc_trx_l3m_nf','aut_065_1_avg_cnt_c_adv_trx_l3m_nf','aut_065_avg_cnt_c_adv_trx_l3m_nf','aut_066_1_avg_cnt_c_adv_trx_l6m_nf','aut_066_avg_cnt_c_adv_trx_l6m_nf','aut_068_cnt_c_adv_trx_l1m_nf','aut_069_cnt_c_adv_trx_l3m_nf','aut_070_cnt_c_adv_trx_l6m_nf','aut_072_avg_amt_c_adv_trx_l1m_nf','aut_073_1_avg_amt_c_adv_trx_l3m_nf','aut_073_avg_amt_c_adv_trx_l3m_nf','aut_074_1_avg_amt_c_adv_trx_l6m_nf','aut_074_avg_amt_c_adv_trx_l6m_nf','aut_076_amt_c_adv_trx_l1m_nf','aut_077_amt_c_adv_trx_l3m_nf','kkb_last_inq_date','aut_050_1_avg_cc_trx_l3m','aut_050_avg_cc_trx_l3m','aut_051_1_avg_cc_trx_l6m','aut_051_avg_cc_trx_l6m','aut_053_cnt_cc_trx_l1m','aut_054_cnt_cc_trx_l3m','aut_055_cnt_cc_trx_l6m','aut_057_avg_amt_cc_trx_l1m','aut_058_1_avg_amt_cc_trx_l3m','aut_058_2_avg_amt_cc_trx_l3m','aut_058_avg_amt_cc_trx_l3m','aut_059_1_avg_amt_cc_trx_l6m','aut_059_2_avg_amt_cc_trx_l6m','aut_059_avg_amt_cc_trx_l6m','aut_061_tot_amt_cc_trx_l1m','aut_062_tot_amt_cc_trx_l3m','aut_063_tot_amt_cc_trx_l6m','aut_065_1_avg_cnt_c_adv_trx_l3m','aut_065_avg_cnt_c_adv_trx_l3m','aut_066_1_avg_cnt_c_adv_trx_l6m','aut_066_avg_cnt_c_adv_trx_l6m','aut_068_cnt_c_adv_trx_l1m','aut_069_cnt_c_adv_trx_l3m','aut_070_cnt_c_adv_trx_l6m','aut_072_avg_amt_c_adv_trx_l1m','aut_073_1_avg_amt_c_adv_trx_l3m','aut_073_2_avg_amt_c_adv_trx_l3m','aut_073_avg_amt_c_adv_trx_l3m','aut_074_1_avg_amt_c_adv_trx_l6m','aut_074_2_avg_amt_c_adv_trx_l6m','aut_074_avg_amt_c_adv_trx_l6m','aut_076_amt_c_adv_trx_l1m','aut_077_amt_c_adv_trx_l3m','aut_078_amt_c_adv_trx_l6m','aut_110_1_avg_cnt_ovd_trx_l3m','aut_110_avg_cnt_ovd_trx_l3m','aut_111_1_avg_cnt_ovd_trx_l6m','aut_111_avg_cnt_ovd_trx_l6m','aut_113_cnt_ovd_trx_l1m','aut_114_cnt_ovd_trx_l3m','aut_115_cnt_ovd_trx_l6m','aut_117_avg_amt_ovd_trx_l1m','aut_118_1_avg_amt_ovd_trx_l3m','aut_118_2_avg_amt_ovd_trx_l3m','aut_118_avg_amt_ovd_trx_l3m','aut_119_1_avg_amt_ovd_trx_l6m','aut_119_2_avg_amt_ovd_trx_l6m','aut_119_avg_amt_ovd_trx_l6m','aut_121_tot_amt_ovd_trx_l1m','aut_122__tot_amt_ovd_trx_l3m','aut_123__tot_amt_ovd_trx_l6m','cus_009_tot_instal_amt_pers_loan','cus_014_1_avg_instal_pers_loan_l3m','cus_014_2_avg_instal_pers_loan_l3m','cus_014_avg_instal_pers_loan_l3m','cus_019_1_avg_instal_pers_loan_l6m','cus_019_2_avg_instal_pers_loan_l6m','cus_019_avg_instal_pers_loan_l6m','cus_069_credit_hunger','cus_104_min_litigation_date','kkb_001_1_avg_cc_limit_in_kkb','kkb_001_tot_cc_limit_kkb','kkb_003_tot_ovd_limit_kkb','kkb_031_tot_outstand_credits_kkb','kkb_032_tot_outsand_cc_kkb','kkb_038_tot_outstand_ovd_kkb','kkb_040_tot_outstand_pers_loan_kkb','kkb_044_tot_outstand_mortgage_kkb','kkb_051_tot_outstand_delinquent_ratio','kkb_073_tot_cc_kkb','kkb_081_tot_ovd_kkb','kkb_145_cnt_1_mon_delay_kkb_l3m','kkb_146_cnt_1_mon_delay_kkb_l6m','kkb_148_cnt_2_mon_delay_kkb_l3m','kkb_149_cnt_2_mon_delay_kkb_l6m','kkb_151_cnt_min_3_mon_delay_kkb_l3m','kkb_152_cnt_min_3_mon_delay_kkb_l3m','kkb_166_tot_deliquency_kkb_l3m','kkb_167_tot_deliquency_kkb_l6m','kkb_180_tot_mon_instal_amt_pers_loan_kkb','kkb_182_tot_mon_instal_amt_mortgage_kkb','kkb_215_cnt_litigated_prod_kkb_ever','kkb_220_tot_pay_all_prod_kkb_l1m','kkb_227_tot_pay_cc_kkb_l1m','kkb_235_tot_pay_ovd_kkb_l1m','kkb_254_tot_outstand_amt_deliquent_prod_kkb_ratio','kkb_256_kkb_score','kkb_257_time_since_cc_open_date','lim_01_cc_limit','lim_02_c_adv_limit','lim_03_ovd_limit','lim_22_cc_last_lim_increase_date','lim_22_1_last_lim_decrease_date','out_01_tot_outstand_credits','out_02_1_avg_mon_outstand_cc','out_02_outstand_cc','out_03_outstand_c_adv','out_08_outstand_ovd','out_10_outstand_pers_loan','out_24_avg_outstand_cc_l6m','out_25_outstand_ovd_l6m','out_26_avg_outstand_cc_l3m','out_27_outstand_ovd_l3m','pay_001_tot_pay_all_prod_l1m','pay_002_tot_pay_all_prod_l3m','pay_003_tot_pay_all_prod_l6m','pay_005_1_avg_pay_all_prod_l3m','pay_005_2_avg_pay_all_prod_l3m','pay_005_avg_pay_all_prod_l3m','pay_006_1_avg_pay_all_prod_l6m','pay_006_2_avg_pay_all_prod_l6m','pay_006_avg_pay_all_prod_l6m','pay_008_tot_pay_cc_l1m','pay_009_tot_pay_cc_l3m','pay_010_tot_pay_cc_l6m','pay_012_1_avg_pay_cc_l3m','pay_012_2_avg_pay_cc_l3m','pay_012_3_tot_pay_cc_l3m','pay_012_4_cnt_mon_pay_cc_l3m','pay_012_avg_pay_cc_l3m','pay_013_1_avg_pay_cc_l6m','pay_013_2_avg_pay_cc_l6m','pay_013_3_tot_pay_cc_l6m','pay_013_4_cnt_mon_pay_cc_l6m','pay_013_avg_pay_cc_l6m','pay_016_tot_pay_ovd_l1m','pay_018_tot_pay_ovd_l3m','pay_020_tot_pay_ovd_l6m','pay_024_1_avg_pay_ovd_l3m','pay_024_2_avg_pay_ovd_l3m','pay_024_3_tot_pay_ovd_l3m','pay_024_4_cnt_mon_pay_ovd_l3m','pay_024_avg_pay_ovd_l3m','pay_026_1_avg_pay_ovd_l6m','pay_026_2_avg_pay_ovd_l6m','pay_026_3_tot_pay_ovd_l6m','pay_026_4_cnt_mon_pay_ovd_l6m','pay_026_avg_pay_ovd_l6m','pay_035_tot_pay_ret_loan','pay_036_tot_pay_ret_loan_l3m','pay_037_tot_pay_ret_loan_l6m','pay_038_1_avg_pay_ret_loan_l3m','pay_038_2_avg_pay_ret_loan_l3m','pay_038_3_tot_pay_ret_loan_l3m','pay_038_4_cnt_mon_pay_ret_loan_l3m','pay_038_avg_pay_ret_loan_l3m','pay_039_1_avg_pay_ret_loan_l6m','pay_039_2_avg_pay_ret_loan_l6m','pay_039_3_tot_pay_ret_loan_l6m','pay_039_4_cnt_mon_pay_ret_loan_l6m','pay_039_avg_pay_ret_loan_l6m','pay_040_cc_pay_ratio_l3m','pay_041_cc_avg_pay_ratio_l3m','pay_042_cc_avg_pay_ratio_l6m','rsk_008_cnt_1_mon_delay_l3m','rsk_009_cnt_1_mon_delay_l6m','rsk_012_cnt_2_mon_delay_l6m','rsk_015_cnt_min_3_mon_delay_l6m','rsk_017_tot_1_mon_delay_l3m','rsk_018_tot_1_mon_delay_l6m','rsk_021_tot_2_mon_delay_l6m','rsk_029_tot_deliquency_l3m','rsk_030_tot_deliquency_l6m','aut_078_amt_c_adv_trx_l6m_nf','aut_110_1_avg_cnt_ovd_trx_l3m_nf','aut_110_avg_cnt_ovd_trx_l3m_nf','aut_111_1_avg_cnt_ovd_trx_l6m_nf','aut_111_avg_cnt_ovd_trx_l6m_nf','aut_113_cnt_ovd_trx_l1m_nf','aut_114_cnt_ovd_trx_l3m_nf','aut_115_cnt_ovd_trx_l6m_nf','aut_117_avg_amt_ovd_trx_l1m_nf','aut_118_1_avg_amt_ovd_trx_l3m_nf','aut_118_2_avg_amt_ovd_trx_l3m_nf','aut_118_avg_amt_ovd_trx_l3m_nf','aut_119_1_avg_amt_ovd_trx_l6m_nf','aut_119_2_avg_amt_ovd_trx_l6m_nf','aut_119_avg_amt_ovd_trx_l6m_nf','aut_121_tot_amt_ovd_trx_l1m_nf','aut_122__tot_amt_ovd_trx_l3m_nf','aut_123__tot_amt_ovd_trx_l6m_nf','cus_009_tot_instal_amt_pers_loan_nf','cus_010_tot_instal_amt_car_loan_nf','cus_011_tot_instal_amt_mortgage_nf','cus_012_tot_instal_amt_ret_loan_nf','cus_014_1_avg_instal_pers_loan_l3m_nf','cus_014_2_avg_instal_pers_loan_l3m_nf','cus_014_avg_instal_pers_loan_l3m_nf','cus_015_1_avg_instal_car_loan_l3m_nf','cus_015_2_avg_instal_car_loan_l3m_nf','cus_015_avg_instal_car_loan_l3m_nf','cus_016_1_avg_instal_mortgage_l3m_nf','cus_016_2_avg_instal_mortgage_l3m_nf','cus_016_avg_instal_mortgage_l3m_nf','cus_017_1_avg_instal_ret_loan_l3m_nf','cus_017_2_avg_instal_ret_loan_l3m_nf','cus_017_avg_instal_ret_loan_l3m_nf','cus_019_1_avg_instal_pers_loan_l6m_nf','cus_019_2_avg_instal_pers_loan_l6m_nf','cus_019_avg_instal_pers_loan_l6m_nf','cus_020_1_avg_instal_car_loan_l6m_nf','cus_020_2_avg_instal_car_loan_l6m_nf','cus_020_avg_instal_car_loan_l6m_nf','cus_021_1_avg_instal_mortgage_l6m_nf','cus_021_2_avg_instal_mortgage_l6m_nf','cus_021_avg_instal_mortgage_l6m_nf','cus_022_1_avg_instal_other_loan_l6m_nf','cus_022_2_avg_instal_other_loan_l6m_nf','cus_022_avg_instal_other_loan_l6m_nf','cus_034_canceled_card_reason_code_nf','cus_069_credit_hunger_nf','cus_099_cnt_litigated_prod_ever_had_nf','cus_104_min_litigation_date_nf','kkb_001_1_avg_cc_limit_in_kkb_nf','kkb_001_tot_cc_limit_kkb_nf','kkb_003_tot_ovd_limit_kkb_nf','kkb_031_tot_outstand_credits_kkb_nf','kkb_032_tot_outsand_cc_kkb_nf','kkb_038_tot_outstand_ovd_kkb_nf','kkb_040_tot_outstand_pers_loan_kkb_nf','kkb_044_tot_outstand_mortgage_kkb_nf','kkb_051_tot_outstand_delinquent_ratio_nf','kkb_073_tot_cc_kkb_nf','kkb_081_tot_ovd_kkb_nf','kkb_110_tot_instal_amt_all_statements_kkb_l1m_nf','kkb_180_tot_mon_instal_amt_pers_loan_kkb_nf','kkb_182_tot_mon_instal_amt_mortgage_kkb_nf','kkb_215_cnt_litigated_prod_kkb_ever_nf','kkb_227_tot_pay_cc_kkb_l1m_nf','kkb_235_tot_pay_ovd_kkb_l1m_nf','lim_22_cc_last_lim_increase_date_nf','lim_22_1_last_lim_decrease_date_nf','lim_25_last_lim_increase_request_flg_nf','lim_25_1_last_lim_decrease_request_flg_nf','out_08_outstand_ovd_nf','out_10_outstand_pers_loan_nf','out_12_outstand_pers_loan_nf','out_14_outstand_car_loan_nf','out_16_outstand_ret_loan_nf','out_25_outstand_ovd_l6m_nf','out_27_outstand_ovd_l3m_nf','pay_016_tot_pay_ovd_l1m_nf','pay_018_tot_pay_ovd_l3m_nf','pay_020_tot_pay_ovd_l6m_nf','pay_024_3_tot_pay_ovd_l3m_nf','pay_024_4_cnt_mon_pay_ovd_l3m_nf','pay_024_avg_pay_ovd_l3m_nf','pay_026_3_tot_pay_ovd_l6m_nf','pay_026_4_cnt_mon_pay_ovd_l6m_nf','pay_026_avg_pay_ovd_l6m_nf','pay_030_first_pers_loan_pay_on_time_flg_nf','pay_031_first_car_loan_pay_on_time_flg_nf','pay_032_first_mortgage_pay_on_time_flg_nf','pay_033_first_other_ret_loan_pay_on_time_flg_nf','pay_035_tot_pay_ret_loan_nf','pay_036_tot_pay_ret_loan_l3m_nf','pay_037_tot_pay_ret_loan_l6m_nf','pay_038_3_tot_pay_ret_loan_l3m_nf','pay_038_4_cnt_mon_pay_ret_loan_l3m_nf','pay_038_avg_pay_ret_loan_l3m_nf','pay_039_3_tot_pay_ret_loan_l6m_nf','pay_039_4_cnt_mon_pay_ret_loan_l6m_nf','pay_039_avg_pay_ret_loan_l6m_nf','rsk_007_mon_npl_amt_nf','rsk_032_restruc_credit_flg_nf','rsk_034_npl_amt_cc_nf','rsk_035_npl_amt_ovd_nf','rsk_036_npl_amt_pers_loan_nf','rsk_037_npl_amt_car_loan_nf','rsk_038_npl_amt_motgages_nf','rsk_039_npl_amt_pers_loan_nf','rsk_041_npl_amt_noncash_loan_nf','rsk_043_tot_npl_recover_amt_nf','rsk_044_tot_npl_sales_amt_nf','rsk_045_cc_delinquent_days_nf','sas_10_kkb_inquiry_flg_nf','sas_11_eligible_preapp_loan_flg_nf','sas_16_kkb_inquiry_req_flg_preapp_loan_nf','sas_5_eligible_lim_increase_flg_nf','sas_7_exit_pool_flg_nf','sas_8_cc_bloking_flg_nf','sta_012_1_avg_amt_cash_adv_statement_l3m_nf','sta_013_1_avg_amt_cash_adv_statement_l6m_nf','sta_040_1_avg_revolved_amt_l3m_nf','sta_041_1_avg_revolved_amt_l6m_nf','sta_045_cnt_days_cc_over_lim_nf','sta_046_cnt_days_cc_over_lim_l3m_nf','sta_047_cnt_days_cc_over_lim_l6m_nf','uti_010_avg_ovd_lim_util_l6m_nf','uti_011_avg_ovd_lim_util_l3m_nf','uti_012_ovd_lim_util_l1m_nf','uti_017_avg_ovd_util_l3m_nf','uti_018_avg_ovd_util_l6m_nf')
CategoricalInputs('cus_034_canceled_card_reason_code','cus_105_cust_litigation_flg','kkb_248_cc_first_pay_on_time_kkb_flg','kkb_249_ins_pers_loan_first_pay_on_time_kkb_flg','kkb_251_ins_mortgage_first_pay_on_time_kkb_flg','kkb_138_current_pay_stat_kkb','kkb_139_worst_pay_stat_kkb','kkb_142_follow_up_stat_kkb','kkb_163_worst_pay_stat_kkb_l3m','kkb_164_worst_pay_stat_kkb_l6m','lim_25_last_lim_increase_request_flg','lim_25_1_last_lim_decrease_request_flg','pay_029_first_cc_pay_on_time_flg','pay_030_first_pers_loan_pay_on_time_flg','pay_031_first_car_loan_pay_on_time_flg','pay_032_first_mortgage_pay_on_time_flg','pay_033_first_other_ret_loan_pay_on_time_flg','rsk_001_pay_stat','rsk_001_1_pay_stat','rsk_002_worst_pay_stat','rsk_003_extra_stat','rsk_004_cnt_extra_stat','rsk_005_follow_up_stat','rsk_026_worst_pay_stat_l3m','rsk_026_1_worst_pay_stat_l3m','rsk_027_worst_pay_stat_l6m','rsk_027_1_worst_pay_stat_l6m','rsk_032_restruc_credit_flg','sas_10_kkb_inquiry_flg','sas_11_eligible_preapp_loan_flg','sas_16_kkb_inquiry_req_flg_preapp_loan','sas_3_scoreband_lim_cc','sas_5_eligible_lim_increase_flg','sas_7_exit_pool_flg','sas_8_cc_bloking_flg','score_1_4_scoreband_lim_management')
Response('target')
NumTrees(50)
MaxDepth(4)
MinNodeSize(5)
);

--,'rsk_033_tot_amt_restruc_credit_nf'

--------------------------------------------------------------------
----------------------Forest Score----------------------------------
--------------------------------------------------------------------

DROP TABLE IF EXISTS RISK.blm_collections_model_0_temp_scr;
CREATE TABLE RISK.blm_collections_model_0_temp_scr
DISTRIBUTE BY HASH (JOINKEY)
AS
(SELECT
JOINKEY
,prediction as fitted_value
FROM
Forest_predict(
ON RISK.blm_model_table_test2
Forest('RISK.blm_collectıons_model_0_temp')
NumericInputs('rsk_043_tot_npl_recover_amt','rsk_045_cc_delinquent_days','sas_1_bs_lim_management_cc','score_1_1_bs_cc_lim_management_date','score_1_3_bs_cc_lim_management','sta_001_tot_amt_statement_l1m','sta_002_tot_amt_statement_l3m','sta_003_tot_amt_statement_l6m','sta_005_1_avg_amt_statement_l3m','sta_005_2_avg_amt_statement_l3m','sta_005_avg_amt_statement_l3m','sta_006_1_avg_amt_statement_l6m','sta_006_2_avg_amt_statement_l6m','sta_006_avg_amt_statement_l6m','sta_008_tot_amt_cash_adv_statement_l1m','sta_009_tot_amt_cash_adv_statement_l3m','sta_010_tot_amt_cash_adv_statement_l6m','sta_012_1_avg_amt_cash_adv_statement_l3m','sta_012_2_avg_amt_cash_adv_statement_l3m','sta_012_avg_amt_cash_adv_statement_l3m','sta_013_1_avg_amt_cash_adv_statement_l6m','sta_013_2_avg_amt_cash_adv_statement_l6m','sta_013_avg_amt_cash_adv_statement_l6m','sta_036_tot_revolved_amt_l1m','sta_037_tot_revolved_amt_l3m','sta_038_tot_revolved_amt_l6m','sta_040_1_avg_revolved_amt_l3m','sta_040_2_avg_revolved_amt_l3m','sta_040_avg_revolved_amt_l3m','sta_041_1_avg_revolved_amt_l6m','sta_041_2_avg_revolved_amt_l6m','sta_041_avg_revolved_amt_l6m','sta_045_cnt_days_cc_over_lim','sta_046_cnt_days_cc_over_lim_l3m','sta_047_cnt_days_cc_over_lim_l6m','uti_002_avg_cc_lim_util_l6m','uti_003_avg_cc_lim_util_l3m','uti_004_avg_cc_lim_util_l1m','uti_006_avg_cash_adv_lim_util_l6m','uti_007_avg_cash_adv_lim_util_l3m','uti_008_avg_cash_adv_lim_util_l1m','uti_010_avg_ovd_lim_util_l6m','uti_011_avg_ovd_lim_util_l3m','uti_012_ovd_lim_util_l1m','uti_017_avg_ovd_util_l3m','uti_018_avg_ovd_util_l6m','aut_050_1_avg_cc_trx_l3m_nf','aut_058_1_avg_amt_cc_trx_l3m_nf','aut_065_1_avg_cnt_c_adv_trx_l3m_nf','aut_065_avg_cnt_c_adv_trx_l3m_nf','aut_066_1_avg_cnt_c_adv_trx_l6m_nf','aut_066_avg_cnt_c_adv_trx_l6m_nf','aut_068_cnt_c_adv_trx_l1m_nf','aut_069_cnt_c_adv_trx_l3m_nf','aut_070_cnt_c_adv_trx_l6m_nf','aut_072_avg_amt_c_adv_trx_l1m_nf','aut_073_1_avg_amt_c_adv_trx_l3m_nf','aut_073_avg_amt_c_adv_trx_l3m_nf','aut_074_1_avg_amt_c_adv_trx_l6m_nf','aut_074_avg_amt_c_adv_trx_l6m_nf','aut_076_amt_c_adv_trx_l1m_nf','aut_077_amt_c_adv_trx_l3m_nf','kkb_last_inq_date','aut_050_1_avg_cc_trx_l3m','aut_050_avg_cc_trx_l3m','aut_051_1_avg_cc_trx_l6m','aut_051_avg_cc_trx_l6m','aut_053_cnt_cc_trx_l1m','aut_054_cnt_cc_trx_l3m','aut_055_cnt_cc_trx_l6m','aut_057_avg_amt_cc_trx_l1m','aut_058_1_avg_amt_cc_trx_l3m','aut_058_2_avg_amt_cc_trx_l3m','aut_058_avg_amt_cc_trx_l3m','aut_059_1_avg_amt_cc_trx_l6m','aut_059_2_avg_amt_cc_trx_l6m','aut_059_avg_amt_cc_trx_l6m','aut_061_tot_amt_cc_trx_l1m','aut_062_tot_amt_cc_trx_l3m','aut_063_tot_amt_cc_trx_l6m','aut_065_1_avg_cnt_c_adv_trx_l3m','aut_065_avg_cnt_c_adv_trx_l3m','aut_066_1_avg_cnt_c_adv_trx_l6m','aut_066_avg_cnt_c_adv_trx_l6m','aut_068_cnt_c_adv_trx_l1m','aut_069_cnt_c_adv_trx_l3m','aut_070_cnt_c_adv_trx_l6m','aut_072_avg_amt_c_adv_trx_l1m','aut_073_1_avg_amt_c_adv_trx_l3m','aut_073_2_avg_amt_c_adv_trx_l3m','aut_073_avg_amt_c_adv_trx_l3m','aut_074_1_avg_amt_c_adv_trx_l6m','aut_074_2_avg_amt_c_adv_trx_l6m','aut_074_avg_amt_c_adv_trx_l6m','aut_076_amt_c_adv_trx_l1m','aut_077_amt_c_adv_trx_l3m','aut_078_amt_c_adv_trx_l6m','aut_110_1_avg_cnt_ovd_trx_l3m','aut_110_avg_cnt_ovd_trx_l3m','aut_111_1_avg_cnt_ovd_trx_l6m','aut_111_avg_cnt_ovd_trx_l6m','aut_113_cnt_ovd_trx_l1m','aut_114_cnt_ovd_trx_l3m','aut_115_cnt_ovd_trx_l6m','aut_117_avg_amt_ovd_trx_l1m','aut_118_1_avg_amt_ovd_trx_l3m','aut_118_2_avg_amt_ovd_trx_l3m','aut_118_avg_amt_ovd_trx_l3m','aut_119_1_avg_amt_ovd_trx_l6m','aut_119_2_avg_amt_ovd_trx_l6m','aut_119_avg_amt_ovd_trx_l6m','aut_121_tot_amt_ovd_trx_l1m','aut_122__tot_amt_ovd_trx_l3m','aut_123__tot_amt_ovd_trx_l6m','cus_009_tot_instal_amt_pers_loan','cus_014_1_avg_instal_pers_loan_l3m','cus_014_2_avg_instal_pers_loan_l3m','cus_014_avg_instal_pers_loan_l3m','cus_019_1_avg_instal_pers_loan_l6m','cus_019_2_avg_instal_pers_loan_l6m','cus_019_avg_instal_pers_loan_l6m','cus_069_credit_hunger','cus_104_min_litigation_date','kkb_001_1_avg_cc_limit_in_kkb','kkb_001_tot_cc_limit_kkb','kkb_003_tot_ovd_limit_kkb','kkb_031_tot_outstand_credits_kkb','kkb_032_tot_outsand_cc_kkb','kkb_038_tot_outstand_ovd_kkb','kkb_040_tot_outstand_pers_loan_kkb','kkb_044_tot_outstand_mortgage_kkb','kkb_051_tot_outstand_delinquent_ratio','kkb_073_tot_cc_kkb','kkb_081_tot_ovd_kkb','kkb_145_cnt_1_mon_delay_kkb_l3m','kkb_146_cnt_1_mon_delay_kkb_l6m','kkb_148_cnt_2_mon_delay_kkb_l3m','kkb_149_cnt_2_mon_delay_kkb_l6m','kkb_151_cnt_min_3_mon_delay_kkb_l3m','kkb_152_cnt_min_3_mon_delay_kkb_l3m','kkb_166_tot_deliquency_kkb_l3m','kkb_167_tot_deliquency_kkb_l6m','kkb_180_tot_mon_instal_amt_pers_loan_kkb','kkb_182_tot_mon_instal_amt_mortgage_kkb','kkb_215_cnt_litigated_prod_kkb_ever','kkb_220_tot_pay_all_prod_kkb_l1m','kkb_227_tot_pay_cc_kkb_l1m','kkb_235_tot_pay_ovd_kkb_l1m','kkb_254_tot_outstand_amt_deliquent_prod_kkb_ratio','kkb_256_kkb_score','kkb_257_time_since_cc_open_date','lim_01_cc_limit','lim_02_c_adv_limit','lim_03_ovd_limit','lim_22_cc_last_lim_increase_date','lim_22_1_last_lim_decrease_date','out_01_tot_outstand_credits','out_02_1_avg_mon_outstand_cc','out_02_outstand_cc','out_03_outstand_c_adv','out_08_outstand_ovd','out_10_outstand_pers_loan','out_24_avg_outstand_cc_l6m','out_25_outstand_ovd_l6m','out_26_avg_outstand_cc_l3m','out_27_outstand_ovd_l3m','pay_001_tot_pay_all_prod_l1m','pay_002_tot_pay_all_prod_l3m','pay_003_tot_pay_all_prod_l6m','pay_005_1_avg_pay_all_prod_l3m','pay_005_2_avg_pay_all_prod_l3m','pay_005_avg_pay_all_prod_l3m','pay_006_1_avg_pay_all_prod_l6m','pay_006_2_avg_pay_all_prod_l6m','pay_006_avg_pay_all_prod_l6m','pay_008_tot_pay_cc_l1m','pay_009_tot_pay_cc_l3m','pay_010_tot_pay_cc_l6m','pay_012_1_avg_pay_cc_l3m','pay_012_2_avg_pay_cc_l3m','pay_012_3_tot_pay_cc_l3m','pay_012_4_cnt_mon_pay_cc_l3m','pay_012_avg_pay_cc_l3m','pay_013_1_avg_pay_cc_l6m','pay_013_2_avg_pay_cc_l6m','pay_013_3_tot_pay_cc_l6m','pay_013_4_cnt_mon_pay_cc_l6m','pay_013_avg_pay_cc_l6m','pay_016_tot_pay_ovd_l1m','pay_018_tot_pay_ovd_l3m','pay_020_tot_pay_ovd_l6m','pay_024_1_avg_pay_ovd_l3m','pay_024_2_avg_pay_ovd_l3m','pay_024_3_tot_pay_ovd_l3m','pay_024_4_cnt_mon_pay_ovd_l3m','pay_024_avg_pay_ovd_l3m','pay_026_1_avg_pay_ovd_l6m','pay_026_2_avg_pay_ovd_l6m','pay_026_3_tot_pay_ovd_l6m','pay_026_4_cnt_mon_pay_ovd_l6m','pay_026_avg_pay_ovd_l6m','pay_035_tot_pay_ret_loan','pay_036_tot_pay_ret_loan_l3m','pay_037_tot_pay_ret_loan_l6m','pay_038_1_avg_pay_ret_loan_l3m','pay_038_2_avg_pay_ret_loan_l3m','pay_038_3_tot_pay_ret_loan_l3m','pay_038_4_cnt_mon_pay_ret_loan_l3m','pay_038_avg_pay_ret_loan_l3m','pay_039_1_avg_pay_ret_loan_l6m','pay_039_2_avg_pay_ret_loan_l6m','pay_039_3_tot_pay_ret_loan_l6m','pay_039_4_cnt_mon_pay_ret_loan_l6m','pay_039_avg_pay_ret_loan_l6m','pay_040_cc_pay_ratio_l3m','pay_041_cc_avg_pay_ratio_l3m','pay_042_cc_avg_pay_ratio_l6m','rsk_008_cnt_1_mon_delay_l3m','rsk_009_cnt_1_mon_delay_l6m','rsk_012_cnt_2_mon_delay_l6m','rsk_015_cnt_min_3_mon_delay_l6m','rsk_017_tot_1_mon_delay_l3m','rsk_018_tot_1_mon_delay_l6m','rsk_021_tot_2_mon_delay_l6m','rsk_029_tot_deliquency_l3m','rsk_030_tot_deliquency_l6m','aut_078_amt_c_adv_trx_l6m_nf','aut_110_1_avg_cnt_ovd_trx_l3m_nf','aut_110_avg_cnt_ovd_trx_l3m_nf','aut_111_1_avg_cnt_ovd_trx_l6m_nf','aut_111_avg_cnt_ovd_trx_l6m_nf','aut_113_cnt_ovd_trx_l1m_nf','aut_114_cnt_ovd_trx_l3m_nf','aut_115_cnt_ovd_trx_l6m_nf','aut_117_avg_amt_ovd_trx_l1m_nf','aut_118_1_avg_amt_ovd_trx_l3m_nf','aut_118_2_avg_amt_ovd_trx_l3m_nf','aut_118_avg_amt_ovd_trx_l3m_nf','aut_119_1_avg_amt_ovd_trx_l6m_nf','aut_119_2_avg_amt_ovd_trx_l6m_nf','aut_119_avg_amt_ovd_trx_l6m_nf','aut_121_tot_amt_ovd_trx_l1m_nf','aut_122__tot_amt_ovd_trx_l3m_nf','aut_123__tot_amt_ovd_trx_l6m_nf','cus_009_tot_instal_amt_pers_loan_nf','cus_010_tot_instal_amt_car_loan_nf','cus_011_tot_instal_amt_mortgage_nf','cus_012_tot_instal_amt_ret_loan_nf','cus_014_1_avg_instal_pers_loan_l3m_nf','cus_014_2_avg_instal_pers_loan_l3m_nf','cus_014_avg_instal_pers_loan_l3m_nf','cus_015_1_avg_instal_car_loan_l3m_nf','cus_015_2_avg_instal_car_loan_l3m_nf','cus_015_avg_instal_car_loan_l3m_nf','cus_016_1_avg_instal_mortgage_l3m_nf','cus_016_2_avg_instal_mortgage_l3m_nf','cus_016_avg_instal_mortgage_l3m_nf','cus_017_1_avg_instal_ret_loan_l3m_nf','cus_017_2_avg_instal_ret_loan_l3m_nf','cus_017_avg_instal_ret_loan_l3m_nf','cus_019_1_avg_instal_pers_loan_l6m_nf','cus_019_2_avg_instal_pers_loan_l6m_nf','cus_019_avg_instal_pers_loan_l6m_nf','cus_020_1_avg_instal_car_loan_l6m_nf','cus_020_2_avg_instal_car_loan_l6m_nf','cus_020_avg_instal_car_loan_l6m_nf','cus_021_1_avg_instal_mortgage_l6m_nf','cus_021_2_avg_instal_mortgage_l6m_nf','cus_021_avg_instal_mortgage_l6m_nf','cus_022_1_avg_instal_other_loan_l6m_nf','cus_022_2_avg_instal_other_loan_l6m_nf','cus_022_avg_instal_other_loan_l6m_nf','cus_034_canceled_card_reason_code_nf','cus_069_credit_hunger_nf','cus_099_cnt_litigated_prod_ever_had_nf','cus_104_min_litigation_date_nf','kkb_001_1_avg_cc_limit_in_kkb_nf','kkb_001_tot_cc_limit_kkb_nf','kkb_003_tot_ovd_limit_kkb_nf','kkb_031_tot_outstand_credits_kkb_nf','kkb_032_tot_outsand_cc_kkb_nf','kkb_038_tot_outstand_ovd_kkb_nf','kkb_040_tot_outstand_pers_loan_kkb_nf','kkb_044_tot_outstand_mortgage_kkb_nf','kkb_051_tot_outstand_delinquent_ratio_nf','kkb_073_tot_cc_kkb_nf','kkb_081_tot_ovd_kkb_nf','kkb_110_tot_instal_amt_all_statements_kkb_l1m_nf','kkb_180_tot_mon_instal_amt_pers_loan_kkb_nf','kkb_182_tot_mon_instal_amt_mortgage_kkb_nf','kkb_215_cnt_litigated_prod_kkb_ever_nf','kkb_227_tot_pay_cc_kkb_l1m_nf','kkb_235_tot_pay_ovd_kkb_l1m_nf','lim_22_cc_last_lim_increase_date_nf','lim_22_1_last_lim_decrease_date_nf','lim_25_last_lim_increase_request_flg_nf','lim_25_1_last_lim_decrease_request_flg_nf','out_08_outstand_ovd_nf','out_10_outstand_pers_loan_nf','out_12_outstand_pers_loan_nf','out_14_outstand_car_loan_nf','out_16_outstand_ret_loan_nf','out_25_outstand_ovd_l6m_nf','out_27_outstand_ovd_l3m_nf','pay_016_tot_pay_ovd_l1m_nf','pay_018_tot_pay_ovd_l3m_nf','pay_020_tot_pay_ovd_l6m_nf','pay_024_3_tot_pay_ovd_l3m_nf','pay_024_4_cnt_mon_pay_ovd_l3m_nf','pay_024_avg_pay_ovd_l3m_nf','pay_026_3_tot_pay_ovd_l6m_nf','pay_026_4_cnt_mon_pay_ovd_l6m_nf','pay_026_avg_pay_ovd_l6m_nf','pay_030_first_pers_loan_pay_on_time_flg_nf','pay_031_first_car_loan_pay_on_time_flg_nf','pay_032_first_mortgage_pay_on_time_flg_nf','pay_033_first_other_ret_loan_pay_on_time_flg_nf','pay_035_tot_pay_ret_loan_nf','pay_036_tot_pay_ret_loan_l3m_nf','pay_037_tot_pay_ret_loan_l6m_nf','pay_038_3_tot_pay_ret_loan_l3m_nf','pay_038_4_cnt_mon_pay_ret_loan_l3m_nf','pay_038_avg_pay_ret_loan_l3m_nf','pay_039_3_tot_pay_ret_loan_l6m_nf','pay_039_4_cnt_mon_pay_ret_loan_l6m_nf','pay_039_avg_pay_ret_loan_l6m_nf','rsk_007_mon_npl_amt_nf','rsk_032_restruc_credit_flg_nf','rsk_034_npl_amt_cc_nf','rsk_035_npl_amt_ovd_nf','rsk_036_npl_amt_pers_loan_nf','rsk_037_npl_amt_car_loan_nf','rsk_038_npl_amt_motgages_nf','rsk_039_npl_amt_pers_loan_nf','rsk_041_npl_amt_noncash_loan_nf','rsk_043_tot_npl_recover_amt_nf','rsk_044_tot_npl_sales_amt_nf','rsk_045_cc_delinquent_days_nf','sas_10_kkb_inquiry_flg_nf','sas_11_eligible_preapp_loan_flg_nf','sas_16_kkb_inquiry_req_flg_preapp_loan_nf','sas_5_eligible_lim_increase_flg_nf','sas_7_exit_pool_flg_nf','sas_8_cc_bloking_flg_nf','sta_012_1_avg_amt_cash_adv_statement_l3m_nf','sta_013_1_avg_amt_cash_adv_statement_l6m_nf','sta_040_1_avg_revolved_amt_l3m_nf','sta_041_1_avg_revolved_amt_l6m_nf','sta_045_cnt_days_cc_over_lim_nf','sta_046_cnt_days_cc_over_lim_l3m_nf','sta_047_cnt_days_cc_over_lim_l6m_nf','uti_010_avg_ovd_lim_util_l6m_nf','uti_011_avg_ovd_lim_util_l3m_nf','uti_012_ovd_lim_util_l1m_nf','uti_017_avg_ovd_util_l3m_nf','uti_018_avg_ovd_util_l6m_nf')
CategoricalInputs('cus_034_canceled_card_reason_code','cus_105_cust_litigation_flg','kkb_248_cc_first_pay_on_time_kkb_flg','kkb_249_ins_pers_loan_first_pay_on_time_kkb_flg','kkb_251_ins_mortgage_first_pay_on_time_kkb_flg','kkb_138_current_pay_stat_kkb','kkb_139_worst_pay_stat_kkb','kkb_142_follow_up_stat_kkb','kkb_163_worst_pay_stat_kkb_l3m','kkb_164_worst_pay_stat_kkb_l6m','lim_25_last_lim_increase_request_flg','lim_25_1_last_lim_decrease_request_flg','pay_029_first_cc_pay_on_time_flg','pay_030_first_pers_loan_pay_on_time_flg','pay_031_first_car_loan_pay_on_time_flg','pay_032_first_mortgage_pay_on_time_flg','pay_033_first_other_ret_loan_pay_on_time_flg','rsk_001_pay_stat','rsk_001_1_pay_stat','rsk_002_worst_pay_stat','rsk_003_extra_stat','rsk_004_cnt_extra_stat','rsk_005_follow_up_stat','rsk_026_worst_pay_stat_l3m','rsk_026_1_worst_pay_stat_l3m','rsk_027_worst_pay_stat_l6m','rsk_027_1_worst_pay_stat_l6m','rsk_032_restruc_credit_flg','sas_10_kkb_inquiry_flg','sas_11_eligible_preapp_loan_flg','sas_16_kkb_inquiry_req_flg_preapp_loan','sas_3_scoreband_lim_cc','sas_5_eligible_lim_increase_flg','sas_7_exit_pool_flg','sas_8_cc_bloking_flg','score_1_4_scoreband_lim_management')
IDCol('JOINKEY')
)
);


DROP TABLE IF EXISTS RISK.blm_collections_model_0_temp_score;
CREATE TABLE RISK.blm_collections_model_0_temp_score
DISTRIBUTE BY HASH (CUST_ID)
AS
(SELECT
target, CUST_ID, CARD_ID, STMT_DT, blm_collections_model_0_temp_scr.fitted_value
from
RISK.blm_collections_model_0_temp_scr
INNER JOIN
RISK.blm_model_table_test2
ON
blm_collections_model_0_temp_scr.JOINKEY = blm_model_table_test2.JOINKEY
);



GRANT ALL ON RISK.blm_collections_model_0_temp_score TO PUBLIC;
ANALYZE RISK.blm_collections_model_0_temp_score;


-----------------------------------------------------------
--------------------------Gini Calculation-----------------
-----------------------------------------------------------


SELECT
              'Random Forest - All Bureau Vars' model_type, 
              max(cm_diff_p)*100 ks_value, 
              sum((fpr - fpr_lead) * tpr)*100 auc, 
              ((sum((fpr - fpr_lead) * tpr))*2 - 1)*100 gini_coeff, 
              (((sum((fpr - fpr_lead) * tpr))- .5)*2)*100 gini_coeff_2
FROM
(
SELECT
              fitted_value, 
              count_positive, 
              count_negative, 
              count_all, 
              cm_positive,
              cm_negative, 
              cm_all, 
              cm_pos_p,
              cm_neg_p, 
              abs(cm_pos_p - cm_neg_p) cm_diff_p, 
              tpr, 
              fpr, 
              LEAD(fpr, 1, 0) OVER (ORDER BY fitted_value ASC) fpr_lead
FROM
(
SELECT
              fitted_value, 
              count_positive, 
              count_negative, 
              count_all, 
              cm_positive,
              cm_negative, 
              cm_all, 
              cm_positive / SUM(count_positive) OVER (ORDER BY fitted_value ASC ROWS BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING) cm_pos_p,
              cm_negative / SUM(count_negative) OVER (ORDER BY fitted_value ASC ROWS BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING) cm_neg_p, 
              1 - (cm_positive / SUM(count_positive) OVER (ORDER BY fitted_value ASC ROWS BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)) tpr, 
              1 - (cm_negative / SUM(count_negative) OVER (ORDER BY fitted_value ASC ROWS BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)) fpr 
FROM
(
SELECT
              fitted_value, 
              count_positive, 
              count_negative, 
              count_all, 
              SUM(count_positive) OVER (ORDER BY fitted_value ASC ROWS UNBOUNDED PRECEDING) cm_positive,
              SUM(count_negative) OVER (ORDER BY fitted_value ASC ROWS UNBOUNDED PRECEDING) cm_negative, 
              SUM(count_all) OVER (ORDER BY fitted_value ASC ROWS UNBOUNDED PRECEDING) cm_all 
FROM
(
SELECT 
              fitted_value, 
              SUM(CASE WHEN target=1 THEN 1 ELSE 0 END) count_positive, 
              SUM(CASE WHEN target=0 THEN 1 ELSE 0 END) count_negative, 
              COUNT(*) count_all
FROM risk.blm_collections_model_0_temp_score
GROUP BY 1
ORDER BY 1 DESC
) x1
) x2
) x3
) x4

-----------------------------------------------------------
--------------------Making the ROC Curve-------------------
-----------------------------------------------------------

SELECT
cast(fitted_value as NUMERIC(9,4)) as fitted_value
,sum(target)
,count(*)
FROM
risk.blm_collections_model_0_temp_score
GROUP BY 1
ORDER BY 1 DESC


-----------------------------------------------------------
----------------------Calculatıng Corr---------------------
-----------------------------------------------------------

DROP TABLE IF EXISTS RISK.blm_corr;
CREATE DIMENSION TABLE RISK.blm_corr
AS
(select * from Corr_reduce (
ON Corr_Map (
       ON (select target,rsk_043_tot_npl_recover_amt,rsk_045_cc_delinquent_days,sas_1_bs_lim_management_cc,score_1_1_bs_cc_lim_management_date,score_1_3_bs_cc_lim_management,sta_001_tot_amt_statement_l1m,sta_002_tot_amt_statement_l3m,sta_003_tot_amt_statement_l6m,sta_005_1_avg_amt_statement_l3m,sta_005_2_avg_amt_statement_l3m,sta_005_avg_amt_statement_l3m,sta_006_1_avg_amt_statement_l6m,sta_006_2_avg_amt_statement_l6m,sta_006_avg_amt_statement_l6m,sta_008_tot_amt_cash_adv_statement_l1m,sta_009_tot_amt_cash_adv_statement_l3m,sta_010_tot_amt_cash_adv_statement_l6m,sta_012_1_avg_amt_cash_adv_statement_l3m,sta_012_2_avg_amt_cash_adv_statement_l3m,sta_012_avg_amt_cash_adv_statement_l3m,sta_013_1_avg_amt_cash_adv_statement_l6m,sta_013_2_avg_amt_cash_adv_statement_l6m,sta_013_avg_amt_cash_adv_statement_l6m,sta_036_tot_revolved_amt_l1m,sta_037_tot_revolved_amt_l3m,sta_038_tot_revolved_amt_l6m,sta_040_1_avg_revolved_amt_l3m,sta_040_2_avg_revolved_amt_l3m,sta_040_avg_revolved_amt_l3m,sta_041_1_avg_revolved_amt_l6m,sta_041_2_avg_revolved_amt_l6m,sta_041_avg_revolved_amt_l6m,sta_045_cnt_days_cc_over_lim,sta_046_cnt_days_cc_over_lim_l3m,sta_047_cnt_days_cc_over_lim_l6m,uti_002_avg_cc_lim_util_l6m,uti_003_avg_cc_lim_util_l3m,uti_004_avg_cc_lim_util_l1m,uti_006_avg_cash_adv_lim_util_l6m,uti_007_avg_cash_adv_lim_util_l3m,uti_008_avg_cash_adv_lim_util_l1m,uti_010_avg_ovd_lim_util_l6m,uti_011_avg_ovd_lim_util_l3m,uti_012_ovd_lim_util_l1m,uti_017_avg_ovd_util_l3m,uti_018_avg_ovd_util_l6m,aut_050_1_avg_cc_trx_l3m_nf,aut_058_1_avg_amt_cc_trx_l3m_nf,aut_065_1_avg_cnt_c_adv_trx_l3m_nf,aut_065_avg_cnt_c_adv_trx_l3m_nf,aut_066_1_avg_cnt_c_adv_trx_l6m_nf,aut_066_avg_cnt_c_adv_trx_l6m_nf,aut_068_cnt_c_adv_trx_l1m_nf,aut_069_cnt_c_adv_trx_l3m_nf,aut_070_cnt_c_adv_trx_l6m_nf,aut_072_avg_amt_c_adv_trx_l1m_nf,aut_073_1_avg_amt_c_adv_trx_l3m_nf,aut_073_avg_amt_c_adv_trx_l3m_nf,aut_074_1_avg_amt_c_adv_trx_l6m_nf,aut_074_avg_amt_c_adv_trx_l6m_nf,aut_076_amt_c_adv_trx_l1m_nf,aut_077_amt_c_adv_trx_l3m_nf,kkb_last_inq_date,aut_050_1_avg_cc_trx_l3m,aut_050_avg_cc_trx_l3m,aut_051_1_avg_cc_trx_l6m,aut_051_avg_cc_trx_l6m,aut_053_cnt_cc_trx_l1m,aut_054_cnt_cc_trx_l3m,aut_055_cnt_cc_trx_l6m,aut_057_avg_amt_cc_trx_l1m,aut_058_1_avg_amt_cc_trx_l3m,aut_058_2_avg_amt_cc_trx_l3m,aut_058_avg_amt_cc_trx_l3m,aut_059_1_avg_amt_cc_trx_l6m,aut_059_2_avg_amt_cc_trx_l6m,aut_059_avg_amt_cc_trx_l6m,aut_061_tot_amt_cc_trx_l1m,aut_062_tot_amt_cc_trx_l3m,aut_063_tot_amt_cc_trx_l6m,aut_065_1_avg_cnt_c_adv_trx_l3m,aut_065_avg_cnt_c_adv_trx_l3m,aut_066_1_avg_cnt_c_adv_trx_l6m,aut_066_avg_cnt_c_adv_trx_l6m,aut_068_cnt_c_adv_trx_l1m,aut_069_cnt_c_adv_trx_l3m,aut_070_cnt_c_adv_trx_l6m,aut_072_avg_amt_c_adv_trx_l1m,aut_073_1_avg_amt_c_adv_trx_l3m,aut_073_2_avg_amt_c_adv_trx_l3m,aut_073_avg_amt_c_adv_trx_l3m,aut_074_1_avg_amt_c_adv_trx_l6m,aut_074_2_avg_amt_c_adv_trx_l6m,aut_074_avg_amt_c_adv_trx_l6m,aut_076_amt_c_adv_trx_l1m,aut_077_amt_c_adv_trx_l3m,aut_078_amt_c_adv_trx_l6m,aut_110_1_avg_cnt_ovd_trx_l3m,aut_110_avg_cnt_ovd_trx_l3m,aut_111_1_avg_cnt_ovd_trx_l6m,aut_111_avg_cnt_ovd_trx_l6m,aut_113_cnt_ovd_trx_l1m,aut_114_cnt_ovd_trx_l3m,aut_115_cnt_ovd_trx_l6m,aut_117_avg_amt_ovd_trx_l1m,aut_118_1_avg_amt_ovd_trx_l3m,aut_118_2_avg_amt_ovd_trx_l3m,aut_118_avg_amt_ovd_trx_l3m,aut_119_1_avg_amt_ovd_trx_l6m,aut_119_2_avg_amt_ovd_trx_l6m,aut_119_avg_amt_ovd_trx_l6m,aut_121_tot_amt_ovd_trx_l1m,aut_122__tot_amt_ovd_trx_l3m,aut_123__tot_amt_ovd_trx_l6m,cus_009_tot_instal_amt_pers_loan,cus_014_1_avg_instal_pers_loan_l3m,cus_014_2_avg_instal_pers_loan_l3m,cus_014_avg_instal_pers_loan_l3m,cus_019_1_avg_instal_pers_loan_l6m,cus_019_2_avg_instal_pers_loan_l6m,cus_019_avg_instal_pers_loan_l6m,cus_069_credit_hunger,cus_104_min_litigation_date,kkb_001_1_avg_cc_limit_in_kkb,kkb_001_tot_cc_limit_kkb,kkb_003_tot_ovd_limit_kkb,kkb_031_tot_outstand_credits_kkb,kkb_032_tot_outsand_cc_kkb,kkb_038_tot_outstand_ovd_kkb,kkb_040_tot_outstand_pers_loan_kkb,kkb_044_tot_outstand_mortgage_kkb,kkb_051_tot_outstand_delinquent_ratio,kkb_073_tot_cc_kkb,kkb_081_tot_ovd_kkb,kkb_145_cnt_1_mon_delay_kkb_l3m,kkb_146_cnt_1_mon_delay_kkb_l6m,kkb_148_cnt_2_mon_delay_kkb_l3m,kkb_149_cnt_2_mon_delay_kkb_l6m,kkb_151_cnt_min_3_mon_delay_kkb_l3m,kkb_152_cnt_min_3_mon_delay_kkb_l3m,kkb_166_tot_deliquency_kkb_l3m,kkb_167_tot_deliquency_kkb_l6m,kkb_180_tot_mon_instal_amt_pers_loan_kkb,kkb_182_tot_mon_instal_amt_mortgage_kkb,kkb_215_cnt_litigated_prod_kkb_ever,kkb_220_tot_pay_all_prod_kkb_l1m,kkb_227_tot_pay_cc_kkb_l1m,kkb_235_tot_pay_ovd_kkb_l1m,kkb_254_tot_outstand_amt_deliquent_prod_kkb_ratio,kkb_256_kkb_score,kkb_257_time_since_cc_open_date,lim_01_cc_limit,lim_02_c_adv_limit,lim_03_ovd_limit,lim_22_cc_last_lim_increase_date,lim_22_1_last_lim_decrease_date,out_01_tot_outstand_credits,out_02_1_avg_mon_outstand_cc,out_02_outstand_cc,out_03_outstand_c_adv,out_08_outstand_ovd,out_10_outstand_pers_loan,out_24_avg_outstand_cc_l6m,out_25_outstand_ovd_l6m,out_26_avg_outstand_cc_l3m,out_27_outstand_ovd_l3m,pay_001_tot_pay_all_prod_l1m,pay_002_tot_pay_all_prod_l3m,pay_003_tot_pay_all_prod_l6m,pay_005_1_avg_pay_all_prod_l3m,pay_005_2_avg_pay_all_prod_l3m,pay_005_avg_pay_all_prod_l3m,pay_006_1_avg_pay_all_prod_l6m,pay_006_2_avg_pay_all_prod_l6m,pay_006_avg_pay_all_prod_l6m,pay_008_tot_pay_cc_l1m,pay_009_tot_pay_cc_l3m,pay_010_tot_pay_cc_l6m,pay_012_1_avg_pay_cc_l3m,pay_012_2_avg_pay_cc_l3m,pay_012_3_tot_pay_cc_l3m,pay_012_4_cnt_mon_pay_cc_l3m,pay_012_avg_pay_cc_l3m,pay_013_1_avg_pay_cc_l6m,pay_013_2_avg_pay_cc_l6m,pay_013_3_tot_pay_cc_l6m,pay_013_4_cnt_mon_pay_cc_l6m,pay_013_avg_pay_cc_l6m,pay_016_tot_pay_ovd_l1m,pay_018_tot_pay_ovd_l3m,pay_020_tot_pay_ovd_l6m,pay_024_1_avg_pay_ovd_l3m,pay_024_2_avg_pay_ovd_l3m,pay_024_3_tot_pay_ovd_l3m,pay_024_4_cnt_mon_pay_ovd_l3m,pay_024_avg_pay_ovd_l3m,pay_026_1_avg_pay_ovd_l6m,pay_026_2_avg_pay_ovd_l6m,pay_026_3_tot_pay_ovd_l6m,pay_026_4_cnt_mon_pay_ovd_l6m,pay_026_avg_pay_ovd_l6m,pay_035_tot_pay_ret_loan,pay_036_tot_pay_ret_loan_l3m,pay_037_tot_pay_ret_loan_l6m,pay_038_1_avg_pay_ret_loan_l3m,pay_038_2_avg_pay_ret_loan_l3m,pay_038_3_tot_pay_ret_loan_l3m,pay_038_4_cnt_mon_pay_ret_loan_l3m,pay_038_avg_pay_ret_loan_l3m,pay_039_1_avg_pay_ret_loan_l6m,pay_039_2_avg_pay_ret_loan_l6m,pay_039_3_tot_pay_ret_loan_l6m,pay_039_4_cnt_mon_pay_ret_loan_l6m,pay_039_avg_pay_ret_loan_l6m,pay_040_cc_pay_ratio_l3m,pay_041_cc_avg_pay_ratio_l3m,pay_042_cc_avg_pay_ratio_l6m,rsk_008_cnt_1_mon_delay_l3m,rsk_009_cnt_1_mon_delay_l6m,rsk_012_cnt_2_mon_delay_l6m,rsk_015_cnt_min_3_mon_delay_l6m,rsk_017_tot_1_mon_delay_l3m,rsk_018_tot_1_mon_delay_l6m,rsk_021_tot_2_mon_delay_l6m,rsk_029_tot_deliquency_l3m,rsk_030_tot_deliquency_l6m,aut_078_amt_c_adv_trx_l6m_nf,aut_110_1_avg_cnt_ovd_trx_l3m_nf,aut_110_avg_cnt_ovd_trx_l3m_nf,aut_111_1_avg_cnt_ovd_trx_l6m_nf,aut_111_avg_cnt_ovd_trx_l6m_nf,aut_113_cnt_ovd_trx_l1m_nf,aut_114_cnt_ovd_trx_l3m_nf,aut_115_cnt_ovd_trx_l6m_nf,aut_117_avg_amt_ovd_trx_l1m_nf,aut_118_1_avg_amt_ovd_trx_l3m_nf,aut_118_2_avg_amt_ovd_trx_l3m_nf,aut_118_avg_amt_ovd_trx_l3m_nf,aut_119_1_avg_amt_ovd_trx_l6m_nf,aut_119_2_avg_amt_ovd_trx_l6m_nf,aut_119_avg_amt_ovd_trx_l6m_nf,aut_121_tot_amt_ovd_trx_l1m_nf,aut_122__tot_amt_ovd_trx_l3m_nf,aut_123__tot_amt_ovd_trx_l6m_nf,cus_009_tot_instal_amt_pers_loan_nf,cus_010_tot_instal_amt_car_loan_nf,cus_011_tot_instal_amt_mortgage_nf,cus_012_tot_instal_amt_ret_loan_nf,cus_014_1_avg_instal_pers_loan_l3m_nf,cus_014_2_avg_instal_pers_loan_l3m_nf,cus_014_avg_instal_pers_loan_l3m_nf,cus_015_1_avg_instal_car_loan_l3m_nf,cus_015_2_avg_instal_car_loan_l3m_nf,cus_015_avg_instal_car_loan_l3m_nf,cus_016_1_avg_instal_mortgage_l3m_nf,cus_016_2_avg_instal_mortgage_l3m_nf,cus_016_avg_instal_mortgage_l3m_nf,cus_017_1_avg_instal_ret_loan_l3m_nf,cus_017_2_avg_instal_ret_loan_l3m_nf,cus_017_avg_instal_ret_loan_l3m_nf,cus_019_1_avg_instal_pers_loan_l6m_nf,cus_019_2_avg_instal_pers_loan_l6m_nf,cus_019_avg_instal_pers_loan_l6m_nf,cus_020_1_avg_instal_car_loan_l6m_nf,cus_020_2_avg_instal_car_loan_l6m_nf,cus_020_avg_instal_car_loan_l6m_nf,cus_021_1_avg_instal_mortgage_l6m_nf,cus_021_2_avg_instal_mortgage_l6m_nf,cus_021_avg_instal_mortgage_l6m_nf,cus_022_1_avg_instal_other_loan_l6m_nf,cus_022_2_avg_instal_other_loan_l6m_nf,cus_022_avg_instal_other_loan_l6m_nf,cus_034_canceled_card_reason_code_nf,cus_069_credit_hunger_nf,cus_099_cnt_litigated_prod_ever_had_nf,cus_104_min_litigation_date_nf,kkb_001_1_avg_cc_limit_in_kkb_nf,kkb_001_tot_cc_limit_kkb_nf,kkb_003_tot_ovd_limit_kkb_nf,kkb_031_tot_outstand_credits_kkb_nf,kkb_032_tot_outsand_cc_kkb_nf,kkb_038_tot_outstand_ovd_kkb_nf,kkb_040_tot_outstand_pers_loan_kkb_nf,kkb_044_tot_outstand_mortgage_kkb_nf,kkb_051_tot_outstand_delinquent_ratio_nf,kkb_073_tot_cc_kkb_nf,kkb_081_tot_ovd_kkb_nf,kkb_110_tot_instal_amt_all_statements_kkb_l1m_nf,kkb_180_tot_mon_instal_amt_pers_loan_kkb_nf,kkb_182_tot_mon_instal_amt_mortgage_kkb_nf,kkb_215_cnt_litigated_prod_kkb_ever_nf,kkb_227_tot_pay_cc_kkb_l1m_nf,kkb_235_tot_pay_ovd_kkb_l1m_nf,lim_22_cc_last_lim_increase_date_nf,lim_22_1_last_lim_decrease_date_nf,lim_25_last_lim_increase_request_flg_nf,lim_25_1_last_lim_decrease_request_flg_nf,out_08_outstand_ovd_nf,out_10_outstand_pers_loan_nf,out_12_outstand_pers_loan_nf,out_14_outstand_car_loan_nf,out_16_outstand_ret_loan_nf,out_25_outstand_ovd_l6m_nf,out_27_outstand_ovd_l3m_nf,pay_016_tot_pay_ovd_l1m_nf,pay_018_tot_pay_ovd_l3m_nf,pay_020_tot_pay_ovd_l6m_nf,pay_024_3_tot_pay_ovd_l3m_nf,pay_024_4_cnt_mon_pay_ovd_l3m_nf,pay_024_avg_pay_ovd_l3m_nf,pay_026_3_tot_pay_ovd_l6m_nf,pay_026_4_cnt_mon_pay_ovd_l6m_nf,pay_026_avg_pay_ovd_l6m_nf,pay_030_first_pers_loan_pay_on_time_flg_nf,pay_031_first_car_loan_pay_on_time_flg_nf,pay_032_first_mortgage_pay_on_time_flg_nf,pay_033_first_other_ret_loan_pay_on_time_flg_nf,pay_035_tot_pay_ret_loan_nf,pay_036_tot_pay_ret_loan_l3m_nf,pay_037_tot_pay_ret_loan_l6m_nf,pay_038_3_tot_pay_ret_loan_l3m_nf,pay_038_4_cnt_mon_pay_ret_loan_l3m_nf,pay_038_avg_pay_ret_loan_l3m_nf,pay_039_3_tot_pay_ret_loan_l6m_nf,pay_039_4_cnt_mon_pay_ret_loan_l6m_nf,pay_039_avg_pay_ret_loan_l6m_nf,rsk_007_mon_npl_amt_nf,rsk_032_restruc_credit_flg_nf,rsk_033_tot_amt_restruc_credİt_nf,rsk_034_npl_amt_cc_nf,rsk_035_npl_amt_ovd_nf,rsk_036_npl_amt_pers_loan_nf,rsk_037_npl_amt_car_loan_nf,rsk_038_npl_amt_motgages_nf,rsk_039_npl_amt_pers_loan_nf,rsk_041_npl_amt_noncash_loan_nf,rsk_043_tot_npl_recover_amt_nf,rsk_044_tot_npl_sales_amt_nf,rsk_045_cc_delinquent_days_nf,sas_10_kkb_inquiry_flg_nf,sas_11_eligible_preapp_loan_flg_nf,sas_16_kkb_inquiry_req_flg_preapp_loan_nf,sas_5_eligible_lim_increase_flg_nf,sas_7_exit_pool_flg_nf,sas_8_cc_bloking_flg_nf,sta_012_1_avg_amt_cash_adv_statement_l3m_nf,sta_013_1_avg_amt_cash_adv_statement_l6m_nf,sta_040_1_avg_revolved_amt_l3m_nf,sta_041_1_avg_revolved_amt_l6m_nf,sta_045_cnt_days_cc_over_lim_nf,sta_046_cnt_days_cc_over_lim_l3m_nf,sta_047_cnt_days_cc_over_lim_l6m_nf,uti_010_avg_ovd_lim_util_l6m_nf,uti_011_avg_ovd_lim_util_l3m_nf,uti_012_ovd_lim_util_l1m_nf,uti_017_avg_ovd_util_l3m_nf,uti_018_avg_ovd_util_l6m_nf 
       		from RISK.blm_bureau_vars)
       COLUMNPAIRS ('[0:357]')
       KEY_NAME('KEY')
       )
       PARTITION BY KEY
));
