DROP TABLE IF EXISTS risk.temp_pol_cust;
CREATE 	ANALYTIC TABLE risk.temp_pol_cust
DISTRIBUTE	BY HASH(cmusno)
COMPRESS LOW
AS
SELECT	cmusno  
		,hesno
		,sube
		,"BANKAURUNID"
		,"TREE_FAMILY_CODE_ENG"
		,"TREE_GROUP_ENG"
FROM	staging.pov_ybs_hesap_ortak_musteri ybs			
JOIN risk.ref_prod_ownship own
	ON ybs.bankaurunid = own."BANKAURUNID"
where cmusno in (select cust_id from risk.cust_info_monthly)
	;
	


DROP TABLE IF EXISTS risk.PROD_OWNSHIP;
CREATE TABLE risk.PROD_OWNSHIP
DISTRIBUTE	BY HASH(cust_id)
COMPRESS LOW
AS
SELECT	cust_id, 
		Yr_Mnth,
		prod_group1,
		prod_group2,
		SUM(Balance) as Balance, -- Balance
		COUNT(hesno) as Prod_Cnt -- Qty_Owned
FROM	(
	SELECT	 ybs.cmusno as cust_id
			,hskst.hesno as hesno
			,hskst.sube as sube 
			,tarih as Yr_Mnth 
			,hskst.tl_bky as Balance
			,hskst.faiz_orani as Int_Rate
			,"BANKAURUNID" as Prod_Type
			,"TREE_FAMILY_CODE_ENG" as prod_group1
			,"TREE_GROUP_ENG" as prod_group2	
	FROM risk.temp_pol_cust ybs
	JOIN (	
		select	 hesno
				,sube
				,tl_bky
				,faiz_orani
				,tarih
				,parakod 
		from	staging.pov_v_hes_kesit_v3
		where	tarih in (select * from risk.last_days_of_month)
		) hskst
		ON	ybs.hesno=hskst.hesno 
		and	ybs.sube=hskst.sube
		) innerquery
GROUP	BY cust_id, Yr_Mnth, prod_group1, prod_group2;


--
select * from risk.PROD_OWNSHIP where prod_group2 ='ASSET'
limit 100;
--

