DROP TABLE IF EXISTS risk.rest_loan;
CREATE TABLE risk.rest_loan()
DISTRIBUTE BY HASH(cust_id)
COMPRESS LOW
AS (
select 	t1.*, 
		t2.rstrd_amt,
CASE 	WHEN bankaurunid in ('1175','1185','1179') 	then 'Personal Loan'
		WHEN bankaurunid in ('1177','1181','1190') 	then 'Car Loan'
		WHEN bankaurunid in ('1340','1341','1182') 	then 'Mortgage Loan'
	 	WHEN bankaurunid in ('1176','1180','1188') 	then 'Office Loan'
		WHEN bankaurunid in ('1176','1180','1188') 	then 'Office Loan'
		WHEN bankaurunid in ('1174','1178') 		then 'Financial Loan'
		ELSE NULL END AS Loan_Type
from (
select 
cmusno as cust_id,
CAST(tarih as date) as rstrd_dt,
k.sube as branch,
sum(eski_ana_para_tut + eski_faiz_tut) as orig_amt,
k.krdno as loan_nmbr,
k.hesno as accnt_nmbr,
m.bankaurunid
from 	dw_out.hes_krd_tak_deg k
JOIN 	staging.pov_ybs_hesap_ortak_musteri m
	ON 	k.sube  = m.sube 
	AND k.hesno = m.hesno 
	AND k.krdno = m.krdno
	where IUD ='D'
group by cmusno,CAST(tarih as date),k.sube,k.krdno,k.hesno,m.bankaurunid
) t1
join (
select 
cmusno as cust_id,
CAST(tarih as date) as rstrd_dt,
k.sube as branch,
sum(yeni_ana_para_tut + yeni_faiz_tut) as rstrd_amt,
k.krdno as loan_nmbr,
k.hesno as accnt_nmbr
from 	dw_out.hes_krd_tak_deg k
JOIN 	staging.pov_ybs_hesap_ortak_musteri m
	ON 	k.sube  = m.sube 
	AND k.hesno = m.hesno 
	AND k.krdno = m.krdno
	where IUD ='I'
group by cmusno,CAST(tarih as date),k.sube,k.krdno,k.hesno
) t2
on 	t1.cust_id=t2.cust_id
and t1.rstrd_dt=t2.rstrd_dt
and t1.branch=t2.branch
and t1.loan_nmbr=t2.loan_nmbr
and t1.accnt_nmbr=t2.accnt_nmbr
);

ANALYZE risk.rest_loan;
