DROP TABLE IF EXISTS risk.cust_info_aug17; -- OBS PERIOD nov17 created by gizem
CREATE	TABLE risk.cust_info_aug17()
DISTRIBUTE	BY HASH(CUST_ID)
COMPRESS LOW
AS (
SELECT t1.*, t2.INC, t3.CURR_LIMIT
FROM	(
	SELECT	cmusno as CUST_ID,
			tarih_id as dt,
			-- STD_INC, -- steady income not possible. 
			ref_meslek as OCC_KEY,
			cinsiyet as SEX, -- E as Man, K as Woman
			ref_egitim as EDU_KEY,
			ref_calisma_sekli as EMP_KEY,
			CAST(d_dtar_yil || '-' || d_dtar_ay || '-' || d_dtar_gun AS DATE) as DOB,
			d_ilk_edinim_tar as CUST_ACQ_DT,
			-- HM_ADDR_CITY_KEY, -- one address supplied.
			-- HM_ADDR_DIST_KEY, -- one address supplied.
			d_ilkod_evadr as ADDR_CITY_KEY,
			d_ilcekod_evadr as ADDR_DIST_KEY,
			medeni_drm AS MARITAL_STS, -- FMLY_SZ Not Available. Marital Status Available. E as Married, B as Single, D as Died-Spouse, S as Divorced
			maas_anlasmali_eh as SALARY_CUST_FLG,-- E as Yes, H as No
			ana_sube as MN_BRNCH_KEY,
			portfoy_tip as CUST_TYPE_KEY_P, -- portfolio
			ref_oz_bank_mus as CUST_TYPE_KEY_I -- job branch 		 
	FROM	dw_out.dwd_kon_musteri
	WHERE	(cast(tarih_id as date) ='2017-08-31' and portfoy_tip IN ('4','8')) -- confirms that the customer has an individual account or a star account.
		AND	 mus_tip = 2 -- confirms that the customer has an individual account or a star account.
	) t1
JOIN	risk.maas_v2 t2
	ON	t1.CUST_ID = t2.cmusno
JOIN	(SELECT	cmusno, MAX(curr_limit) as curr_limit
		 FROM	(
		 SELECT	d_cmusno as cmusno, "LIMIT" as curr_limit 
		 FROM 	dw_out.dwd_kart
		 WHERE 	CAST(tarih_id as date) = '2017-08-31' -- For Jan18 Case
		 	AND	kartbastarih IS NOT NULL AND kartbastarih != '1900-01-01'
		 	AND	d_gecerli_eh = 'E'
		 	AND	is_expired   = 'N'
		 	AND D_KREDIDEBIT = 'C' 
		 	AND KAYITGECERLI = 'Y' 
		 	AND KARTSTATUSU  = 'N' 
		 	AND TAKIPSTATU   = 'N' 
		 	AND KARTALTSTATU IS NULL
				) x
		 GROUP 	BY cmusno) t3
	ON	t1.CUST_ID = t3.cmusno
);

ANALYZE risk.cust_info_aug17;
GRANT ALL ON risk.cust_info_aug17 TO PUBLIC;
