DROP	TABLE IF EXISTS risk.cust_info_monthly; -- created by zeren
CREATE	TABLE risk.cust_info_monthly()
DISTRIBUTE	BY HASH(CUST_ID)
COMPRESS LOW
AS (
SELECT
CUST_ID,
dt,
-- STD_INC, -- steady income not possible. 
OCC_KEY,
SEX, -- E as Man, K as Woman
EDU_KEY,
EMP_KEY,
DOB,
CUST_ACQ_DT,
-- HM_ADDR_CITY_KEY, -- one address supplied.
-- HM_ADDR_DIST_KEY, -- one address supplied.
ADDR_CITY_KEY,
ADDR_DIST_KEY,
MARITAL_STS, -- FMLY_SZ Not Available. Marital Status Available. E as Married, B as Single, D as Died-Spouse, S as Divorced
SALARY_CUST_FLG,-- E as Yes, H as No
MN_BRNCH_KEY,
CUST_TYPE_KEY_P, -- portfolio
CUST_TYPE_KEY_I, -- job branch 		 
INC -- Income
FROM
	(SELECT
	dwd_kon_musteri.cmusno as CUST_NO, 
	ref_full_tt.Cust_ID as CUST_ID,
	row_number() over (partition by cmusno, extract(year from tarih_id), extract(month from tarih_id) Order by tarih_id DESC) AS Filter_col,
	tarih_id as dt,
	-- STD_INC, -- steady income not possible. 
	ref_meslek as OCC_KEY,
	cinsiyet as SEX, -- E as Man, K as Woman
	case when ref_egitim::INT = 6 then 3.5 ELSE ref_egitim::INT END as EDU_KEY,
	ref_calisma_sekli as EMP_KEY,
	CAST(d_dtar_yil || '-' || d_dtar_ay || '-' || d_dtar_gun AS DATE) as DOB,
	d_ilk_edinim_tar as CUST_ACQ_DT,
	-- HM_ADDR_CITY_KEY, -- one address supplied.
	-- HM_ADDR_DIST_KEY, -- one address supplied.
	d_ilkod_evadr as ADDR_CITY_KEY,
	d_ilcekod_evadr as ADDR_DIST_KEY,
	medeni_drm AS MARITAL_STS, -- FMLY_SZ Not Available. Marital Status Available. E as Married, B as Single, D as Died-Spouse, S as Divorced
	maas_anlasmali_eh as SALARY_CUST_FLG,-- E as Yes, H as No
	ana_sube as MN_BRNCH_KEY,
	portfoy_tip as CUST_TYPE_KEY_P, -- portfolio
	ref_oz_bank_mus as CUST_TYPE_KEY_I, -- job branch 		 
	ref_gelir AS INC -- Income
	FROM
	dw_out.dwd_kon_musteri
	left outer join
	risk.ref_full_tt
	ON
	dwd_kon_musteri.cmusno = ref_full_tt.cust_no
	AND
	dwd_kon_musteri.tarih_id >= ref_full_tt.as_of_dt
	AND
	dwd_kon_musteri.tarih_id < ref_full_tt.next_month
	WHERE	
	(portfoy_tip IN ('4','8') -- confirms that the customer has an individual account or a star account.
	AND	 
	mus_tip = 2) -- confirms that the customer has an individual account or a star account.
	) AS INNER_TABLE
WHERE
Filter_col = 1
); 

grant all on risk.cust_info_monthly to public;
analyze risk.cust_info_monthly;
