DROP TABLE IF EXISTS risk.cust_info_monthly_chngs;
CREATE TABLE risk.cust_info_monthly_chngs
(
CUST_ID  NUMERIC,
PROD_NAME  VARCHAR(100), 
TARIH_ID DATE,
DECREASE INTEGER, -- CHANGE HERE
INCREASE INTEGER -- CHANGE HERE
)
DISTRIBUTE BY HASH(CUST_ID);
GRANT ALL ON risk.cust_info_monthly_chngs TO public;


INSERT	INTO risk.cust_info_monthly_chngs
SELECT	Cust_Id,	
		'INC' as prod_name,
		INC, LAG(INC, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) AS INC_old,
		dt,
			CASE WHEN inc_increase = 1 THEN 'increase' 
				 WHEN inc_decrease = 1 THEN 'decrease' 
				 ELSE NULL END AS INC_CHANGE

FROM	(
	SELECT	cust_id, dt, inc,
			CASE	WHEN	LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND
						INC::INT > LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt)
				THEN 1 ELSE 0 END AS inc_increase,
		    CASE 	WHEN	LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND
						INC::INT < LAG(INC::INT, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) 
				THEN 1 ELSE 0 END AS inc_decrease
	FROM	risk.cust_info_monthly
	limit 200
			) x
WHERE X.inc_increase= 1 OR X.inc_decrease = 1;

			--ref_egitim as EDU_KEY,
			--ref_calisma_sekli as EMP_KEY


SELECT	Cust_Id,	
		'EDU_KEY' as prod_name,
		EDU_KEY, LAG(EDU_KEY, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) AS EDU_KEY_old,
		dt, 
		CHANGE AS EDU_KEY_CHANGE
FROM	(
	SELECT	cust_id, dt, EDU_KEY,
			CASE	WHEN	LAG(EDU_KEY, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND
						EDU_KEY != LAG(EDU_KEY, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt)
				THEN 1 ELSE 0 END AS change
	FROM	risk.cust_info_monthlY
			) y
WHERE y.change= 1;

--

SELECT	Cust_Id,	
		'EMP_KEY' as prod_name,
		EMP_KEY, LAG(EMP_KEY, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) AS EMP_KEY_old,
		dt, 
		CHANGE AS EMP_KEY_CHANGE
FROM	(
	SELECT	cust_id, dt, EMP_KEY,
			CASE	WHEN	LAG(EMP_KEY, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND
						EMP_KEY != LAG(EMP_KEY, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt)
				THEN 1 ELSE 0 END AS change
	FROM	risk.cust_info_monthly
			) z
WHERE z.change= 1;

-- marial_sts

SELECT	Cust_Id,	
		'marial_sts' as prod_name,
		marial_sts, LAG(marial_sts, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) AS marial_sts_old,
		dt, 
		CHANGE AS marial_sts_CHANGE
FROM	(
	SELECT	cust_id, dt, marial_sts,
			CASE	WHEN	LAG(marial_sts, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND
						EMP_KEY != LAG(marial_sts, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt)
				THEN 1 ELSE 0 END AS change
	FROM	risk.cust_info_monthly
			) t
WHERE t.change= 1;

-- salary_cust_flg

SELECT	Cust_Id,	
		'salary_cust_flg' as prod_name,
		salary_cust_flg, LAG(salary_cust_flg, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) AS salary_cust_flg_old,
		dt, 
		CHANGE AS salary_cust_flg_CHANGE
FROM	(
	SELECT	cust_id, dt, salary_cust_flg,
			CASE	WHEN	LAG(salary_cust_flg, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND
						EMP_KEY != LAG(salary_cust_flg, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt)
				THEN 1 ELSE 0 END AS change
	FROM	risk.cust_info_monthly
			) p
WHERE p.change= 1;

--occ_key

SELECT	Cust_Id,	
		'occ_key' as prod_name,
		occ_key, LAG(occ_key, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) AS occ_key_old,
		dt, 
		CHANGE AS occ_key_CHANGE
FROM	(
	SELECT	cust_id, dt, occ_key,
			CASE	WHEN	LAG(occ_key, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND
						EMP_KEY != LAG(occ_key, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt)
				THEN 1 ELSE 0 END AS change
	FROM	risk.cust_info_monthly
			) k
WHERE k.change= 1;

--cust_type_key_p

SELECT	Cust_Id,	
		'cust_type_key_p' as prod_name,
		cust_type_key_p, LAG(cust_type_key_p, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) AS cust_type_key_p_old,
		dt, 
		CHANGE AS occ_key_CHANGE
FROM	(
	SELECT	cust_id, dt, cust_type_key_p,
			CASE	WHEN	LAG(cust_type_key_p, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt) IS NOT NULL AND
						EMP_KEY != LAG(cust_type_key_p, 1, NULL) OVER (PARTITION BY Cust_Id ORDER BY dt)
				THEN 1 ELSE 0 END AS change
	FROM	risk.cust_info_monthly
			) x
WHERE x.change= 1;


